*+ F30.PRG
*
* Program generat de catre Bil41 - Contabil Profesional 4.49.331.1421
* Data: 07.08.2013 13:51:45
*
* Sursa: S:\DBFS\RAPFIN\2013\06\micro\DEF\F30.DEF
*
*
* Contine urmatoarele proceduri:
*
*   F30Get   - preia din baza de date in rxcx
*   F30Put   - completeaza rxcx in baza de date
*   F30Ver   - verifica corelatii rxcx
*   F30Comp  - completeaza din SumeP in rxcx
*   F30CompR - completeaza din alte raportari in rxcx
*   F30CTot  - Calculeaza totaluri din rxcx
*   F30DfTot - Defixeaza totaluri
*
*
*-

Procedure F30Get   && Citeste din baza de date


*
* Aceasta procedura citeste din baza de date
* si incarca variabilele rxcx
*

Private cda
Private i
Private j
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F30.DBF' Again Order Tag BI_RAND Alias xyzzzz

 Flush && Asigur datele pe disc

 For i = 1 to 199
    Seek (i)
    If Found() Then
     	For j = 1 to 3
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+"= xyzzzz.BI_C_"+AllTrim(Str(j))
        	&cda
	    EndFor
    Else
     	For j = 1 to 3
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" = 0"
        	&cda
	    EndFor
    EndIf
EndFor


Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)


Return &&F30Get()


Procedure F30Put   && Scrie in baza de date


*
* Aceasta procedura scrie in baza de date variabilele rxcx
* 

Private cda
Private i
Private j
Private l
Private c
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F30.DBF' Again Order Tag BI_RAND Alias xyzzzz


 For i = 1 to 199
	l = AllTrim(Str(i))
    Seek (i)
    If !Found() Then
		Append Blank
		cda = "Replace  BI_RAND With "+AllTrim(Str(i))
        &cda
        Seek (i) && (de siguranta)
		
    EndIf
	*	
	* Inlocuiesc in coloanele care nu sunt marcate	
	*	
	For j = 1 to 3
		c = AllTrim(Str(j))
*       	cda = "If Empty(BI_F_"+AllTrim(Str(j))+") Then  Replace BI_C_"+AllTrim(Str(j))+" With r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" EndIf"
   	   	cda = "Replace BI_C_"+c+" With IIf(Empty(BI_F_"+c+"), r"+l+"c"+c+",BI_C_"+c+")" 
   		&cda
	EndFor
EndFor

 Flush && Asigur datele pe disc

Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)

If !Empty((WOnTop())) Then
    Show Window (WOnTop()) Refresh Same
EndIf
=Suna(MLD_BRAVO)

Return &&F30Put()


Procedure F30Ver   && Verifica corelatii

Private cda
Private zl
Private numarErori

zl=Select(0)
numarErori = 0


Define Window WiVeCo From 8,20 to 16,60 Title 'Verificare corelatii' In Screen Double Shadow 
Activate Window WiVeCo


 Flush && Asigur datele pe disc


hTerm = 1
Do While hTerm = 1
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1c1+r2c1+r3c1 =1"
@3,1 Say " r1c1+r2c1+r3c1 =1..."
        If .T. Then
           If !( r1c1+r2c1+r3c1 =1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1c1+r2c1+r3c1 =1  r1c1+r2c1+r3c1 =1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
hTerm = 2
EndDo

Deactivate Window WiVeCo
Release Window WiVeCo

Select(zl)


 If numarErori = 0 Then
      =Suna(MLD_BRAVO)

	msg1 = Lauda() 
	msg2 = 'La verificarea corelatiilor'
	msg3 = 'nu a fost detectata'
	msg4 = 'nici macar o singura eroare'
	Do Info With ' '+msg1,msg2,msg3,msg4
 EndIf


Return &&F30Ver()


Procedure F30Comp   && Completeaza din SumeP

Private zl
Private nrArtZl
Private cda
Private oBiLei
Private oBiRot   && Loc in care retine rotunjirea

Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
*
* Retin setarile (mod de calcul si rotunjire
*
oBiRot = __BiRot
oBiLei = __BiLei
*
* * Formularul 30
* *
* * Copiat de Pompei (17.07.2006)
* * Modificat Vasile si Pompei- (modificat 19.07.2006, ora 10:45:55)
* * Adaugat explicatii Camelia - 26.07.2006 ora 11:42
* * Modificat Lavinia 15.07.2008
* * Modificat Lavinia 25.07.2009
* * Modificat Lavinia 16.07.2010 ora 22:22
* * Modificat Lavinia 13.07.2011 ora 22:32
* * Lavinia 07.07.2013
* *
* * In cele ce urmeaza exista cateva indicatii suplimentare fata de manual
* * Editati acest fisier dupa cum doriti; ideea este sa stergeti toate prostiile
* *
* * -----------
* *| Definitii |
* * -----------
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* * ---------------------------------------------------------------
* *| Prima litera  | A doua litera | A treia litera| A patra liter1
* *|---------------|---------------|---------------|---------------
* *| s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *| t - Total sume|               |  p - Perioada |               |
* *| r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* * ---------------------------------------------------------------
* *
* * Introduceti in continuare definitii pentru variabilele pe care doriti
* * sa le utilizati in corelatii.
* *
* *[definitii]
* *
* *r1c1 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *r1c2 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *
* *r2c1 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *r2c2 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *
* *r5 = r1+r2+r3
* *
* * Maximul lungimii pentru o linie este 255 caractere
* * O linie foarte lunga se va desparti in linii mai scur1
* * utilizand variabile intermediare; in exemplul de mai jos x1, x2, x3
* *
* * Deasemenea se pot utiliza continuari de linii, cu ; in ultima coloana
* * Se observa in exemplul cu X2 de mai jos , ca , pentru lizibilitate:
* * s-au grupat conturile pe linii, deasemenea observati (si procedati la fel)
* * in ce priveste:
* * - alinierea (utilizati TAB-ur1
* * - semnul plus este la inceputul liniei de continuare
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* *[corelatii]
* *
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* * ----------------------------------------------------------------------------
* 
* * Completar1
* 
* * I. Date privind rezultatul inregistr1
* 
* 
* *La randurile r1c1 si r2c1-persoanele juridice care au in subordine subunitati
* * vor inscrie cifra 1,indiferent de numarul acestor1
* 
* 
* * Unitati care au inregistrat profit 01
* * Unitati care au inregistrat pierdere
* 
        If (scpc("121") > 0) Then
            r1c1 = Round((literal("1") )/__BiLei,__BiRot)
        EndIf
        If (scpc("121") <= 0) Then
            r1c1 = Round((literal("0") )/__BiLei,__BiRot)
        EndIf
        r1c2 =Round((scpc("121"))/__BiLei,__BiRot)
* 
        If (sdpc("121") > 0) Then
            r2c1 = Round((literal("1") )/__BiLei,__BiRot)
        EndIf
        If (sdpc("121") <= 0) Then
            r2c1 = Round((literal("0") )/__BiLei,__BiRot)
        EndIf
        r2c2 =Round((sdpc("121"))/__BiLei,__BiRot)
* 
        If (sdpc("121") = 0) Then
            r3c1 = Round((literal("1") )/__BiLei,__BiRot)
        EndIf
        If (sdpc("121")+scpc("121") !=0) Then
            r3c1 = Round((literal("0") )/__BiLei,__BiRot)
        EndIf
        If (sdpc("121") = 0) Then
            r3c2 = Round((literal("0") )/__BiLei,__BiRot)
        EndIf
* 
* * Plati restante - total (rd.04+08+14 la 18 +22), din car1
* 
        r4c1 =r4c2+r4c3
* 
* * Furnizori restanti - total (rd.05 la 07), din car1
* 
* 
* * Peste 30 de zile
* 
        r6c2 =Round((scpc("401_.r")+scpc("403_.r")+scpc("404_.r")+scpc("405_.r")+scpc("408_.r")+scpc("409_.r"))/__BiLei,__BiRot)
        r6c3 =Round((scpc("401_.r")+scpc("403_.r")+scpc("404_.r")+scpc("405_.r")+scpc("408_.r")+scpc("409_.r"))/__BiLei,__BiRot)
        r6c1 =r6c2+r6c3
* 
* * Peste 90 de zile
* 
        r7c3 =Round((scpc("401_.r")+scpc("403_.r")+scpc("404_.r")+scpc("405_.r")+scpc("408_.r")+scpc("409_.r"))/__BiLei,__BiRot)
        r7c2 =Round((scpc("401_.r")+scpc("403_.r")+scpc("404_.r")+scpc("405_.r")+scpc("408_.r")+scpc("409_.r"))/__BiLei,__BiRot)
        r7c1 =r7c2+r7c3
* 
* * Peste 1 an
* 
        r8c2 =Round((scpc("401_.r")+scpc("403_.r")+scpc("404_.r")+scpc("405_.r")+scpc("408_.r")+scpc("409_.r"))/__BiLei,__BiRot)
        r8c3 =Round((scpc("401_.r")+scpc("403_.r")+scpc("404_.r")+scpc("405_.r")+scpc("408_.r")+scpc("409_.r"))/__BiLei,__BiRot)
        r8c1 =r8c2+r8c3
* 
* *Obligatii restante fat de bugetul asigurarilor sociale - total 08
* *(rd.09 la 13), din car1
* 
        r9c1 =r9c2+r9c3
* 
* *- contributii pentru asigurri sociale de stat datorate de angajatori, 09
* *  salariati si alte persoane asimilate
* *
        r10c2 =Round((scpc("4311.r")+scpc("4312.r"))/__BiLei,__BiRot)
        r10c1 =r10c2+r10c3
* 
* * - contributii pentru fondul asigurrilor sociale de sntate 10
* 
        r11c2 =Round((scpc("4313.r")+scpc("4314.r"))/__BiLei,__BiRot)
        r11c1 =r11c2+r11c3
* 
* * - contributia pentru pensia suplimentar 11
* 
        r12c2 =Round((scpc("4312.r"))/__BiLei,__BiRot)
        r12c1 =r12c2+r12c3
* 
* * - contributii pentru bugetul asigurarilor pentru somaj 12
* 
        r13c2 =Round((scpc("4371.r")+scpc("4372.r"))/__BiLei,__BiRot)
        r13c1 =r13c2+r13c3
* 
* * - alte datorii sociale
* 
        r14c2 =Round((scpc("4381.r"))/__BiLei,__BiRot)
        r14c1 =r14c2+r14c3
* 
* * Obligatii restante fat de bugetele fondurilor speciale si alte fonduri
* 
        r15c2 =Round((scpc("447_.r"))/__BiLei,__BiRot)
        r15c1 =r15c2+r15c3
* 
* * Obligatii restante fat de alti creditori
* 
        r16c2 =Round((scpc("462_.r"))/__BiLei,__BiRot)
        r16c1 =r16c2+r16c3
* 
* * Impozite si taxe nepltite la termenul stabilit la bugetul de stat
* 
        r17c2 =Round((scpc("441_.r")+scpc("4423_.r")+scpc("444_.r"))/__BiLei,__BiRot)
        r17c1 =r17c2+r17c3
* 
* * Impozite si taxe nepltite la termenul stabilit la bugetele locale
* 
        r18c2 =Round((scpc("446_.r"))/__BiLei,__BiRot)
        r18c1 =r18c2+r18c3
* 
* * Credite bancare nerambursate la scadent - total (rd.19 la 21)
* 
        r19c1 =r19c2+r19c3
* 
* * restante dupa 30 de zile
* *r20c2 =scpc(161.r+162.r+166.r+167.r +519.r1
* 
        r20c2 =Round((scpc("162.r")+scpc("519.r"))/__BiLei,__BiRot)
        r20c1 =r20c2+r20c3
* 
* * restante dupa 90 de zile
        r21c2 =Round((scpc("162.r")+scpc("519.r"))/__BiLei,__BiRot)
        r21c1 =r21c2+r21c3
* 
* * restante dupa 1 an de zile
        r22c2 =Round((scpc("162.r")+scpc("519.r"))/__BiLei,__BiRot)
        r22c1 =r22c2+r22c3
* 
* * Dobnzi restante
* 
        r23c2 =Round((scpc("168.r")+scpc("5186.r"))/__BiLei,__BiRot)
        r23c1 =r23c2+r23c3
* 
* *r24c1 si r24c2-numarul mediu de salariati reprezinta o medie aritmetica simpla calculata pr1
* *     impartirea sumei reprezentand efectivele zilnice de persoane ocupate din anul respectiv la numar1
* *    total de zile calendaristice(365de zile).In cazul in care unitatea a fost infiintata sau si-a
* *      inceput activitatea in cursul anului,se iau in calcul sumele reprezentand efectivele zilnice,
* *      numai pe perioada in care aceasta a functionat,iar suma rezultata se imparte la numarul total
* *      al zilelor calendaristice din anul respectiv.Persoanele ocupate care sunt angajate cu nor1
* *      intreaga vor fi incluse in numarul mediu de personal,proportionalcu timpul de lucru prevazut
* *      in contractul de munca,iar pentru cei ce lucreaza o jumatate de norma se ia in calcul efectivul
* *      zilnic inmultit cu 0,5.
* 
* * Salariatii care nu sunt angajati cu norma intreaga vor fi inclusi in numarul mediu proportional
* *cu timpul de lucru prevazut in contractul de munca (de exemplu, cel care lucreaza jumatate din
* *norma se ia in calculul efectivului zilnic cu 0,5; norma didactica se considera egala cu
* *programul normal de lucru: 40 de ore/saptamana). Salariatii detasati se iau in calculul numarului
* *mediu la unitatea de la care isi iau drepturile salariale.
* *pt.statutul de 'parte afiliata' se vor avea in vedere prevederile art.7 pct.21 din Legea
* *nr.571/2003 privind Codul fiscal."
* *pt.statutul de persoane juridice afiliate se vor avea in vedere prevederile art.7 pct.21 din
* *Legea nr.571/2003 privind Codul fiscal, cu modificarile si completarile ulterioar1
* 
* 
* * Numar mediu de salariati
* *r24c1 = nmsalpp()
* *r24c2 = nmsalpc()
* 
* * Numar efectiv de salariati
* * EXACT La 30/06
* *r25c1 = nesalpp()
* *r25c2 = nesalpc()
* 
* *r25c1 = 0
* *r25c2 = 0
* 
* 
* *r26c1 = 0
* *r27c1 = 0
* *r28c1 = 0
* *r29c1 = 0
* *r30c1 = 0
* *r31c1 = 0
* *r32c1 = 0
* *r33c1 = 0
* *r34c1 = 0
* *r35c1 = 0
* *r36c1 = 0
* *r37c1 = 0
* *r38c1 = 0
* *r39c1 = 0
* *r40c1 = 0
* *r41c1 = 0
* *r42c1 = 0
* 
        r49c1 =Round((rcpc("445"))/__BiLei,__BiRot)
* 
* *r50c1=0
* *r51c1=0
* *r52c1=0
* 
        r53c1=Round((sdpc("4111.r")+sdpc("461_.r"))/__BiLei,__BiRot)
        r54c1=Round((sdpc("4111.r.stat")+sdpc("461_.r.stat"))/__BiLei,__BiRot)
        r55c1=Round((sdpc("4111.r.priv")+sdpc("461_.r.priv"))/__BiLei,__BiRot)
* 
* 
* * Tichete de masa
        r56c1 =Round((tdpc("642"))/__BiLei,__BiRot)
* 
* * cercetare dezv
        r57c1 =Round((sdpp("203"))/__BiLei,__BiRot)
        r57c2 =Round((sdpc("203"))/__BiLei,__BiRot)
* 
* *r58c1 = 0
* *r59c2 = 0
* 
* *r59c1 = 0
* *r59c2 = 0
* 
* 
* *r61c1 = 0
* *r61c2 = 0
* 
* *r62c1 = 0
* *r62c2 = 0
* 
* *r63c1 = 0
* *r63c2 = 0
* 
* * Imobilizari fin
* 
        r64c1 =Round((sdpp("234"))/__BiLei,__BiRot)
        r64c2 =Round((sdpc("234"))/__BiLei,__BiRot)
* 
        r65c1 =Round((sdpp("232"))/__BiLei,__BiRot)
        r65c2 =Round((sdpc("232"))/__BiLei,__BiRot)
* 
* 
* 
* 
        r68c1 =Round((sdpp("261")+sdpp("263")+sdpp("264")+sdpp("265"))/__BiLei,__BiRot)
        r68c2 =Round((sdpc("261")+sdpc("263")+sdpc("264")+sdpc("265"))/__BiLei,__BiRot)
* 
* * necotate
* *r69c1 = 0
* *r69c2 = 0
* 
* * Parti sociale 265 e bag
* 
* *r70c1 = sdpp(261+263+264+265)
* *r70c2 = sdpc(261+263+264+265)
* 
* * Obligatiuni emise de rezidenti
* 
* *r71c1 = sdpp()
* *r71c2 = sdpc()
* 
* 
* *r72c1 = sdpp()
* *r72c2 = sdpc()
* 
* *r73c1 = sdpp()
* *r73c2 = sdpc()
* 
* *r74c1 = sdpp()
* *r74c2 = sdpc()
* 
* 
* 
* 
        r76c1 =Round((sdpp("267"))/__BiLei,__BiRot)
        r76c2 =Round((sdpc("267"))/__BiLei,__BiRot)
* 
* *r77c1 = sdpp()
* *r77c2 = sdpc()
* 
* * Creante
* 
        r78c1 =Round((sdpp("4092")+sdpp("411")+sdpp("413")+sdpp("418"))/__BiLei,__BiRot)
        r78c2 =Round((sdpc("4092")+sdpc("411")+sdpc("413")+sdpc("418"))/__BiLei,__BiRot)
* 
* *r79c1 = 0
* *r79c2 = 0
* 
* *r80c1 = 0
* *r80c2 = 0
* 
        r81c1 =Round((sdpp("425")+sdpp("4282"))/__BiLei,__BiRot)
        r81c2 =Round((sdpc("425")+sdpc("4282"))/__BiLei,__BiRot)
* 
* 
* 
        r83c1 =Round((sdpp("431")+sdpp("437")+sdpp("4382"))/__BiLei,__BiRot)
        r83c2 =Round((sdpc("431")+sdpc("437")+sdpc("4382"))/__BiLei,__BiRot)
* 
        r84c1 =Round((sdpp("441")+sdpp("4424")+sdpp("4428")+sdpp("444")+sdpp("446"))/__BiLei,__BiRot)
        r84c2 =Round((sdpc("441")+sdpc("4424")+sdpc("4428")+sdpc("444")+sdpc("446"))/__BiLei,__BiRot)
* 
* 
        r85c1 =Round((sdpp("445"))/__BiLei,__BiRot)
        r85c2 =Round((sdpc("445"))/__BiLei,__BiRot)
* 
        r86c1 =Round((sdpp("447"))/__BiLei,__BiRot)
        r86c2 =Round((sdpc("447"))/__BiLei,__BiRot)
* 
        r87c1 =Round((sdpp("4482"))/__BiLei,__BiRot)
        r87c2 =Round((sdpc("4482"))/__BiLei,__BiRot)
* 
        r88c1 =Round((sdpp("451"))/__BiLei,__BiRot)
        r88c2 =Round((sdpc("451"))/__BiLei,__BiRot)
* 
* *r89c1 = 0
* *r89c2 = 0
* 
* 
* 
* 
        r91c1 =Round((sdpp("453")+sdpp("456")+sdpp("4582"))/__BiLei,__BiRot)
        r91c2 =Round((sdpc("453")+sdpc("456")+sdpc("4582"))/__BiLei,__BiRot)
* 
* 
        r92c1 =Round((sdpp("461")+sdpp("471")+sdpp("473"))/__BiLei,__BiRot)
        r92c2 =Round((sdpc("461")+sdpc("471")+sdpc("473"))/__BiLei,__BiRot)
* 
* * r93 = lasam
* 
        r94c1 =Round((sdpp("5187"))/__BiLei,__BiRot)
        r94c2 =Round((sdpc("5187"))/__BiLei,__BiRot)
* 
* *r95c1 = 0
* *r95c2 = 0
* 
* *r96 - lasam (imprumuturi acordate)
* 
* 
        r98c1 =Round((sdpp("501"))/__BiLei,__BiRot)
        r98c2 =Round((sdpc("501"))/__BiLei,__BiRot)
* 
* *r98c1 = 0
* *r98c2 = 0
* 
* *r99c1 = 0
* *r99c2 = 0
* 
        r100c1 =Round((sdpp("508"))/__BiLei,__BiRot)
        r100c2 =Round((sdpc("508"))/__BiLei,__BiRot)
* 
        r101c1 =Round((sdpp("505")+sdpp("506"))/__BiLei,__BiRot)
        r101c2 =Round((sdpc("505")+sdpc("506"))/__BiLei,__BiRot)
* 
* 
* *r102c1 = 0
* *r102c2 = 0
* 
* *r103c1 = 0
* *r103c2 = 0
* 
* 
* *r104c1 = 0
* *r104c2 = 0
* 
        r105c1 =Round((sdpp("5113")+sdpp("5114"))/__BiLei,__BiRot)
        r105c2 =Round((sdpc("5113")+sdpc("5114"))/__BiLei,__BiRot)
* 
* 
        r107c1 =Round((sdpp("5311"))/__BiLei,__BiRot)
        r107c2 =Round((sdpc("5311"))/__BiLei,__BiRot)
* 
        r108c1 =Round((sdpp("5314"))/__BiLei,__BiRot)
        r108c2 =Round((sdpc("5314"))/__BiLei,__BiRot)
* 
* 
        r110c1 =Round((sdpp("5121"))/__BiLei,__BiRot)
        r110c2 =Round((sdpc("5121"))/__BiLei,__BiRot)
* 
* *r111c1 = 0
* *r111c2 = 0
* 
* 
        r112c1 =Round((sdpp("5124"))/__BiLei,__BiRot)
        r112c2 =Round((sdpc("5124"))/__BiLei,__BiRot)
* 
* *r113c1 = 0
* *r113c2 = 0
* 
* 
        r115c1 =Round((sdpp("5112")+sdpp("5125")+sdpp("5411"))/__BiLei,__BiRot)
        r115c2 =Round((sdpc("5112")+sdpc("5125")+sdpc("5411"))/__BiLei,__BiRot)
* 
        r116c1 =Round((sdpp("5412"))/__BiLei,__BiRot)
        r116c2 =Round((sdpc("5412"))/__BiLei,__BiRot)
* 
* 
* 
        r119c1 =Round((scap("161"))/__BiLei,__BiRot)
        r119c2 =Round((scpc("161"))/__BiLei,__BiRot)
* 
* *r120c1 = 0
* *r120c2 = 0
* 
* 
        r122c1 =Round((scpp("1681"))/__BiLei,__BiRot)
        r122c2 =Round((scpc("1681"))/__BiLei,__BiRot)
* 
* *r123c1 = 0
* *r123c2 = 0
* 
* 
* 
        r125c1 =Round((scpp("5191")+scpp("5192")+scpp("5197"))/__BiLei,__BiRot)
        r125c2 =Round((scpc("5191")+scpc("5192")+scpc("5197"))/__BiLei,__BiRot)
* 
* *r126c1 = 0
* *r126c2 = 0
* 
* 
        r128c1 =Round((scpp("5198"))/__BiLei,__BiRot)
        r128c2 =Round((scpc("5198"))/__BiLei,__BiRot)
* 
* *r129c1 = 0
* *r129c2 = 0
* 
* 
        r131c1 =Round((scpp("5193")+scpp("5194")+scpp("5195"))/__BiLei,__BiRot)
        r131c2 =Round((scpc("5193")+scpc("5194")+scpc("5195"))/__BiLei,__BiRot)
* 
* *r132c1 = 0
* *r132c2 = 0
* 
* 
* *r134c1 = 0
* *r134c2 = 0
* 
* *r135c1 = 0
* *r135c2 = 0
* 
* 
        r137c1 =Round((scpp("1621")+scpp("1622")+scpp("1627"))/__BiLei,__BiRot)
        r137c2 =Round((scpc("1621")+scpc("1622")+scpc("1627"))/__BiLei,__BiRot)
* 
* *r138c1 = 0
* *r138c2 = 0
* 
* 
        r140c1 =Round((scpp("1682"))/__BiLei,__BiRot)
        r140c2 =Round((scpc("1682"))/__BiLei,__BiRot)
* 
* *r141c1 = 0
* *r141c2 = 0
* 
* 
        r143c1 =Round((scpp("1623")+scpp("1624")+scpp("1625"))/__BiLei,__BiRot)
        r143c2 =Round((scpc("1623")+scpc("1624")+scpc("1625"))/__BiLei,__BiRot)
* 
* *r144c1 = 0
* *r144c2 = 0
* 
* 
* *r146c1 = scpp()
* *r146c2 = scpc()
* 
* *r147c1 = 0
* *r147c2 = 0
* 
        r148c1 =Round((scpp("1626"))/__BiLei,__BiRot)
        r148c2 =Round((scpc("1626"))/__BiLei,__BiRot)
* 
* 
        r150c1 =Round((scpp("166")+scpp("167")+scpp("1685")+scpp("1686")+scpp("1687"))/__BiLei,__BiRot)
        r150c2 =Round((scpc("166")+scpc("167")+scpc("1685")+scpc("1686")+scpc("1687"))/__BiLei,__BiRot)
* 
* *r151c1 = 0
* *r151c2 = 0
* 
* *r152 - nimic
* 
        r153c1 =Round((scpp("401")+scpp("403")+scpp("404")+scpp("405")+scpp("408")+scpp("419"))/__BiLei,__BiRot)
        r153c2 =Round((scpc("401")+scpc("403")+scpc("404")+scpc("405")+scpc("408")+scpc("419"))/__BiLei,__BiRot)
* 
* *r154c1 = 0
* *r154c2 = 0
* 
        r155c1 =Round((scpp("421")+scpp("423")+scpp("424")+scpp("426")+scpp("427")+scpp("4281"))/__BiLei,__BiRot)
        r155c2 =Round((scpc("421")+scpc("423")+scpc("424")+scpc("426")+scpc("427")+scpc("4281"))/__BiLei,__BiRot)
* 
* 
* 
        r157c1 =Round((scpp("431")+scpp("437")+scpp("4381"))/__BiLei,__BiRot)
        r157c2 =Round((scpc("431")+scpc("437")+scpc("4381"))/__BiLei,__BiRot)
* 
        r158c1 =Round((scpp("441")+scpp("4423")+scpp("4428")+scpp("444")+scpp("446"))/__BiLei,__BiRot)
        r158c2 =Round((scpc("441")+scpc("4423")+scpc("4428")+scpc("444")+scpc("446"))/__BiLei,__BiRot)
* 
        r159c1 =Round((scpp("447"))/__BiLei,__BiRot)
        r159c2 =Round((scpc("447"))/__BiLei,__BiRot)
* 
        r160c1 =Round((scpp("4481"))/__BiLei,__BiRot)
        r160c2 =Round((scpc("4481"))/__BiLei,__BiRot)
* 
* 
        r161c1 =Round((scpp("451"))/__BiLei,__BiRot)
        r161c2 =Round((scpc("451"))/__BiLei,__BiRot)
* 
        r162c1 =Round((scpp("455"))/__BiLei,__BiRot)
        r162c2 =Round((scpc("455"))/__BiLei,__BiRot)
* 
* 
        r164c1 =Round((scpp("453")+scpp("456")+scpp("457")+scpp("4581"))/__BiLei,__BiRot)
        r164c2 =Round((scpc("453")+scpc("456")+scpc("457")+scpc("4581"))/__BiLei,__BiRot)
* 
        r165c1 =Round((scpp("462")+scpp("472")+scpp("473"))/__BiLei,__BiRot)
        r165c2 =Round((scpc("462")+scpc("472")+scpc("473"))/__BiLei,__BiRot)
* 
* *r166c1 = scpp()
* *r166c2 = scpc()
* 
        r167c1 =Round((scpp("269")+scpp("509"))/__BiLei,__BiRot)
        r167c2 =Round((scpc("269")+scpc("509"))/__BiLei,__BiRot)
* 
        r168c1 =Round((scpp("478"))/__BiLei,__BiRot)
        r168c2 =Round((scpc("478"))/__BiLei,__BiRot)
* 
        r169c1 =Round((scpp("5186"))/__BiLei,__BiRot)
        r169c2 =Round((scpc("5186"))/__BiLei,__BiRot)
* 
* * r170 - nimic
* 
* *+
* * Suma care urmeaza este o initiativa proprie
* * Programul completeaza r174, dar dac nu-i bine
* * utilizatorul pune in 172..175 ce considera, si suma se regaseste aici
* 
* 
* *r172c1 = scpp()
* *r172c2 = scpc()
* 
* *r173c1 = scpp()
* *r173c2 = scpc()
* 
        r174c1 =Round((scpp("1012"))/__BiLei,__BiRot)
        r174c2 =Round((scpc("1012"))/__BiLei,__BiRot)
* 
* *r175c1 = scpp()
* *r175c2 = scpc()
* 
* *- Aici se terminia initiativa
* 
* 
        r176c1 =Round((sdpp("205"))/__BiLei,__BiRot)
        r176c2 =Round((sdpc("205"))/__BiLei,__BiRot)
* 
        r177c1 =Round((tdpp("621"))/__BiLei,__BiRot)
        r177c2 =Round((tdpc("621"))/__BiLei,__BiRot)
* *
* 
        r178c1 =Round((sdpp("8038"))/__BiLei,__BiRot)
        r178c2 =Round((sdpc("8038"))/__BiLei,__BiRot)
* 
* *r179
* *r180
* 
* 
* 
* 
* *r183
* *r184
* *r185
* *r186..r190 - nimic
* 
        r191c1 =Round((scpp("1012"))/__BiLei,__BiRot)
        r191c2 =Round((scpc("1012"))/__BiLei,__BiRot)
* 
* * r192..r199 niste prostii
* 
* *
* *  Corelatii DATE INFORMATIVE (cod 30)
* *
* 
* 
* * Totaluri pe orizontala - col 1 = 2 + 3 pt rd de la 3 la 22
* *c.2 r4c1 =r4c2+r4c3
* *c.3 r5c1 =r5c2+r5c3
* *c.4 r6c1 =r6c2+r6c3
* *c.5 r7c1 =r7c2+r7c3
* *c.6 r8c1 =r8c2+r8c3
* *c.7 r9c1 =r9c2+r9c3
* *c.8 r10c1 =r10c2+r10c3
* *c.9 r11c1 =r11c2+r11c3
* *c.10 r12c1 =r12c2+r12c3
* *c.11 r13c1 =r13c2+r13c3
* *c.12 r14c1 =r14c2+r14c3
* *c.13 r15c1 =r15c2+r15c3
* *c.14 r16c1 =r16c2+r16c3
* *c.15 r17c1 =r17c2+r17c3
* *c.16 r18c1 =r18c2+r18c3
* *c.17 r19c1 =r19c2+r19c3
* *c.18 r20c1 =r20c2+r20c3
* *c.19 r21c1 =r21c2+r21c3
* *c.20 r22c1 =r22c2+r22c3
* *c.21 r23c1 =r23c2+r23c3
* 
* *c.22 r4 =r5+r9+r15+r16+r17+r18+r19+r1
* *c.23 r5 =r6+r7+r7
* *c.24 r9 =r10+r11+r12+r13+r1
* *c.25 r19 =r20+r21+r1
* *c.26 r25c1 >= r26c1
* *c.27 r27c1 >= r28c1
* *c.28 r29c1 >= r30c1
* 
* *c.29 r33c1 >= r33c1+r34c1
* *c.29 r33c2 >= r33c2+r34c2
* 
* *c.29 r35c1 = r36c1 + r37c1 + r38c1
* *c.30 r35c2 = r36c2 + r37c2 + r38c2
* 
* *c.31 r39c1 = r40c1 + r55c1
* *c.32 r39c2 = r40c2 + r55c2
* 
* *c.31.1 r40c1 = r41c1 + r42c1 + r49c1 + r50c1 + r51c1 + r53c1 + r54c1
* *c.31.2 r40c2 = r41c2 + r42c2 + r49c2 + r50c2 + r51c2 + r53c2 + r54c2
* 
* *c.32.1 r55c1 = r56c1 + r57c1
* *c.32.2 r55c2 = r56c2 + r57c2
* 
* *c.33 r64 = r67 + r68   + r69   + r70   + r71  +r72+r1
* *c.34 r75   = r76   + r1
* 
* *c.35 r78   = r79   + r1
* *c.36 r81   = r82   + r1
* *c.37 r84   = r85+r88+r91+r95+r98+r102+r103+r106+r107+r108+r109+r110+r111+r112
* *c.38 r85   = r86   + r1
* *c.39 r88   = r89   + r1
* *c.40 r91   = r92   + r1
* *c.41 r95   = r96   + r1
* *c.42 r98   = r99   + r1
* *c.43 r103   = r104   + r1
* *c.44 r113  = r114  + r115  + r116 + r117
* 
* 

Flush && Asigur datele pe disc

*
* Refac in ce se calculeaza , precum si rotunjirea care se aplica 
*
__BiRot = oBiRot
__BiLei = oBiLei

Select(zl)

Return &&F30Comp()


Procedure F30CompR   && Completeaza din alte si raportari

Private cda
Private zl
Private nrArtZl


 Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
* * Formularul 30
* *
* * Copiat de Pompei (17.07.2006)
* * Modificat Vasile si Pompei- (modificat 19.07.2006, ora 10:45:55)
* * Adaugat explicatii Camelia - 26.07.2006 ora 11:42
* * Modificat Lavinia 15.07.2008
* * Modificat Lavinia 25.07.2009
* * Modificat Lavinia 16.07.2010 ora 22:22
* * Modificat Lavinia 13.07.2011 ora 22:32
* * Lavinia 07.07.2013
* *
* * In cele ce urmeaza exista cateva indicatii suplimentare fata de manual
* * Editati acest fisier dupa cum doriti; ideea este sa stergeti toate prostiile
* *
* * -----------
* *| Definitii |
* * -----------
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* * ---------------------------------------------------------------
* *| Prima litera  | A doua litera | A treia litera| A patra liter1
* *|---------------|---------------|---------------|---------------
* *| s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *| t - Total sume|               |  p - Perioada |               |
* *| r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* * ---------------------------------------------------------------
* *
* * Introduceti in continuare definitii pentru variabilele pe care doriti
* * sa le utilizati in corelatii.
* *
* *[definitii]
* *
* *r1c1 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *r1c2 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *
* *r2c1 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *r2c2 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *
* *r5 = r1+r2+r3
* *
* * Maximul lungimii pentru o linie este 255 caractere
* * O linie foarte lunga se va desparti in linii mai scur1
* * utilizand variabile intermediare; in exemplul de mai jos x1, x2, x3
* *
* * Deasemenea se pot utiliza continuari de linii, cu ; in ultima coloana
* * Se observa in exemplul cu X2 de mai jos , ca , pentru lizibilitate:
* * s-au grupat conturile pe linii, deasemenea observati (si procedati la fel)
* * in ce priveste:
* * - alinierea (utilizati TAB-ur1
* * - semnul plus este la inceputul liniei de continuare
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* *[corelatii]
* *
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* * ----------------------------------------------------------------------------
* 
* * Completar1
* 
* * I. Date privind rezultatul inregistr1
* 
* 
* *La randurile r1c1 si r2c1-persoanele juridice care au in subordine subunitati
* * vor inscrie cifra 1,indiferent de numarul acestor1
* 
* 
* * Unitati care au inregistrat profit 01
* * Unitati care au inregistrat pierdere
* 
* 
* 
* 
* * Plati restante - total (rd.04+08+14 la 18 +22), din car1
* 
* 
* * Furnizori restanti - total (rd.05 la 07), din car1
* 
* 
* * Peste 30 de zile
* 
* 
* * Peste 90 de zile
* 
* 
* * Peste 1 an
* 
* 
* *Obligatii restante fat de bugetul asigurarilor sociale - total 08
* *(rd.09 la 13), din car1
* 
* 
* *- contributii pentru asigurri sociale de stat datorate de angajatori, 09
* *  salariati si alte persoane asimilate
* *
* 
* * - contributii pentru fondul asigurrilor sociale de sntate 10
* 
* 
* * - contributia pentru pensia suplimentar 11
* 
* 
* * - contributii pentru bugetul asigurarilor pentru somaj 12
* 
* 
* * - alte datorii sociale
* 
* 
* * Obligatii restante fat de bugetele fondurilor speciale si alte fonduri
* 
* 
* * Obligatii restante fat de alti creditori
* 
* 
* * Impozite si taxe nepltite la termenul stabilit la bugetul de stat
* 
* 
* * Impozite si taxe nepltite la termenul stabilit la bugetele locale
* 
* 
* * Credite bancare nerambursate la scadent - total (rd.19 la 21)
* 
* 
* * restante dupa 30 de zile
* *r20c2 =scpc(161.r+162.r+166.r+167.r +519.r1
* 
* 
* * restante dupa 90 de zile
* 
* * restante dupa 1 an de zile
* 
* * Dobnzi restante
* 
* 
* *r24c1 si r24c2-numarul mediu de salariati reprezinta o medie aritmetica simpla calculata pr1
* *     impartirea sumei reprezentand efectivele zilnice de persoane ocupate din anul respectiv la numar1
* *    total de zile calendaristice(365de zile).In cazul in care unitatea a fost infiintata sau si-a
* *      inceput activitatea in cursul anului,se iau in calcul sumele reprezentand efectivele zilnice,
* *      numai pe perioada in care aceasta a functionat,iar suma rezultata se imparte la numarul total
* *      al zilelor calendaristice din anul respectiv.Persoanele ocupate care sunt angajate cu nor1
* *      intreaga vor fi incluse in numarul mediu de personal,proportionalcu timpul de lucru prevazut
* *      in contractul de munca,iar pentru cei ce lucreaza o jumatate de norma se ia in calcul efectivul
* *      zilnic inmultit cu 0,5.
* 
* * Salariatii care nu sunt angajati cu norma intreaga vor fi inclusi in numarul mediu proportional
* *cu timpul de lucru prevazut in contractul de munca (de exemplu, cel care lucreaza jumatate din
* *norma se ia in calculul efectivului zilnic cu 0,5; norma didactica se considera egala cu
* *programul normal de lucru: 40 de ore/saptamana). Salariatii detasati se iau in calculul numarului
* *mediu la unitatea de la care isi iau drepturile salariale.
* *pt.statutul de 'parte afiliata' se vor avea in vedere prevederile art.7 pct.21 din Legea
* *nr.571/2003 privind Codul fiscal."
* *pt.statutul de persoane juridice afiliate se vor avea in vedere prevederile art.7 pct.21 din
* *Legea nr.571/2003 privind Codul fiscal, cu modificarile si completarile ulterioar1
* 
* 
* * Numar mediu de salariati
* *r24c1 = nmsalpp()
* *r24c2 = nmsalpc()
* 
* * Numar efectiv de salariati
* * EXACT La 30/06
* *r25c1 = nesalpp()
* *r25c2 = nesalpc()
* 
* *r25c1 = 0
* *r25c2 = 0
* 
* 
* *r26c1 = 0
* *r27c1 = 0
* *r28c1 = 0
* *r29c1 = 0
* *r30c1 = 0
* *r31c1 = 0
* *r32c1 = 0
* *r33c1 = 0
* *r34c1 = 0
* *r35c1 = 0
* *r36c1 = 0
* *r37c1 = 0
* *r38c1 = 0
* *r39c1 = 0
* *r40c1 = 0
* *r41c1 = 0
* *r42c1 = 0
* 
* 
* *r50c1=0
* *r51c1=0
* *r52c1=0
* 
* 
* 
* * Tichete de masa
* 
* * cercetare dezv
* 
* *r58c1 = 0
* *r59c2 = 0
* 
* *r59c1 = 0
* *r59c2 = 0
* 
* 
* *r61c1 = 0
* *r61c2 = 0
* 
* *r62c1 = 0
* *r62c2 = 0
* 
* *r63c1 = 0
* *r63c2 = 0
* 
* * Imobilizari fin
* 
* 
* 
* 
* 
* 
* 
* * necotate
* *r69c1 = 0
* *r69c2 = 0
* 
* * Parti sociale 265 e bag
* 
* *r70c1 = sdpp(261+263+264+265)
* *r70c2 = sdpc(261+263+264+265)
* 
* * Obligatiuni emise de rezidenti
* 
* *r71c1 = sdpp()
* *r71c2 = sdpc()
* 
* 
* *r72c1 = sdpp()
* *r72c2 = sdpc()
* 
* *r73c1 = sdpp()
* *r73c2 = sdpc()
* 
* *r74c1 = sdpp()
* *r74c2 = sdpc()
* 
* 
* 
* 
* 
* *r77c1 = sdpp()
* *r77c2 = sdpc()
* 
* * Creante
* 
* 
* *r79c1 = 0
* *r79c2 = 0
* 
* *r80c1 = 0
* *r80c2 = 0
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *r89c1 = 0
* *r89c2 = 0
* 
* 
* 
* 
* 
* 
* 
* * r93 = lasam
* 
* 
* *r95c1 = 0
* *r95c2 = 0
* 
* *r96 - lasam (imprumuturi acordate)
* 
* 
* 
* *r98c1 = 0
* *r98c2 = 0
* 
* *r99c1 = 0
* *r99c2 = 0
* 
* 
* 
* 
* *r102c1 = 0
* *r102c2 = 0
* 
* *r103c1 = 0
* *r103c2 = 0
* 
* 
* *r104c1 = 0
* *r104c2 = 0
* 
* 
* 
* 
* 
* 
* 
* *r111c1 = 0
* *r111c2 = 0
* 
* 
* 
* *r113c1 = 0
* *r113c2 = 0
* 
* 
* 
* 
* 
* 
* 
* *r120c1 = 0
* *r120c2 = 0
* 
* 
* 
* *r123c1 = 0
* *r123c2 = 0
* 
* 
* 
* 
* *r126c1 = 0
* *r126c2 = 0
* 
* 
* 
* *r129c1 = 0
* *r129c2 = 0
* 
* 
* 
* *r132c1 = 0
* *r132c2 = 0
* 
* 
* *r134c1 = 0
* *r134c2 = 0
* 
* *r135c1 = 0
* *r135c2 = 0
* 
* 
* 
* *r138c1 = 0
* *r138c2 = 0
* 
* 
* 
* *r141c1 = 0
* *r141c2 = 0
* 
* 
* 
* *r144c1 = 0
* *r144c2 = 0
* 
* 
* *r146c1 = scpp()
* *r146c2 = scpc()
* 
* *r147c1 = 0
* *r147c2 = 0
* 
* 
* 
* 
* *r151c1 = 0
* *r151c2 = 0
* 
* *r152 - nimic
* 
* 
* *r154c1 = 0
* *r154c2 = 0
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *r166c1 = scpp()
* *r166c2 = scpc()
* 
* 
* 
* 
* * r170 - nimic
* 
* *+
* * Suma care urmeaza este o initiativa proprie
* * Programul completeaza r174, dar dac nu-i bine
* * utilizatorul pune in 172..175 ce considera, si suma se regaseste aici
* 
* 
* *r172c1 = scpp()
* *r172c2 = scpc()
* 
* *r173c1 = scpp()
* *r173c2 = scpc()
* 
* 
* *r175c1 = scpp()
* *r175c2 = scpc()
* 
* *- Aici se terminia initiativa
* 
* 
* 
* *
* 
* 
* *r179
* *r180
* 
* 
* 
* 
* *r183
* *r184
* *r185
* *r186..r190 - nimic
* 
* 
* * r192..r199 niste prostii
* 
* *
* *  Corelatii DATE INFORMATIVE (cod 30)
* *
* 
* 
* * Totaluri pe orizontala - col 1 = 2 + 3 pt rd de la 3 la 22
* *c.2 r4c1 =r4c2+r4c3
* *c.3 r5c1 =r5c2+r5c3
* *c.4 r6c1 =r6c2+r6c3
* *c.5 r7c1 =r7c2+r7c3
* *c.6 r8c1 =r8c2+r8c3
* *c.7 r9c1 =r9c2+r9c3
* *c.8 r10c1 =r10c2+r10c3
* *c.9 r11c1 =r11c2+r11c3
* *c.10 r12c1 =r12c2+r12c3
* *c.11 r13c1 =r13c2+r13c3
* *c.12 r14c1 =r14c2+r14c3
* *c.13 r15c1 =r15c2+r15c3
* *c.14 r16c1 =r16c2+r16c3
* *c.15 r17c1 =r17c2+r17c3
* *c.16 r18c1 =r18c2+r18c3
* *c.17 r19c1 =r19c2+r19c3
* *c.18 r20c1 =r20c2+r20c3
* *c.19 r21c1 =r21c2+r21c3
* *c.20 r22c1 =r22c2+r22c3
* *c.21 r23c1 =r23c2+r23c3
* 
* *c.22 r4 =r5+r9+r15+r16+r17+r18+r19+r1
* *c.23 r5 =r6+r7+r7
* *c.24 r9 =r10+r11+r12+r13+r1
* *c.25 r19 =r20+r21+r1
* *c.26 r25c1 >= r26c1
* *c.27 r27c1 >= r28c1
* *c.28 r29c1 >= r30c1
* 
* *c.29 r33c1 >= r33c1+r34c1
* *c.29 r33c2 >= r33c2+r34c2
* 
* *c.29 r35c1 = r36c1 + r37c1 + r38c1
* *c.30 r35c2 = r36c2 + r37c2 + r38c2
* 
* *c.31 r39c1 = r40c1 + r55c1
* *c.32 r39c2 = r40c2 + r55c2
* 
* *c.31.1 r40c1 = r41c1 + r42c1 + r49c1 + r50c1 + r51c1 + r53c1 + r54c1
* *c.31.2 r40c2 = r41c2 + r42c2 + r49c2 + r50c2 + r51c2 + r53c2 + r54c2
* 
* *c.32.1 r55c1 = r56c1 + r57c1
* *c.32.2 r55c2 = r56c2 + r57c2
* 
* *c.33 r64 = r67 + r68   + r69   + r70   + r71  +r72+r1
* *c.34 r75   = r76   + r1
* 
* *c.35 r78   = r79   + r1
* *c.36 r81   = r82   + r1
* *c.37 r84   = r85+r88+r91+r95+r98+r102+r103+r106+r107+r108+r109+r110+r111+r112
* *c.38 r85   = r86   + r1
* *c.39 r88   = r89   + r1
* *c.40 r91   = r92   + r1
* *c.41 r95   = r96   + r1
* *c.42 r98   = r99   + r1
* *c.43 r103   = r104   + r1
* *c.44 r113  = r114  + r115  + r116 + r117
* 
* 

 Flush && Asigur datele pe disc


Select(zl)

Return &&F30CompR()


Procedure F30CTot   && Calculeaza totaluri

*
* Functia calculeaza totaluri in rxcx
* 
* Functia se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* Mai nou (28-Iul-2003)
* Daca exista conditii totalul se calculeaza _doar_ daca este 
* indeplinita conditia, altefle este lasat nemodificat
* Pentru a nu se incurca trebuie ca mai intai sa se puna 0 in toate
* randurile de total
*


Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc




*
* Pun mai intai zero in toate randurile de total, sau in cele care sunt calcule pure
*
* Asigur zero in linie de total
Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 5
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r5c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r5c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r5c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 6
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r6c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 7
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r7c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 8
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r8c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 9
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 9
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 10
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 11
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r11c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 12
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 13
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r13c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 14
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r14c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 15
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r15c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 16
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r16c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 17
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r17c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 18
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r18c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 19
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r19c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r19c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r19c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 19
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r19c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 20
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r20c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 21
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 22
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r22c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 23
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r23c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 60
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r60c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r60c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r60c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 66
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r66c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r66c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r66c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 67
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r67c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r67c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r67c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 75
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r75c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r75c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r75c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 82
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r82c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r82c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r82c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 90
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r90c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r90c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r90c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 97
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r97c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r97c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r97c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 106
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r106c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r106c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r106c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 109
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r109c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r109c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r109c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 114
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r114c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r114c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r114c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 117
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r117c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r117c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r117c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 118
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r118c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r118c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r118c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 121
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r121c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r121c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r121c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 124
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r124c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r124c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r124c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 127
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r127c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r127c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r127c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 130
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r130c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r130c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r130c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 133
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r133c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r133c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r133c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 136
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r136c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r136c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r136c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 139
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r139c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r139c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r139c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 142
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r142c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r142c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r142c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 145
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r145c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r145c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r145c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 149
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r149c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r149c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r149c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 156
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r156c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r156c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r156c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 163
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r163c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r163c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r163c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 171
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r171c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r171c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r171c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 181
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r181c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r181c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r181c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 182
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r182c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r182c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r182c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
EndIf
* 
* Functia de calcul efectiv se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* 
* Iteratia 1
* 
        r4c1 =r5c1+r9c1+r15c1+r16c1+r17c1+r18c1+r19c1+r23c1
        r4c2 =r5c2+r9c2+r15c2+r16c2+r17c2+r18c2+r19c2+r23c2
        r4c3 =r5c3+r9c3+r15c3+r16c3+r17c3+r18c3+r19c3+r23c3
        r4c1 =r4c2+r4c3
        r5c1 =r6c1+r7c1+r8c1
        r5c2 =r6c2+r7c2+r8c2
        r5c3 =r6c3+r7c3+r8c3
        r6c1 =r6c2+r6c3
        r7c1 =r7c2+r7c3
        r8c1 =r8c2+r8c3
        r9c1 =r10c1+r11c1+r12c1+r13c1+r14c1
        r9c2 =r10c2+r11c2+r12c2+r13c2+r14c2
        r9c3 =r10c3+r11c3+r12c3+r13c3+r14c3
        r9c1 =r9c2+r9c3
        r10c1 =r10c2+r10c3
        r11c1 =r11c2+r11c3
        r12c1 =r12c2+r12c3
        r13c1 =r13c2+r13c3
        r14c1 =r14c2+r14c3
        r15c1 =r15c2+r15c3
        r16c1 =r16c2+r16c3
        r17c1 =r17c2+r17c3
        r18c1 =r18c2+r18c3
        r19c1 =r20c1+r21c1+r22c1
        r19c2 =r20c2+r21c2+r22c2
        r19c3 =r20c3+r21c3+r22c3
        r19c1 =r19c2+r19c3
        r20c1 =r20c2+r20c3
        r21c1 =r21c2+r21c3
        r22c1 =r22c2+r22c3
        r23c1 =r23c2+r23c3
        r60c1 =r61c1 + r62c1 + r63c1
        r60c2 =r61c2 + r62c2 + r63c2
        r60c3 =r61c3 + r62c3 + r63c3
        r66c1 =r67c1 + r75c1
        r66c2 =r67c2 + r75c2
        r66c3 =r67c3 + r75c3
        r67c1 =r68c1+r69c1+r70c1+r71c1+r72c1+r73c1+r74c1
        r67c2 =r68c2+r69c2+r70c2+r71c2+r72c2+r73c2+r74c2
        r67c3 =r68c3+r69c3+r70c3+r71c3+r72c3+r73c3+r74c3
        r75c1 =r76c1 + r77c1
        r75c2 =r76c2 + r77c2
        r75c3 =r76c3 + r77c3
        r82c1 =r83c1 + r84c1 + r85c1 + r86c1 + r87c1
        r82c2 =r83c2 + r84c2 + r85c2 + r86c2 + r87c2
        r82c3 =r83c3 + r84c3 + r85c3 + r86c3 + r87c3
        r90c1 =r91c1 + r92c1 + r93c1
        r90c2 =r91c2 + r92c2 + r93c2
        r90c3 =r91c3 + r92c3 + r93c3
        r97c1 =r98c1+r99c1+r100c1+r101c1+r102c1+r103c1+r104c1
        r97c2 =r98c2+r99c2+r100c2+r101c2+r102c2+r103c2+r104c2
        r97c3 =r98c3+r99c3+r100c3+r101c3+r102c3+r103c3+r104c3
        r106c1 =r107c1 + r108c1
        r106c2 =r107c2 + r108c2
        r106c3 =r107c3 + r108c3
        r109c1 =r110c1 + r112c1
        r109c2 =r110c2 + r112c2
        r109c3 =r110c3 + r112c3
        r114c1 =r115c1 + r116c1
        r114c2 =r115c2 + r116c2
        r114c3 =r115c3 + r116c3
        r117c1 =r118c1 + r121c1 + r124c1 + r127c1 + r130c1 + r133c1 + r136c1+ r139c1 + r142c1 + r145c1 + r148c1 +r149c1 + r153c1+ r155c1 + r156c1 + r161c1 + r162c1 + r163c1 + r169c1
        r117c2 =r118c2 + r121c2 + r124c2 + r127c2 + r130c2 + r133c2 + r136c2+ r139c2 + r142c2 + r145c2 + r148c2 +r149c2 + r153c2+ r155c2 + r156c2 + r161c2 + r162c2 + r163c2 + r169c2
        r117c3 =r118c3 + r121c3 + r124c3 + r127c3 + r130c3 + r133c3 + r136c3+ r139c3 + r142c3 + r145c3 + r148c3 +r149c3 + r153c3+ r155c3 + r156c3 + r161c3 + r162c3 + r163c3 + r169c3
        r118c1 =r119c1 + r120c1
        r118c2 =r119c2 + r120c2
        r118c3 =r119c3 + r120c3
        r121c1 =r122c1 + r123c1
        r121c2 =r122c2 + r123c2
        r121c3 =r122c3 + r123c3
        r124c1 =r125c1 + r126c1
        r124c2 =r125c2 + r126c2
        r124c3 =r125c3 + r126c3
        r127c1 =r128c1 + r129c1
        r127c2 =r128c2 + r129c2
        r127c3 =r128c3 + r129c3
        r130c1 =r131c1 + r132c1
        r130c2 =r131c2 + r132c2
        r130c3 =r131c3 + r132c3
        r133c1 =r134c1 + r135c1
        r133c2 =r134c2 + r135c2
        r133c3 =r134c3 + r135c3
        r136c1 =r137c1 + r138c1
        r136c2 =r137c2 + r138c2
        r136c3 =r137c3 + r138c3
        r139c1 =r140c1 + r141c1
        r139c2 =r140c2 + r141c2
        r139c3 =r140c3 + r141c3
        r142c1 =r143c1 + r144c1
        r142c2 =r143c2 + r144c2
        r142c3 =r143c3 + r144c3
        r145c1 =r146c1 + r147c1
        r145c2 =r146c2 + r147c2
        r145c3 =r146c3 + r147c3
        r149c1 =r150c1 + r151c1
        r149c2 =r150c2 + r151c2
        r149c3 =r150c3 + r151c3
        r156c1 =r157c1 + r158c1 + r159c1 + r160c1
        r156c2 =r157c2 + r158c2 + r159c2 + r160c2
        r156c3 =r157c3 + r158c3 + r159c3 + r160c3
        r163c1 =r164c1+ r165c1 + r166c1 + r167c1 + r168c1
        r163c2 =r164c2+ r165c2 + r166c2 + r167c2 + r168c2
        r163c3 =r164c3+ r165c3 + r166c3 + r167c3 + r168c3
        r171c1 =r172c1 + r173c1 + r174c1 + r175c1
        r171c2 =r172c2 + r173c2 + r174c2 + r175c2
        r171c3 =r172c3 + r173c3 + r174c3 + r175c3
        r181c1 =r182c1 + r185c1 + r189c1 + r190c1 + r191c1 + r192c1
        r181c2 =r182c2 + r185c2 + r189c2 + r190c2 + r191c2 + r192c2
        r181c3 =r182c3 + r185c3 + r189c3 + r190c3 + r191c3 + r192c3
        r182c1 =r183c1 + r184c1
        r182c2 =r183c2 + r184c2
        r182c3 =r183c3 + r184c3
* 
* Iteratia 2
* 
        r4c1 =r5c1+r9c1+r15c1+r16c1+r17c1+r18c1+r19c1+r23c1
        r4c2 =r5c2+r9c2+r15c2+r16c2+r17c2+r18c2+r19c2+r23c2
        r4c3 =r5c3+r9c3+r15c3+r16c3+r17c3+r18c3+r19c3+r23c3
        r4c1 =r4c2+r4c3
        r5c1 =r6c1+r7c1+r8c1
        r5c2 =r6c2+r7c2+r8c2
        r5c3 =r6c3+r7c3+r8c3
        r6c1 =r6c2+r6c3
        r7c1 =r7c2+r7c3
        r8c1 =r8c2+r8c3
        r9c1 =r10c1+r11c1+r12c1+r13c1+r14c1
        r9c2 =r10c2+r11c2+r12c2+r13c2+r14c2
        r9c3 =r10c3+r11c3+r12c3+r13c3+r14c3
        r9c1 =r9c2+r9c3
        r10c1 =r10c2+r10c3
        r11c1 =r11c2+r11c3
        r12c1 =r12c2+r12c3
        r13c1 =r13c2+r13c3
        r14c1 =r14c2+r14c3
        r15c1 =r15c2+r15c3
        r16c1 =r16c2+r16c3
        r17c1 =r17c2+r17c3
        r18c1 =r18c2+r18c3
        r19c1 =r20c1+r21c1+r22c1
        r19c2 =r20c2+r21c2+r22c2
        r19c3 =r20c3+r21c3+r22c3
        r19c1 =r19c2+r19c3
        r20c1 =r20c2+r20c3
        r21c1 =r21c2+r21c3
        r22c1 =r22c2+r22c3
        r23c1 =r23c2+r23c3
        r60c1 =r61c1 + r62c1 + r63c1
        r60c2 =r61c2 + r62c2 + r63c2
        r60c3 =r61c3 + r62c3 + r63c3
        r66c1 =r67c1 + r75c1
        r66c2 =r67c2 + r75c2
        r66c3 =r67c3 + r75c3
        r67c1 =r68c1+r69c1+r70c1+r71c1+r72c1+r73c1+r74c1
        r67c2 =r68c2+r69c2+r70c2+r71c2+r72c2+r73c2+r74c2
        r67c3 =r68c3+r69c3+r70c3+r71c3+r72c3+r73c3+r74c3
        r75c1 =r76c1 + r77c1
        r75c2 =r76c2 + r77c2
        r75c3 =r76c3 + r77c3
        r82c1 =r83c1 + r84c1 + r85c1 + r86c1 + r87c1
        r82c2 =r83c2 + r84c2 + r85c2 + r86c2 + r87c2
        r82c3 =r83c3 + r84c3 + r85c3 + r86c3 + r87c3
        r90c1 =r91c1 + r92c1 + r93c1
        r90c2 =r91c2 + r92c2 + r93c2
        r90c3 =r91c3 + r92c3 + r93c3
        r97c1 =r98c1+r99c1+r100c1+r101c1+r102c1+r103c1+r104c1
        r97c2 =r98c2+r99c2+r100c2+r101c2+r102c2+r103c2+r104c2
        r97c3 =r98c3+r99c3+r100c3+r101c3+r102c3+r103c3+r104c3
        r106c1 =r107c1 + r108c1
        r106c2 =r107c2 + r108c2
        r106c3 =r107c3 + r108c3
        r109c1 =r110c1 + r112c1
        r109c2 =r110c2 + r112c2
        r109c3 =r110c3 + r112c3
        r114c1 =r115c1 + r116c1
        r114c2 =r115c2 + r116c2
        r114c3 =r115c3 + r116c3
        r117c1 =r118c1 + r121c1 + r124c1 + r127c1 + r130c1 + r133c1 + r136c1+ r139c1 + r142c1 + r145c1 + r148c1 +r149c1 + r153c1+ r155c1 + r156c1 + r161c1 + r162c1 + r163c1 + r169c1
        r117c2 =r118c2 + r121c2 + r124c2 + r127c2 + r130c2 + r133c2 + r136c2+ r139c2 + r142c2 + r145c2 + r148c2 +r149c2 + r153c2+ r155c2 + r156c2 + r161c2 + r162c2 + r163c2 + r169c2
        r117c3 =r118c3 + r121c3 + r124c3 + r127c3 + r130c3 + r133c3 + r136c3+ r139c3 + r142c3 + r145c3 + r148c3 +r149c3 + r153c3+ r155c3 + r156c3 + r161c3 + r162c3 + r163c3 + r169c3
        r118c1 =r119c1 + r120c1
        r118c2 =r119c2 + r120c2
        r118c3 =r119c3 + r120c3
        r121c1 =r122c1 + r123c1
        r121c2 =r122c2 + r123c2
        r121c3 =r122c3 + r123c3
        r124c1 =r125c1 + r126c1
        r124c2 =r125c2 + r126c2
        r124c3 =r125c3 + r126c3
        r127c1 =r128c1 + r129c1
        r127c2 =r128c2 + r129c2
        r127c3 =r128c3 + r129c3
        r130c1 =r131c1 + r132c1
        r130c2 =r131c2 + r132c2
        r130c3 =r131c3 + r132c3
        r133c1 =r134c1 + r135c1
        r133c2 =r134c2 + r135c2
        r133c3 =r134c3 + r135c3
        r136c1 =r137c1 + r138c1
        r136c2 =r137c2 + r138c2
        r136c3 =r137c3 + r138c3
        r139c1 =r140c1 + r141c1
        r139c2 =r140c2 + r141c2
        r139c3 =r140c3 + r141c3
        r142c1 =r143c1 + r144c1
        r142c2 =r143c2 + r144c2
        r142c3 =r143c3 + r144c3
        r145c1 =r146c1 + r147c1
        r145c2 =r146c2 + r147c2
        r145c3 =r146c3 + r147c3
        r149c1 =r150c1 + r151c1
        r149c2 =r150c2 + r151c2
        r149c3 =r150c3 + r151c3
        r156c1 =r157c1 + r158c1 + r159c1 + r160c1
        r156c2 =r157c2 + r158c2 + r159c2 + r160c2
        r156c3 =r157c3 + r158c3 + r159c3 + r160c3
        r163c1 =r164c1+ r165c1 + r166c1 + r167c1 + r168c1
        r163c2 =r164c2+ r165c2 + r166c2 + r167c2 + r168c2
        r163c3 =r164c3+ r165c3 + r166c3 + r167c3 + r168c3
        r171c1 =r172c1 + r173c1 + r174c1 + r175c1
        r171c2 =r172c2 + r173c2 + r174c2 + r175c2
        r171c3 =r172c3 + r173c3 + r174c3 + r175c3
        r181c1 =r182c1 + r185c1 + r189c1 + r190c1 + r191c1 + r192c1
        r181c2 =r182c2 + r185c2 + r189c2 + r190c2 + r191c2 + r192c2
        r181c3 =r182c3 + r185c3 + r189c3 + r190c3 + r191c3 + r192c3
        r182c1 =r183c1 + r184c1
        r182c2 =r183c2 + r184c2
        r182c3 =r183c3 + r184c3
* 
* Iteratia 3
* 
        r4c1 =r5c1+r9c1+r15c1+r16c1+r17c1+r18c1+r19c1+r23c1
        r4c2 =r5c2+r9c2+r15c2+r16c2+r17c2+r18c2+r19c2+r23c2
        r4c3 =r5c3+r9c3+r15c3+r16c3+r17c3+r18c3+r19c3+r23c3
        r4c1 =r4c2+r4c3
        r5c1 =r6c1+r7c1+r8c1
        r5c2 =r6c2+r7c2+r8c2
        r5c3 =r6c3+r7c3+r8c3
        r6c1 =r6c2+r6c3
        r7c1 =r7c2+r7c3
        r8c1 =r8c2+r8c3
        r9c1 =r10c1+r11c1+r12c1+r13c1+r14c1
        r9c2 =r10c2+r11c2+r12c2+r13c2+r14c2
        r9c3 =r10c3+r11c3+r12c3+r13c3+r14c3
        r9c1 =r9c2+r9c3
        r10c1 =r10c2+r10c3
        r11c1 =r11c2+r11c3
        r12c1 =r12c2+r12c3
        r13c1 =r13c2+r13c3
        r14c1 =r14c2+r14c3
        r15c1 =r15c2+r15c3
        r16c1 =r16c2+r16c3
        r17c1 =r17c2+r17c3
        r18c1 =r18c2+r18c3
        r19c1 =r20c1+r21c1+r22c1
        r19c2 =r20c2+r21c2+r22c2
        r19c3 =r20c3+r21c3+r22c3
        r19c1 =r19c2+r19c3
        r20c1 =r20c2+r20c3
        r21c1 =r21c2+r21c3
        r22c1 =r22c2+r22c3
        r23c1 =r23c2+r23c3
        r60c1 =r61c1 + r62c1 + r63c1
        r60c2 =r61c2 + r62c2 + r63c2
        r60c3 =r61c3 + r62c3 + r63c3
        r66c1 =r67c1 + r75c1
        r66c2 =r67c2 + r75c2
        r66c3 =r67c3 + r75c3
        r67c1 =r68c1+r69c1+r70c1+r71c1+r72c1+r73c1+r74c1
        r67c2 =r68c2+r69c2+r70c2+r71c2+r72c2+r73c2+r74c2
        r67c3 =r68c3+r69c3+r70c3+r71c3+r72c3+r73c3+r74c3
        r75c1 =r76c1 + r77c1
        r75c2 =r76c2 + r77c2
        r75c3 =r76c3 + r77c3
        r82c1 =r83c1 + r84c1 + r85c1 + r86c1 + r87c1
        r82c2 =r83c2 + r84c2 + r85c2 + r86c2 + r87c2
        r82c3 =r83c3 + r84c3 + r85c3 + r86c3 + r87c3
        r90c1 =r91c1 + r92c1 + r93c1
        r90c2 =r91c2 + r92c2 + r93c2
        r90c3 =r91c3 + r92c3 + r93c3
        r97c1 =r98c1+r99c1+r100c1+r101c1+r102c1+r103c1+r104c1
        r97c2 =r98c2+r99c2+r100c2+r101c2+r102c2+r103c2+r104c2
        r97c3 =r98c3+r99c3+r100c3+r101c3+r102c3+r103c3+r104c3
        r106c1 =r107c1 + r108c1
        r106c2 =r107c2 + r108c2
        r106c3 =r107c3 + r108c3
        r109c1 =r110c1 + r112c1
        r109c2 =r110c2 + r112c2
        r109c3 =r110c3 + r112c3
        r114c1 =r115c1 + r116c1
        r114c2 =r115c2 + r116c2
        r114c3 =r115c3 + r116c3
        r117c1 =r118c1 + r121c1 + r124c1 + r127c1 + r130c1 + r133c1 + r136c1+ r139c1 + r142c1 + r145c1 + r148c1 +r149c1 + r153c1+ r155c1 + r156c1 + r161c1 + r162c1 + r163c1 + r169c1
        r117c2 =r118c2 + r121c2 + r124c2 + r127c2 + r130c2 + r133c2 + r136c2+ r139c2 + r142c2 + r145c2 + r148c2 +r149c2 + r153c2+ r155c2 + r156c2 + r161c2 + r162c2 + r163c2 + r169c2
        r117c3 =r118c3 + r121c3 + r124c3 + r127c3 + r130c3 + r133c3 + r136c3+ r139c3 + r142c3 + r145c3 + r148c3 +r149c3 + r153c3+ r155c3 + r156c3 + r161c3 + r162c3 + r163c3 + r169c3
        r118c1 =r119c1 + r120c1
        r118c2 =r119c2 + r120c2
        r118c3 =r119c3 + r120c3
        r121c1 =r122c1 + r123c1
        r121c2 =r122c2 + r123c2
        r121c3 =r122c3 + r123c3
        r124c1 =r125c1 + r126c1
        r124c2 =r125c2 + r126c2
        r124c3 =r125c3 + r126c3
        r127c1 =r128c1 + r129c1
        r127c2 =r128c2 + r129c2
        r127c3 =r128c3 + r129c3
        r130c1 =r131c1 + r132c1
        r130c2 =r131c2 + r132c2
        r130c3 =r131c3 + r132c3
        r133c1 =r134c1 + r135c1
        r133c2 =r134c2 + r135c2
        r133c3 =r134c3 + r135c3
        r136c1 =r137c1 + r138c1
        r136c2 =r137c2 + r138c2
        r136c3 =r137c3 + r138c3
        r139c1 =r140c1 + r141c1
        r139c2 =r140c2 + r141c2
        r139c3 =r140c3 + r141c3
        r142c1 =r143c1 + r144c1
        r142c2 =r143c2 + r144c2
        r142c3 =r143c3 + r144c3
        r145c1 =r146c1 + r147c1
        r145c2 =r146c2 + r147c2
        r145c3 =r146c3 + r147c3
        r149c1 =r150c1 + r151c1
        r149c2 =r150c2 + r151c2
        r149c3 =r150c3 + r151c3
        r156c1 =r157c1 + r158c1 + r159c1 + r160c1
        r156c2 =r157c2 + r158c2 + r159c2 + r160c2
        r156c3 =r157c3 + r158c3 + r159c3 + r160c3
        r163c1 =r164c1+ r165c1 + r166c1 + r167c1 + r168c1
        r163c2 =r164c2+ r165c2 + r166c2 + r167c2 + r168c2
        r163c3 =r164c3+ r165c3 + r166c3 + r167c3 + r168c3
        r171c1 =r172c1 + r173c1 + r174c1 + r175c1
        r171c2 =r172c2 + r173c2 + r174c2 + r175c2
        r171c3 =r172c3 + r173c3 + r174c3 + r175c3
        r181c1 =r182c1 + r185c1 + r189c1 + r190c1 + r191c1 + r192c1
        r181c2 =r182c2 + r185c2 + r189c2 + r190c2 + r191c2 + r192c2
        r181c3 =r182c3 + r185c3 + r189c3 + r190c3 + r191c3 + r192c3
        r182c1 =r183c1 + r184c1
        r182c2 =r183c2 + r184c2
        r182c3 =r183c3 + r184c3

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F30CTot()


Procedure F30DfTot   && Defixeaza totaluri

*
* Functia defixeaza totaluri in baza de date
* 
* 
Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc

Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 5
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 9
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 19
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 60
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 66
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 67
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 75
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 82
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 90
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 97
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 106
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 109
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 114
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 117
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 118
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 121
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 124
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 127
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 130
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 133
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 136
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 139
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 142
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 145
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 149
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 156
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 163
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 171
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 181
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf
Seek 182
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
EndIf

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F30DfTot()

