*+ F77.PRG
*
* Program generat de catre Bil41 - Contabil Profesional 4.49.331.1421
* Data: 07.08.2013 12:39:15
*
* Sursa: S:\DBFS\RAPFIN\2013\06\micro\DEF\F77.DEF
*
*
* Contine urmatoarele proceduri:
*
*   F77Get   - preia din baza de date in rxcx
*   F77Put   - completeaza rxcx in baza de date
*   F77Ver   - verifica corelatii rxcx
*   F77Comp  - completeaza din SumeP in rxcx
*   F77CompR - completeaza din alte raportari in rxcx
*   F77CTot  - Calculeaza totaluri din rxcx
*   F77DfTot - Defixeaza totaluri
*
*
*-

Procedure F77Get   && Citeste din baza de date


*
* Aceasta procedura citeste din baza de date
* si incarca variabilele rxcx
*

Private cda
Private i
Private j
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F77.DBF' Again Order Tag BI_RAND Alias xyzzzz

 Flush && Asigur datele pe disc

 For i = 1 to 1
    Seek (i)
    If Found() Then
     	For j = 1 to 1
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+"= xyzzzz.BI_C_"+AllTrim(Str(j))
        	&cda
	    EndFor
    Else
     	For j = 1 to 1
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" = 0"
        	&cda
	    EndFor
    EndIf
EndFor


Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)


Return &&F77Get()


Procedure F77Put   && Scrie in baza de date


*
* Aceasta procedura scrie in baza de date variabilele rxcx
* 

Private cda
Private i
Private j
Private l
Private c
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F77.DBF' Again Order Tag BI_RAND Alias xyzzzz


 For i = 1 to 1
	l = AllTrim(Str(i))
    Seek (i)
    If !Found() Then
		Append Blank
		cda = "Replace  BI_RAND With "+AllTrim(Str(i))
        &cda
        Seek (i) && (de siguranta)
		
    EndIf
	*	
	* Inlocuiesc in coloanele care nu sunt marcate	
	*	
	For j = 1 to 1
		c = AllTrim(Str(j))
*       	cda = "If Empty(BI_F_"+AllTrim(Str(j))+") Then  Replace BI_C_"+AllTrim(Str(j))+" With r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" EndIf"
   	   	cda = "Replace BI_C_"+c+" With IIf(Empty(BI_F_"+c+"), r"+l+"c"+c+",BI_C_"+c+")" 
   		&cda
	EndFor
EndFor

 Flush && Asigur datele pe disc

Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)

If !Empty((WOnTop())) Then
    Show Window (WOnTop()) Refresh Same
EndIf
=Suna(MLD_BRAVO)

Return &&F77Put()


Procedure F77Ver   && Verifica corelatii

Private cda
Private zl
Private numarErori

zl=Select(0)
numarErori = 0


Define Window WiVeCo From 8,20 to 16,60 Title 'Verificare corelatii' In Screen Double Shadow 
Activate Window WiVeCo


 Flush && Asigur datele pe disc


hTerm = 1
Do While hTerm = 1
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(10,36,2) = f(20,67,2) daca f(20,67,2) > 0"
@3,1 Say " f(10,36,2) = f(20,67,2) ..."
        If  f(20,67,2) > 0 Then
           If !( f(10,36,2) = f(20,67,2) ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(10,36,2) = f(20,67,2) daca f(20,67,2) > 0  f(10,36,2) = f(20,67,2)  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(10,37,2) = f(20,68,2) daca f(20,68,2) > 0"
@3,1 Say " f(10,37,2) = f(20,68,2) ..."
        If  f(20,68,2) > 0 Then
           If !( f(10,37,2) = f(20,68,2) ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(10,37,2) = f(20,68,2) daca f(20,68,2) > 0  f(10,37,2) = f(20,68,2)  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,1,1) = 1 daca (f(10,36,2) > 0 )"
@3,1 Say " f(30,1,1) = 1 ..."
        If  (f(10,36,2) > 0 ) Then
           If !( f(30,1,1) = 1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,1,1) = 1 daca (f(10,36,2) > 0 )  f(30,1,1) = 1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,1,2) = f(10,36,2) daca (f(10,36,2) > 0 )"
@3,1 Say " f(30,1,2) = f(10,36,2) ..."
        If  (f(10,36,2) > 0 ) Then
           If !( f(30,1,2) = f(10,36,2) ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,1,2) = f(10,36,2) daca (f(10,36,2) > 0 )  f(30,1,2) = f(10,36,2)  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,2,1) = 0 daca (f(10,36,2) > 0 )"
@3,1 Say " f(30,2,1) = 0 ..."
        If  (f(10,36,2) > 0 ) Then
           If !( f(30,2,1) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,2,1) = 0 daca (f(10,36,2) > 0 )  f(30,2,1) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,2,2) = 0 daca (f(10,36,2) > 0 )"
@3,1 Say " f(30,2,2) = 0 ..."
        If  (f(10,36,2) > 0 ) Then
           If !( f(30,2,2) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,2,2) = 0 daca (f(10,36,2) > 0 )  f(30,2,2) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,3,1) = 0 daca (f(10,36,2) > 0 )"
@3,1 Say " f(30,3,1) = 0 ..."
        If  (f(10,36,2) > 0 ) Then
           If !( f(30,3,1) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,3,1) = 0 daca (f(10,36,2) > 0 )  f(30,3,1) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,3,2) = 0 daca (f(10,36,2) > 0 )"
@3,1 Say " f(30,3,2) = 0 ..."
        If  (f(10,36,2) > 0 ) Then
           If !( f(30,3,2) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,3,2) = 0 daca (f(10,36,2) > 0 )  f(30,3,2) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,1,1) = 0 daca (f(10,37,2) > 0 )"
@3,1 Say " f(30,1,1) = 0 ..."
        If  (f(10,37,2) > 0 ) Then
           If !( f(30,1,1) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,1,1) = 0 daca (f(10,37,2) > 0 )  f(30,1,1) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,1,2) = 0 daca (f(10,37,2) > 0 )"
@3,1 Say " f(30,1,2) = 0 ..."
        If  (f(10,37,2) > 0 ) Then
           If !( f(30,1,2) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,1,2) = 0 daca (f(10,37,2) > 0 )  f(30,1,2) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,2,1) = 1 daca (f(10,37,2) > 0 )"
@3,1 Say " f(30,2,1) = 1 ..."
        If  (f(10,37,2) > 0 ) Then
           If !( f(30,2,1) = 1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,2,1) = 1 daca (f(10,37,2) > 0 )  f(30,2,1) = 1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,2,2) = f(10,37,2) daca (f(10,37,2) > 0 )"
@3,1 Say " f(30,2,2) = f(10,37,2) ..."
        If  (f(10,37,2) > 0 ) Then
           If !( f(30,2,2) = f(10,37,2) ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,2,2) = f(10,37,2) daca (f(10,37,2) > 0 )  f(30,2,2) = f(10,37,2)  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,3,1) = 0 daca (f(10,37,2) > 0 )"
@3,1 Say " f(30,3,1) = 0 ..."
        If  (f(10,37,2) > 0 ) Then
           If !( f(30,3,1) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,3,1) = 0 daca (f(10,37,2) > 0 )  f(30,3,1) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,3,2) = 0 daca (f(10,37,2) > 0 )"
@3,1 Say " f(30,3,2) = 0 ..."
        If  (f(10,37,2) > 0 ) Then
           If !( f(30,3,2) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,3,2) = 0 daca (f(10,37,2) > 0 )  f(30,3,2) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,1,1) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )"
@3,1 Say " f(30,1,1) = 0 ..."
        If  (f(10,36,2) = 0 AND f(10,37,2)=0 ) Then
           If !( f(30,1,1) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,1,1) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )  f(30,1,1) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,1,2) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )"
@3,1 Say " f(30,1,2) = 0 ..."
        If  (f(10,36,2) = 0 AND f(10,37,2)=0 ) Then
           If !( f(30,1,2) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,1,2) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )  f(30,1,2) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,2,1) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )"
@3,1 Say " f(30,2,1) = 0 ..."
        If  (f(10,36,2) = 0 AND f(10,37,2)=0 ) Then
           If !( f(30,2,1) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,2,1) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )  f(30,2,1) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,2,2) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )"
@3,1 Say " f(30,2,2) = 0 ..."
        If  (f(10,36,2) = 0 AND f(10,37,2)=0 ) Then
           If !( f(30,2,2) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,2,2) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )  f(30,2,2) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,3,1) = 1 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )"
@3,1 Say " f(30,3,1) = 1 ..."
        If  (f(10,36,2) = 0 AND f(10,37,2)=0 ) Then
           If !( f(30,3,1) = 1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,3,1) = 1 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )  f(30,3,1) = 1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  f(30,3,2) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )"
@3,1 Say " f(30,3,2) = 0 ..."
        If  (f(10,36,2) = 0 AND f(10,37,2)=0 ) Then
           If !( f(30,3,2) = 0 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," f(30,3,2) = 0 daca (f(10,36,2) = 0 AND f(10,37,2)=0 )  f(30,3,2) = 0  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  (f(10,11,2) + f(10,14,2)) >= f(30,4,1)"
@3,1 Say " (f(10,11,2) + f(10,14,2)) >= f(30,4,1)..."
        If .T. Then
           If !( (f(10,11,2) + f(10,14,2)) >= f(30,4,1)) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," (f(10,11,2) + f(10,14,2)) >= f(30,4,1)  (f(10,11,2) + f(10,14,2)) >= f(30,4,1) ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,023,1) >=0"
@3,1 Say " F(10,023,1) >=0..."
        If .T. Then
           If !( F(10,023,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,023,1) >=0  F(10,023,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,024,1) >=0"
@3,1 Say " F(10,024,1) >=0..."
        If .T. Then
           If !( F(10,024,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,024,1) >=0  F(10,024,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,025,1) >=0"
@3,1 Say " F(10,025,1) >=0..."
        If .T. Then
           If !( F(10,025,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,025,1) >=0  F(10,025,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,026,1) >=0"
@3,1 Say " F(10,026,1) >=0..."
        If .T. Then
           If !( F(10,026,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,026,1) >=0  F(10,026,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,027,1) >=0"
@3,1 Say " F(10,027,1) >=0..."
        If .T. Then
           If !( F(10,027,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,027,1) >=0  F(10,027,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,028,1) >=0"
@3,1 Say " F(10,028,1) >=0..."
        If .T. Then
           If !( F(10,028,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,028,1) >=0  F(10,028,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,029,1) >=0"
@3,1 Say " F(10,029,1) >=0..."
        If .T. Then
           If !( F(10,029,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,029,1) >=0  F(10,029,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,030,1) >=0"
@3,1 Say " F(10,030,1) >=0..."
        If .T. Then
           If !( F(10,030,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,030,1) >=0  F(10,030,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,038,1) >=0"
@3,1 Say " F(10,038,1) >=0..."
        If .T. Then
           If !( F(10,038,1) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,038,1) >=0  F(10,038,1) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,023,2) >=0"
@3,1 Say " F(10,023,2) >=0..."
        If .T. Then
           If !( F(10,023,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,023,2) >=0  F(10,023,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,024,2) >=0"
@3,1 Say " F(10,024,2) >=0..."
        If .T. Then
           If !( F(10,024,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,024,2) >=0  F(10,024,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,025,2) >=0"
@3,1 Say " F(10,025,2) >=0..."
        If .T. Then
           If !( F(10,025,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,025,2) >=0  F(10,025,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,026,2) >=0"
@3,1 Say " F(10,026,2) >=0..."
        If .T. Then
           If !( F(10,026,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,026,2) >=0  F(10,026,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,027,2) >=0"
@3,1 Say " F(10,027,2) >=0..."
        If .T. Then
           If !( F(10,027,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,027,2) >=0  F(10,027,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,028,2) >=0"
@3,1 Say " F(10,028,2) >=0..."
        If .T. Then
           If !( F(10,028,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,028,2) >=0  F(10,028,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,029,2) >=0"
@3,1 Say " F(10,029,2) >=0..."
        If .T. Then
           If !( F(10,029,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,029,2) >=0  F(10,029,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,030,2) >=0"
@3,1 Say " F(10,030,2) >=0..."
        If .T. Then
           If !( F(10,030,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,030,2) >=0  F(10,030,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  F(10,038,2) >=0"
@3,1 Say " F(10,038,2) >=0..."
        If .T. Then
           If !( F(10,038,2) >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," F(10,038,2) >=0  F(10,038,2) >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
hTerm = 2
EndDo

Deactivate Window WiVeCo
Release Window WiVeCo

Select(zl)


 If numarErori = 0 Then
      =Suna(MLD_BRAVO)

	msg1 = Lauda() 
	msg2 = 'La verificarea corelatiilor'
	msg3 = 'nu a fost detectata'
	msg4 = 'nici macar o singura eroare'
	Do Info With ' '+msg1,msg2,msg3,msg4
 EndIf


Return &&F77Ver()


Procedure F77Comp   && Completeaza din SumeP

Private zl
Private nrArtZl
Private cda
Private oBiLei
Private oBiRot   && Loc in care retine rotunjirea

Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
*
* Retin setarile (mod de calcul si rotunjire
*
oBiRot = __BiRot
oBiLei = __BiLei
*
* * Copiat de Pompei (17.07.2006)
* * Vasile (19.07.2006)
* * M.Cazac 14/07/08 19:32:27
* * Modificat Lavinia 15.07.2008
* * Modificat Lavinia 24.07.2009
* * Modificat Lavinia 16.07.2010 22:44
* * Lavinia 20.07.2011  21:15
* * Lavinia 13.07.2012 22:42 (19b)*
* * Lavinia 07.07.2013
* *
* * Atentie: In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* *[definitii]
* *
* * Pentru acest formular nu avem definitii
* 
* [corelatii]
* 
* 
* 
* 
* *
* * Corelatiile dintre formularele de raportare contabila la 31.12.2007
* *
* * (corelatiile contin membri de forma FF.RR.C unde: FF=cod formular, RR=nr.rand, C=nr.coloana)
* *
* * - BILANT PRESCURTAT
* *
* *   ----corelatii intre F10 si F20-------------
* *   10.31.1 = 20.64.1 profit
* *   10.32.1 = 20.65.1 pierdere
* *
* *
* *   10.31.2 = 20.64.2 profit
* *   10.32.2 = 20.65.2 pierdere
* 
* * Doar la an
* * c.1 f(10,36,1) = f(20,67,1) daca f(20,67,1) > 0
* * c.2 f(10,37,1) = f(20,68,1) daca f(20,68,1) > 0
* 
* 
* 
* 
* 
* *
* *   ----corelatii intre F10 si F30-------------
* *   10.31.2 = 30.01.2
* *   10.32.2 = 30.02.2
* *
* *   10.11.2 + 10.14.2 >= 30.03.1 (D+G)
* *
* 
* **c.5 f(10,34,2) = f(30,1,2)
* **c.6 f(10,35,2) = f(30,2,2)
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *
* *   ----corelatii intre F10 si F40 -------------
* *
* *   10.01.1 = 40.04.1 - 40.15.6 - 40.25.10
* *   10.01.2 = 40.04.5 - 40.15.9 - 40.25.13
* *
* *   10.02.1 = 40.10.1 - 40.20.6 - 40.31.10
* *   10.02.2 = 40.10.5 - 40.20.9 - 40.31.13
* *
* *   10.03.1 = 40.11.1 - 40.32.10
* *   10.03.2 = 40.11.5 - 40.32.13
* *
* *
* 
* 
* *
* * Corelatii suplimentare propuse de unitatile fiscale
* *   - la BILANT PRESCURTAT:
* *             F10_020 col 1 si 2 >=0  (cap.subscris varsat)
* *             F10_021 col 1 si 2 >=0  (cap.subscris nevarsat)
* *             F10_022 col 1 si 2 >=0  (patrimoniul regiei)
* *             F10_023 col 1 si 2 >=0  (prime de capital)
* *             F10_025 col 1 si 2 >=0  (rezerve)
* *             F10_033 col 1 si 2 >=0  (repartizarea profitului)
* *
* 
* 
* 
* 
* 

Flush && Asigur datele pe disc

*
* Refac in ce se calculeaza , precum si rotunjirea care se aplica 
*
__BiRot = oBiRot
__BiLei = oBiLei

Select(zl)

Return &&F77Comp()


Procedure F77CompR   && Completeaza din alte si raportari

Private cda
Private zl
Private nrArtZl


 Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
* * Copiat de Pompei (17.07.2006)
* * Vasile (19.07.2006)
* * M.Cazac 14/07/08 19:32:27
* * Modificat Lavinia 15.07.2008
* * Modificat Lavinia 24.07.2009
* * Modificat Lavinia 16.07.2010 22:44
* * Lavinia 20.07.2011  21:15
* * Lavinia 13.07.2012 22:42 (19b)*
* * Lavinia 07.07.2013
* *
* * Atentie: In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* *[definitii]
* *
* * Pentru acest formular nu avem definitii
* 
* [corelatii]
* 
* 
* 
* 
* *
* * Corelatiile dintre formularele de raportare contabila la 31.12.2007
* *
* * (corelatiile contin membri de forma FF.RR.C unde: FF=cod formular, RR=nr.rand, C=nr.coloana)
* *
* * - BILANT PRESCURTAT
* *
* *   ----corelatii intre F10 si F20-------------
* *   10.31.1 = 20.64.1 profit
* *   10.32.1 = 20.65.1 pierdere
* *
* *
* *   10.31.2 = 20.64.2 profit
* *   10.32.2 = 20.65.2 pierdere
* 
* * Doar la an
* * c.1 f(10,36,1) = f(20,67,1) daca f(20,67,1) > 0
* * c.2 f(10,37,1) = f(20,68,1) daca f(20,68,1) > 0
* 
* 
* 
* 
* 
* *
* *   ----corelatii intre F10 si F30-------------
* *   10.31.2 = 30.01.2
* *   10.32.2 = 30.02.2
* *
* *   10.11.2 + 10.14.2 >= 30.03.1 (D+G)
* *
* 
* **c.5 f(10,34,2) = f(30,1,2)
* **c.6 f(10,35,2) = f(30,2,2)
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *
* *   ----corelatii intre F10 si F40 -------------
* *
* *   10.01.1 = 40.04.1 - 40.15.6 - 40.25.10
* *   10.01.2 = 40.04.5 - 40.15.9 - 40.25.13
* *
* *   10.02.1 = 40.10.1 - 40.20.6 - 40.31.10
* *   10.02.2 = 40.10.5 - 40.20.9 - 40.31.13
* *
* *   10.03.1 = 40.11.1 - 40.32.10
* *   10.03.2 = 40.11.5 - 40.32.13
* *
* *
* 
* 
* *
* * Corelatii suplimentare propuse de unitatile fiscale
* *   - la BILANT PRESCURTAT:
* *             F10_020 col 1 si 2 >=0  (cap.subscris varsat)
* *             F10_021 col 1 si 2 >=0  (cap.subscris nevarsat)
* *             F10_022 col 1 si 2 >=0  (patrimoniul regiei)
* *             F10_023 col 1 si 2 >=0  (prime de capital)
* *             F10_025 col 1 si 2 >=0  (rezerve)
* *             F10_033 col 1 si 2 >=0  (repartizarea profitului)
* *
* 
* 
* 
* 
* 

 Flush && Asigur datele pe disc


Select(zl)

Return &&F77CompR()


Procedure F77CTot   && Calculeaza totaluri

*
* Functia calculeaza totaluri in rxcx
* 
* Functia se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* Mai nou (28-Iul-2003)
* Daca exista conditii totalul se calculeaza _doar_ daca este 
* indeplinita conditia, altefle este lasat nemodificat
* Pentru a nu se incurca trebuie ca mai intai sa se puna 0 in toate
* randurile de total
*


Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc




*
* Pun mai intai zero in toate randurile de total, sau in cele care sunt calcule pure
*
* 
* Functia de calcul efectiv se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* 
* Iteratia 1
* 
* 
* Iteratia 2
* 
* 
* Iteratia 3
* 

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F77CTot()


Procedure F77DfTot   && Defixeaza totaluri

*
* Functia defixeaza totaluri in baza de date
* 
* 
Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc


 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F77DfTot()

