*+ F10.PRG
*
* Program generat de catre Bil41 - Contabil Profesional 4.49.331.1421
* Data: 07.08.2013 13:35:27
*
* Sursa: S:\DBFS\RAPFIN\2013\06\micro\DEF\F10.DEF
*
*
* Contine urmatoarele proceduri:
*
*   F10Get   - preia din baza de date in rxcx
*   F10Put   - completeaza rxcx in baza de date
*   F10Ver   - verifica corelatii rxcx
*   F10Comp  - completeaza din SumeP in rxcx
*   F10CompR - completeaza din alte raportari in rxcx
*   F10CTot  - Calculeaza totaluri din rxcx
*   F10DfTot - Defixeaza totaluri
*
*
*-

Procedure F10Get   && Citeste din baza de date


*
* Aceasta procedura citeste din baza de date
* si incarca variabilele rxcx
*

Private cda
Private i
Private j
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F10.DBF' Again Order Tag BI_RAND Alias xyzzzz

 Flush && Asigur datele pe disc

 For i = 1 to 41
    Seek (i)
    If Found() Then
     	For j = 1 to 2
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+"= xyzzzz.BI_C_"+AllTrim(Str(j))
        	&cda
	    EndFor
    Else
     	For j = 1 to 2
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" = 0"
        	&cda
	    EndFor
    EndIf
EndFor


Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)


Return &&F10Get()


Procedure F10Put   && Scrie in baza de date


*
* Aceasta procedura scrie in baza de date variabilele rxcx
* 

Private cda
Private i
Private j
Private l
Private c
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F10.DBF' Again Order Tag BI_RAND Alias xyzzzz


 For i = 1 to 41
	l = AllTrim(Str(i))
    Seek (i)
    If !Found() Then
		Append Blank
		cda = "Replace  BI_RAND With "+AllTrim(Str(i))
        &cda
        Seek (i) && (de siguranta)
		
    EndIf
	*	
	* Inlocuiesc in coloanele care nu sunt marcate	
	*	
	For j = 1 to 2
		c = AllTrim(Str(j))
*       	cda = "If Empty(BI_F_"+AllTrim(Str(j))+") Then  Replace BI_C_"+AllTrim(Str(j))+" With r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" EndIf"
   	   	cda = "Replace BI_C_"+c+" With IIf(Empty(BI_F_"+c+"), r"+l+"c"+c+",BI_C_"+c+")" 
   		&cda
	EndFor
EndFor

 Flush && Asigur datele pe disc

Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)

If !Empty((WOnTop())) Then
    Show Window (WOnTop()) Refresh Same
EndIf
=Suna(MLD_BRAVO)

Return &&F10Put()


Procedure F10Ver   && Verifica corelatii

Private cda
Private zl
Private numarErori

zl=Select(0)
numarErori = 0


Define Window WiVeCo From 8,20 to 16,60 Title 'Verificare corelatii' In Screen Double Shadow 
Activate Window WiVeCo


 Flush && Asigur datele pe disc


hTerm = 1
Do While hTerm = 1
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r4  = r1+r2+r3"
@3,1 Say " r4c1 =r1c1+r2c1+r3c1..."
        If .T. Then
           If !( r4c1 =r1c1+r2c1+r3c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r4  = r1+r2+r3  r4c1 =r1c1+r2c1+r3c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r4  = r1+r2+r3"
@3,1 Say " r4c2 =r1c2+r2c2+r3c2..."
        If .T. Then
           If !( r4c2 =r1c2+r2c2+r3c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r4  = r1+r2+r3  r4c2 =r1c2+r2c2+r3c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r9  = r5+r6+r7+r8"
@3,1 Say " r9c1 =r5c1+r6c1+r7c1+r8c1..."
        If .T. Then
           If !( r9c1 =r5c1+r6c1+r7c1+r8c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r9  = r5+r6+r7+r8  r9c1 =r5c1+r6c1+r7c1+r8c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r9  = r5+r6+r7+r8"
@3,1 Say " r9c2 =r5c2+r6c2+r7c2+r8c2..."
        If .T. Then
           If !( r9c2 =r5c2+r6c2+r7c2+r8c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r9  = r5+r6+r7+r8  r9c2 =r5c2+r6c2+r7c2+r8c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 = r9+r10-r11-r19"
@3,1 Say " r12c1 =r9c1+r10c1-r11c1-r19c1..."
        If .T. Then
           If !( r12c1 =r9c1+r10c1-r11c1-r19c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 = r9+r10-r11-r19  r12c1 =r9c1+r10c1-r11c1-r19c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 = r9+r10-r11-r19"
@3,1 Say " r12c2 =r9c2+r10c2-r11c2-r19c2..."
        If .T. Then
           If !( r12c2 =r9c2+r10c2-r11c2-r19c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 = r9+r10-r11-r19  r12c2 =r9c2+r10c2-r11c2-r19c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r13 = r4+r12"
@3,1 Say " r13c1 =r4c1+r12c1..."
        If .T. Then
           If !( r13c1 =r4c1+r12c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r13 = r4+r12  r13c1 =r4c1+r12c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r13 = r4+r12"
@3,1 Say " r13c2 =r4c2+r12c2..."
        If .T. Then
           If !( r13c2 =r4c2+r12c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r13 = r4+r12  r13c2 =r4c2+r12c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r16 = r17+r18+r21+r22"
@3,1 Say " r16c1 =r17c1+r18c1+r21c1+r22c1..."
        If .T. Then
           If !( r16c1 =r17c1+r18c1+r21c1+r22c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r16 = r17+r18+r21+r22  r16c1 =r17c1+r18c1+r21c1+r22c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r16 = r17+r18+r21+r22"
@3,1 Say " r16c2 =r17c2+r18c2+r21c2+r22c2..."
        If .T. Then
           If !( r16c2 =r17c2+r18c2+r21c2+r22c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r16 = r17+r18+r21+r22  r16c2 =r17c2+r18c2+r21c2+r22c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r18 = r19+r20"
@3,1 Say " r18c1 =r19c1+r20c1..."
        If .T. Then
           If !( r18c1 =r19c1+r20c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r18 = r19+r20  r18c1 =r19c1+r20c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r18 = r19+r20"
@3,1 Say " r18c2 =r19c2+r20c2..."
        If .T. Then
           If !( r18c2 =r19c2+r20c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r18 = r19+r20  r18c2 =r19c2+r20c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r23 = r24+r25+r26+r27"
@3,1 Say " r23c1 =r24c1+r25c1+r26c1+r27c1..."
        If .T. Then
           If !( r23c1 =r24c1+r25c1+r26c1+r27c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r23 = r24+r25+r26+r27  r23c1 =r24c1+r25c1+r26c1+r27c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r23 = r24+r25+r26+r27"
@3,1 Say " r23c2 =r24c2+r25c2+r26c2+r27c2..."
        If .T. Then
           If !( r23c2 =r24c2+r25c2+r26c2+r27c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r23 = r24+r25+r26+r27  r23c2 =r24c2+r25c2+r26c2+r27c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r39 = r23+r28+r29+r30-r31+r32-r33+r34-r35+r36-r37-r38"
@3,1 Say " r39c1 =r23c1+r28c1+r29c1+r30c1-r31c1+r32c1-r33c1+r34c1-r35c1+r36c1-r37c1-r38c1..."
        If .T. Then
           If !( r39c1 =r23c1+r28c1+r29c1+r30c1-r31c1+r32c1-r33c1+r34c1-r35c1+r36c1-r37c1-r38c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r39 = r23+r28+r29+r30-r31+r32-r33+r34-r35+r36-r37-r38  r39c1 =r23c1+r28c1+r29c1+r30c1-r31c1+r32c1-r33c1+ ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r39 = r23+r28+r29+r30-r31+r32-r33+r34-r35+r36-r37-r38"
@3,1 Say " r39c2 =r23c2+r28c2+r29c2+r30c2-r31c2+r32c2-r33c2+r34c2-r35c2+r36c2-r37c2-r38c2..."
        If .T. Then
           If !( r39c2 =r23c2+r28c2+r29c2+r30c2-r31c2+r32c2-r33c2+r34c2-r35c2+r36c2-r37c2-r38c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r39 = r23+r28+r29+r30-r31+r32-r33+r34-r35+r36-r37-r38  r39c2 =r23c2+r28c2+r29c2+r30c2-r31c2+r32c2-r33c2+ ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r41 = r39+r40"
@3,1 Say " r41c1 =r39c1+r40c1..."
        If .T. Then
           If !( r41c1 =r39c1+r40c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r41 = r39+r40  r41c1 =r39c1+r40c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r41 = r39+r40"
@3,1 Say " r41c2 =r39c2+r40c2..."
        If .T. Then
           If !( r41c2 =r39c2+r40c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r41 = r39+r40  r41c2 =r39c2+r40c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r41 = r13-r14-r15-r17-r20-r21-r22"
@3,1 Say " r41c1 =r13c1-r14c1-r15c1-r17c1-r20c1-r21c1-r22c1..."
        If .T. Then
           If !( r41c1 =r13c1-r14c1-r15c1-r17c1-r20c1-r21c1-r22c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r41 = r13-r14-r15-r17-r20-r21-r22  r41c1 =r13c1-r14c1-r15c1-r17c1-r20c1-r21c1-r22c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r41 = r13-r14-r15-r17-r20-r21-r22"
@3,1 Say " r41c2 =r13c2-r14c2-r15c2-r17c2-r20c2-r21c2-r22c2..."
        If .T. Then
           If !( r41c2 =r13c2-r14c2-r15c2-r17c2-r20c2-r21c2-r22c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r41 = r13-r14-r15-r17-r20-r21-r22  r41c2 =r13c2-r14c2-r15c2-r17c2-r20c2-r21c2-r22c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r23c1+r40c1 >= 0"
@3,1 Say " r23c1+r40c1 >=0..."
        If .T. Then
           If !( r23c1+r40c1 >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r23c1+r40c1 >= 0  r23c1+r40c1 >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r23c2+r40c2 > 0"
@3,1 Say " r23c2+r40c2 > 0..."
        If .T. Then
           If !( r23c2+r40c2 > 0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r23c2+r40c2 > 0  r23c2+r40c2 > 0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
hTerm = 2
EndDo

Deactivate Window WiVeCo
Release Window WiVeCo

Select(zl)


 If numarErori = 0 Then
      =Suna(MLD_BRAVO)

	msg1 = Lauda() 
	msg2 = 'La verificarea corelatiilor'
	msg3 = 'nu a fost detectata'
	msg4 = 'nici macar o singura eroare'
	Do Info With ' '+msg1,msg2,msg3,msg4
 EndIf


Return &&F10Ver()


Procedure F10Comp   && Completeaza din SumeP

Private zl
Private nrArtZl
Private cda
Private oBiLei
Private oBiRot   && Loc in care retine rotunjirea

Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
*
* Retin setarile (mod de calcul si rotunjire
*
oBiRot = __BiRot
oBiLei = __BiLei
*
* **
* * Bilant prescurtat pt Anul 2009(ptr. persoanele juridice care se incadreaza la punctul II -
* * vezi paragaraful de mai jos)
* *
* *  Bilant Prescurtat la data de 30.06.2006
* *
* *  Copiat de Pompei (17.07.2006)
* * - modificat 26.07.2006 ora 08:18
* *  Modificat Lavinia 15.07.2008
* *  Modificat Lavinia 25.07.2009
* *  Lavinia 16.07.2010
* *  Lavinia 20.07.2011
* *  Lavinia 12.07.2012 / (19)
* *  Lavinia 07.08.2013
* *
* * Persoanele juridice, indiferent de forma de organizare, tipul de proprietate si de reglementarile
* * contabile aplicate au obligatia sa intocmeasca si sa depuna situatii financiare anuale la
* * unitatile teritoriale ale Ministerului Finantelor Publice.
* * Situatiile financiare anuale se vor intocmi avandu-se in vedere  formatele prevazute in
* * reglementarile mentionete la pct. I.1., astfel:
* * I. persoanele juridice care potrivit reglementarilor contabile depasesc doua din cele trei
* * criterii prevazute la art. 3 alin. (1) din reglementari si anume:
* * - total active: 3.650.000 Eur01
* * - cifra de afaceri neta: 7.300.000 Eur01
* * - numar mediu salariati: 50
* * precum si societatile tranzanctionate intocmesc situatii financiare anuale care cuprind:
* * -bilant (cod 10)* -cont de profit si pierdere (cod 20)* -situatia modificarilor capitalului propriu* -situatia fluxurilor de trezorerie* -note explicative la situatiile financiare anuale.
* * Acestea vor fi insotite de formularul "Date informative" (cod 30) si formularul "Situatia
* * activelor imobilizate" (cod 40).
* * II. celelalte persoane juridice intocmesc situatii financiare anuale simplificate car01
* * cuprind:
* * - bilant prescurtat* - cont de profit si pierdere* - note explicative la situatiile financiare anuale simplificate.
* * Acestea vor fi insotite de formularul "Date informative" (cod 30) si formularul "Situatia
* * activelor imobilizate" (cod 40).
* * Optional, ele pot intocmi situatia modificarilor capitalului propriu si/sau situatia fluxurilor
* * de trezorerie.
* *
* *
* * NU UITATI SA IESITI CU CTRL+W PT A PASTRA MODIFICARILE FACUTE
* *
* * In cele ce urmeaza exista cateva indicatii suplimentare fata de manual
* * Editati acest fisier dupa cum doriti; ideea este sa stergeti toate prostiile
* *
* * -----------
* *| Definitii |
* * -----------
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* * ---------------------------------------------------------------
* *| Prima litera  | A doua litera | A treia litera| A patra litera|
* *|---------------|---------------|---------------|---------------
* *| s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *| t - Total sume|               |  p - Perioada |               |
* *| r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* * ---------------------------------------------------------------
* *
* * Introduceti in continuare definitii pentru variabilele pe care doriti
* * sa le utilizati in corelatii.
* *
* *[definitii]
* *
* *r01c1 = sdac(201+203+205+2071+208+233+234)-scpc(2075+2801+2803+2805+2807+2808+290+293)
* *r01c2 = sdpc(201+203+205+2071+208+233+234)-scpc(2075+2801+2803+2805+2807+2808+290+293)
* *
* *r02c1 = sdpc(211+212+213+214+231+232)-scpc(2811+2812+2813+2814+291+293)
* *r02c2 = sdpc(211+212+213+214+231+232)-scpc(2811+2812+2813+2814+291+293)
* *
* *r03c1 = sdpc(261+262+263+264+265+267)-scpc(296)
* *r03c2 = sdpc(261+262+263+264+265+267)-scpc(296)
* *
* *r04 = r01+r02+r01
* *
* * Maximul lungimii pentru o linie este 255 caracter01
* * O linie foarte lunga se va desparti in linii mai scurte
* * utilizand variabile intermediare; in exemplul de mai jos x1, x2, x3
* *
* * Deasemenea se pot utiliza continuari de linii, cu ; in ultima coloana
* * Se observa in exemplul cu X2 de mai jos , ca , pentru lizibilitate:
* * s-au grupat conturile pe linii, deasemenea observati (si procedati la fel)
* * in ce priveste:
* * - alinierea (utilizati TAB-uri)
* * - semnul plus este la inceputul liniei de continuar01
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* *[corelatii]
* *
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* * daca suntem la 2013
* *--------------------
* * sdac - soldul la inceputul anului 01/01/2013
* * sdpc - soldul la 30/06/2013
* *
* 
* * I. IMOBILIZARI NECORPORALE (ct. 201+203+205+2071+208+233+234-280-290-2933)
* 
        r1c1 =Round((sdac("201")+sdac("203")+sdac("205")+sdac("2071")+sdac("208")+sdac("233")+sdac("234")-scac("280")-scac("290")-scac("2933"))/__BiLei,__BiRot)
        r1c2 =Round((sdpc("201")+sdpc("203")+sdpc("205")+sdpc("2071")+sdpc("208")+sdpc("233")+sdpc("234")-scpc("280")-scpc("290")-scpc("2933"))/__BiLei,__BiRot)
* 
* * II. IMOBILIZARI CORPORALE (ct.211+212+213+214+231+232-281-291-2931)
* 
        r2c1 =Round((sdac("211")+sdac("212")+sdac("213")+sdac("214")+sdac("223")+sdac("224")+sdac("231")+sdac("232")-scac("281")-scac("291")-scac("2931"))/__BiLei,__BiRot)
        r2c2 =Round((sdpc("211")+sdpc("212")+sdpc("213")+sdpc("214")+sdpc("223")+sdpc("224")+sdpc("231")+sdpc("232")-scpc("281")-scpc("291")-scpc("2931"))/__BiLei,__BiRot)
* 
* *
* * III. IMOBILIZARI FINANCIARE (ct. 261+263+265+267-296)
* *
* * Rd.03 - se completeaz cu valoarea imobilizarilor financiare reprezentnd
* * suma soldurilor conturilor de imobilizri financiare,
* * diminuat cu valoarea provizioanelor aferente.
* * Conturi de repartizat dupa natura elementelor: 267"
* *
* *
* 
        r3c1 =Round((sdac("261")+sdac("263")+sdac("265")+sdac("267")-scac("296"))/__BiLei,__BiRot)
        r3c2 =Round((sdpc("261")+sdpc("263")+sdpc("265")+sdpc("267")-scpc("296"))/__BiLei,__BiRot)
* 
* * ACTIVE IMOBILIZATE - TOTAL (rd. 01 la 03)
* 
* 
* *
* * I. STOCURI (ct. 301+302+303+/-308+331+332+341+345+346+/-348+351+354+356+357+
* * 358+361+/-368+371+/-378+381+/-388-391-392-393-394-395-396-397-398+4091-4428)
* *
* * 4428 poate fi
* * - stoc       4428.mf
* * - creanta   4428.tvai.cump - daca are sold DB
* * - datorie   4428.tvai.vanz - daca are sold CR
* *  __FrTVAiCc  = TrCont(IIf(!Empty(m.FR_CT4428C), AllTrim(m.FR_CT4428C), __FrTVAiCc))
* *  __FrTVAiCv  = TrCont(IIf(!Empty(m.FR_CT4428V), AllTrim(m.FR_CT4428V), __FrTVAiCv))
* *  __FrTVAiCm  = TrCont(IIf(!Empty(m.FR_CT4428M), AllTrim(m.FR_CT4428M), __FrTVAiCm))
* 
        r5c1 =Round((sdac("301")+sdac("321")+sdac("302")+sdac("322")+sdac("303")+sdac("323")+sdac("308")+sdac("328")+sdac("331")+sdac("332")+sdac("341")+sdac("345")+sdac("346")+sdac("348")+sdac("351")+sdac("354")+sdac("356")+sdac("357")+sdac("358")+sdac("361")+sdac("326")+sdac("368")+sdac("371")+sdac("327")+sdac("378")+sdac("381")+sdac("388")-scac("308")-scac("348")-scac("368")-scac("378")-scac("388")-scac("391")-scac("392")-scac("393")-scac("394")-scac("395")-scac("396")-scac("397")-scac("398")-scac(__FrTVAiCm)+sdac("4091"))/__BiLei,__BiRot)
        r5c2 =Round((sdpc("301")+sdpc("321")+sdpc("302")+sdpc("322")+sdpc("303")+sdpc("323")+sdpc("308")+sdpc("328")+sdpc("331")+sdpc("332")+sdpc("341")+sdpc("345")+sdpc("346")+sdpc("348")+sdpc("351")+sdpc("354")+sdpc("356")+sdpc("357")+sdpc("358")+sdpc("361")+sdpc("326")+sdpc("368")+sdpc("371")+sdpc("327")+sdpc("378")+sdpc("381")+sdpc("388")-scpc("308")-scpc("348")-scpc("368")-scpc("378")-scpc("388")-scpc("391")-scpc("392")-scpc("393")-scpc("394")-scpc("395")-scpc("396")-scpc("397")-scpc("398")-scpc(__FrTVAiCm)+sdpc("4091"))/__BiLei,__BiRot)
* *
* * II. CREANTE (ct.267-296+4092+411+413+418+425+4282+431+437+4382+441+4424+4428
* *    +444+445+446+447+4482+451+453+456+4582+461+473-491-495-496+5187)
* *
* * Observatie: 267 este la rd.3
* *        296 idem
* 
        r6c1 =Round((sdac("4092")+sdac("411")+sdac("413")+sdac("418")+sdac("425")+sdac("4282")+sdac("431")+sdac("437")+sdac("4382")+sdac("441")+sdac("4424")+sdac(__FrTVAiCc)+sdac("444")+sdac("445")+sdac("446")+sdac("447")+sdac("4482")+sdac("451")+sdac("453")+sdac("456")+sdac("4582")+sdac("461")+sdac("473")-scac("491")-scac("495")-scac("496")+sdac("5187"))/__BiLei,__BiRot)
* 
        r6c2 =Round((sdpc("4092")+sdpc("411")+sdpc("413")+sdpc("418")+sdpc("425")+sdpc("4282")+sdpc("431")+sdpc("437")+sdpc("4382")+sdpc("441")+sdpc("4424")+sdpc(__FrTVAiCc)+sdpc("444")+sdpc("445")+sdpc("446")+sdpc("447")+sdpc("4482")+sdpc("451")+sdpc("453")+sdpc("456")+sdpc("4582")+sdpc("461")+sdpc("473")-scpc("491")-scpc("495")-scpc("496")+sdpc("5187"))/__BiLei,__BiRot)
* 
* *
* * III. INVESTITII PE TERMEN SCURT (ct.501+505+506+508+5113+5114-591-595-596-598)
* *
* 
        r7c1 =Round((sdac("501")+sdac("505")+sdac("506")+sdac("508")+sdac("5113")+sdac("5114")-scac("591")+scac("595")+scac("596")+scac("598"))/__BiLei,__BiRot)
        r7c2 =Round((sdpc("501")+sdpc("505")+sdpc("506")+sdpc("508")+sdpc("5113")+sdpc("5114")-scpc("591")+scpc("595")+scpc("596")+scpc("598"))/__BiLei,__BiRot)
* 
* *
* * IV. CASA SI CONTURI LA BANCI (ct. 5112+512+531+532+541+542)
* *
* 
        r8c1 =Round((sdac("5112")+sdac("512")+sdac("531")+sdac("532")+sdac("541")+sdac("542"))/__BiLei,__BiRot)
        r8c2 =Round((sdpc("5112")+sdpc("512")+sdpc("531")+sdpc("532")+sdpc("541")+sdpc("542"))/__BiLei,__BiRot)
* *
* *ACTIVE CIRCULANTE - TOTAL (rd. 05 la 08)
* *
* 
* *
* *C. CHELTUIELI IN AVANS (ct. 471)
* *
        r10c1 =Round((sdac("471"))/__BiLei,__BiRot)
        r10c2 =Round((sdpc("471"))/__BiLei,__BiRot)
* 
* 
* * D. DATORII: SUMELE CARE TREBUIE PLATITE INTR-O PERIOADA DE PANA LA UN AN
* *
* * (ct.161+162+166+167+168-169+269+401+403+404+405+408+419+421+423+424+426+
* * 427+4281+431+437+4381+441+4423+4428+444+446+447+4481+451+453+455+456+457+4581+
* * 462+473+509+5186+519)
* 
* *
* *OBS: In cazul in care datoriile nu sunt conduse in analitic,pe termene,la r11 si r14
* *trebuie sa completati valorile prin introducerea acestora pe coloanele 1 si 2,cu fixare.
* *
* 
        r11c1 =Round((scac("161")+scac("162")+scac("166")+scac("167")+scac("168")-sdac("169")+scac("269")+scac("401")+scac("403")+scac("404")+scac("405")+scac("408")+scac("419")+scac("421")+scac("423")+scac("424")+scac("426")+scac("427")+scac("4281")+scac("431")+scac("437")+scac("4381")+scac("441")+scac("4423")+scac(__FrTVAiCv)+scac("444")+scac("446")+scac("447")+scac("4481")+scac("451")+scac("453")+scac("455")+scac("456")+scac("457")+scac("4581")+scac("462")+scac("473")+scac("509")+scac("5186")+scac("519"))/__BiLei,__BiRot)
* 
        r11c2 =Round((scpc("161")+scpc("162")+scpc("166")+scpc("167")+scpc("168")-sdpc("169")+scpc("269")+scpc("401")+scpc("403")+scpc("404")+scpc("405")+scpc("408")+scpc("419")+scpc("421")+scpc("423")+scpc("424")+scpc("426")+scpc("427")+scpc("4281")+scpc("431")+scpc("437")+scpc("4381")+scpc("441")+scpc("4423")+scpc(__FrTVAiCv)+scpc("444")+scpc("446")+scpc("447")+scpc("4481")+scpc("451")+scpc("453")+scpc("455")+scpc("456")+scpc("457")+scpc("4581")+scpc("462")+scpc("473")+scpc("509")+scpc("5186")+scpc("519"))/__BiLei,__BiRot)
* 
* 
* * E.ACTIVE CIRCULANTE NETE/ DATORII CURENTE NETE (rd.09+10-11-18)
* 
* 
* * F.TOTAL ACTIVE MINUS DATORII CURENTE (rd. 04+12)
* 
* 
* 
* *G.DATORII: SUMELE CARE TREBUIE PLATITE INTR-O PERIOADA MAI MARE DE UN AN (ct.161+162+166+167+168-169+269+401+
* * 403+404+405+408+419+421+423+424+426+427+ 4281+431+437+4381+441+4423+4428+444+446+447+4481+451+453+455+456+
* * 457+4581+ 462+473+509+5186+519)
* *
* 
* * Observatie
* *  aici s-ar pune analitice, dar ele-s puse la r11
* *   cam toate merg acolo, mai putin 167 trebuei impartit manual pe termen scurt si lung
* *
* *r14c1 = scac(161+162+166+167+168)*  -sdac(169)*  +scac(269+401+403+404+405+408+419+421+423+424+426)*  +scac(427+ 4281+431+437+4381+441+4423+4428+444+446+447+4481+451+453+455+456)*  +scac(457+4581+ 462+473+509+5186+519)
* *
* *r14c2 = scpc(161+162+166+167+168)*  -sdpc(169)*  +scpc(269+401+403+404+405+408+419+421+423+424+426)*  +scpc(427+ 4281+431+437+4381+441+4423+4428+444+446+447+4481+451+453+455+456)*  +scpc(457+4581+ 462+473+509+5186+519)
* *
* *r14c1 = 0
* *r14c2 = 0
* 
* * H. PROVIZIOANE (ct. 151)
* *
        r15c1 =Round((scac("151"))/__BiLei,__BiRot)
        r15c2 =Round((scpc("151"))/__BiLei,__BiRot)
* *
* * I. VENITURI IN AVANS (rd. 17+18)
* *
* *
* * - subventii pentru investitii (ct. 131+132+133+134+138)
* *
        r17c1 =Round((scac("475"))/__BiLei,__BiRot)
        r17c2 =Round((scpc("475"))/__BiLei,__BiRot)
* *
* * venituri nregistrate in avans (ct. 472)
* *
* 
        r19c1 =Round((scac("472"))/__BiLei,__BiRot)
        r19c2 =Round((scpc("472"))/__BiLei,__BiRot)
* 
* 
* *r20 il lasam in pace, sa-l puna fiecare cum il taie capul
* 
        r21c1 =Round((scac("478"))/__BiLei,__BiRot)
        r21c2 =Round((scpc("478"))/__BiLei,__BiRot)
* 
        r22c1 =Round((scac("2075"))/__BiLei,__BiRot)
        r22c2 =Round((scpc("2075"))/__BiLei,__BiRot)
* 
* *
* * J. CAPITAL SI REZERVE
* * I. CAPITAL (rd. 20 la 22)
* *
* 
* * din care
* *- capital subscris v9rsat (ct. 1012)
* *- capital subscris nev9rsat (ct. 1011)
* *- patrimoniul regiei (ct. 1015)
* 
        r24c1 =Round((scac("1012"))/__BiLei,__BiRot)
        r24c2 =Round((scpc("1012"))/__BiLei,__BiRot)
* 
        r25c1 =Round((scac("1011"))/__BiLei,__BiRot)
        r25c2 =Round((scpc("1011"))/__BiLei,__BiRot)
* 
        r26c1 =Round((scac("1015"))/__BiLei,__BiRot)
        r26c2 =Round((scpc("1015"))/__BiLei,__BiRot)
* 
        r27c1 =Round((scac("1018"))/__BiLei,__BiRot)
        r27c2 =Round((scpc("1018"))/__BiLei,__BiRot)
* 
* *
* * II. PRIME DE CAPITAL (ct. 104)
* *
        r28c1 =Round((scac("104"))/__BiLei,__BiRot)
        r28c2 =Round((scpc("104"))/__BiLei,__BiRot)
* 
* * III.REZERVE DIN REEVALUARE (ct. 105)
* 
        r29c1 =Round((scac("105"))/__BiLei,__BiRot)
        r29c2 =Round((scpc("105"))/__BiLei,__BiRot)
* 
* * IV.REZERVE (ct. 106)
* * Actiuni proprii (ct. 109)
* * Castiguri legate de instrumentele de capitaluri proprii (ct.141)
* * Pierderi legate de instrumentele de capitaluri proprii (ct.149)
* 
        r30c1 =Round((scac("106"))/__BiLei,__BiRot)
        r30c2 =Round((scpc("106"))/__BiLei,__BiRot)
* 
        r31c1 =Round((sdac("109"))/__BiLei,__BiRot)
        r31c2 =Round((sdpc("109"))/__BiLei,__BiRot)
* 
        r32c1 =Round((scac("141"))/__BiLei,__BiRot)
        r32c2 =Round((scpc("141"))/__BiLei,__BiRot)
* 
        r33c1 =Round((sdac("149"))/__BiLei,__BiRot)
        r33c2 =Round((sdpc("149"))/__BiLei,__BiRot)
* 
* 
* *  V. PROFITUL SAU PIERDEREA REPORTAT (A) (ct. 117) ------- Sold C
* * ------- Sold D
* 
* * profit
        r34c1 =Round((scac("117"))/__BiLei,__BiRot)
        r34c2 =Round((scpc("117"))/__BiLei,__BiRot)
* *  pierderi
        r35c1 =Round((sdac("117"))/__BiLei,__BiRot)
        r35c2 =Round((sdpc("117"))/__BiLei,__BiRot)
* 
* * VI.PROFITUL SAU PIERDEREA EXERCITIULUI FINANCIAR (ct. 121) ------- Sold C 31
* * ------- Sold D 32
* 
        r36c1 =Round((scac("121"))/__BiLei,__BiRot)
        r36c2 =Round((scpc("121"))/__BiLei,__BiRot)
* 
        r37c1 =Round((sdac("121"))/__BiLei,__BiRot)
        r37c2 =Round((sdpc("121"))/__BiLei,__BiRot)
* *
* 
        r38c1 =Round((sdac("129"))/__BiLei,__BiRot)
        r38c2 =Round((sdpc("129"))/__BiLei,__BiRot)
* 
* * CAPITALURI PROPRII - TOTAL (rd. 19+23+24+25-26+27-28+29-30+31-32-33)
* 
* 
* 
* * Patrimoniul public (ct. 1016)
* 
        r40c1 =Round((scac("1016"))/__BiLei,__BiRot)
        r40c2 =Round((scpc("1016"))/__BiLei,__BiRot)
* 
* * CAPITALURI - TOTAL (rd. 34+35)
* 
* *
* * Corelatii in cadrul formularului
* *    BILANT PRESCURTAT (cod 10)
* *
* *

Flush && Asigur datele pe disc

*
* Refac in ce se calculeaza , precum si rotunjirea care se aplica 
*
__BiRot = oBiRot
__BiLei = oBiLei

Select(zl)

Return &&F10Comp()


Procedure F10CompR   && Completeaza din alte si raportari

Private cda
Private zl
Private nrArtZl


 Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
* **
* * Bilant prescurtat pt Anul 2009(ptr. persoanele juridice care se incadreaza la punctul II -
* * vezi paragaraful de mai jos)
* *
* *  Bilant Prescurtat la data de 30.06.2006
* *
* *  Copiat de Pompei (17.07.2006)
* * - modificat 26.07.2006 ora 08:18
* *  Modificat Lavinia 15.07.2008
* *  Modificat Lavinia 25.07.2009
* *  Lavinia 16.07.2010
* *  Lavinia 20.07.2011
* *  Lavinia 12.07.2012 / (19)
* *  Lavinia 07.08.2013
* *
* * Persoanele juridice, indiferent de forma de organizare, tipul de proprietate si de reglementarile
* * contabile aplicate au obligatia sa intocmeasca si sa depuna situatii financiare anuale la
* * unitatile teritoriale ale Ministerului Finantelor Publice.
* * Situatiile financiare anuale se vor intocmi avandu-se in vedere  formatele prevazute in
* * reglementarile mentionete la pct. I.1., astfel:
* * I. persoanele juridice care potrivit reglementarilor contabile depasesc doua din cele trei
* * criterii prevazute la art. 3 alin. (1) din reglementari si anume:
* * - total active: 3.650.000 Eur01
* * - cifra de afaceri neta: 7.300.000 Eur01
* * - numar mediu salariati: 50
* * precum si societatile tranzanctionate intocmesc situatii financiare anuale care cuprind:
* * -bilant (cod 10)* -cont de profit si pierdere (cod 20)* -situatia modificarilor capitalului propriu* -situatia fluxurilor de trezorerie* -note explicative la situatiile financiare anuale.
* * Acestea vor fi insotite de formularul "Date informative" (cod 30) si formularul "Situatia
* * activelor imobilizate" (cod 40).
* * II. celelalte persoane juridice intocmesc situatii financiare anuale simplificate car01
* * cuprind:
* * - bilant prescurtat* - cont de profit si pierdere* - note explicative la situatiile financiare anuale simplificate.
* * Acestea vor fi insotite de formularul "Date informative" (cod 30) si formularul "Situatia
* * activelor imobilizate" (cod 40).
* * Optional, ele pot intocmi situatia modificarilor capitalului propriu si/sau situatia fluxurilor
* * de trezorerie.
* *
* *
* * NU UITATI SA IESITI CU CTRL+W PT A PASTRA MODIFICARILE FACUTE
* *
* * In cele ce urmeaza exista cateva indicatii suplimentare fata de manual
* * Editati acest fisier dupa cum doriti; ideea este sa stergeti toate prostiile
* *
* * -----------
* *| Definitii |
* * -----------
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* * ---------------------------------------------------------------
* *| Prima litera  | A doua litera | A treia litera| A patra litera|
* *|---------------|---------------|---------------|---------------
* *| s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *| t - Total sume|               |  p - Perioada |               |
* *| r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* * ---------------------------------------------------------------
* *
* * Introduceti in continuare definitii pentru variabilele pe care doriti
* * sa le utilizati in corelatii.
* *
* *[definitii]
* *
* *r01c1 = sdac(201+203+205+2071+208+233+234)-scpc(2075+2801+2803+2805+2807+2808+290+293)
* *r01c2 = sdpc(201+203+205+2071+208+233+234)-scpc(2075+2801+2803+2805+2807+2808+290+293)
* *
* *r02c1 = sdpc(211+212+213+214+231+232)-scpc(2811+2812+2813+2814+291+293)
* *r02c2 = sdpc(211+212+213+214+231+232)-scpc(2811+2812+2813+2814+291+293)
* *
* *r03c1 = sdpc(261+262+263+264+265+267)-scpc(296)
* *r03c2 = sdpc(261+262+263+264+265+267)-scpc(296)
* *
* *r04 = r01+r02+r01
* *
* * Maximul lungimii pentru o linie este 255 caracter01
* * O linie foarte lunga se va desparti in linii mai scurte
* * utilizand variabile intermediare; in exemplul de mai jos x1, x2, x3
* *
* * Deasemenea se pot utiliza continuari de linii, cu ; in ultima coloana
* * Se observa in exemplul cu X2 de mai jos , ca , pentru lizibilitate:
* * s-au grupat conturile pe linii, deasemenea observati (si procedati la fel)
* * in ce priveste:
* * - alinierea (utilizati TAB-uri)
* * - semnul plus este la inceputul liniei de continuar01
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* *[corelatii]
* *
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* * daca suntem la 2013
* *--------------------
* * sdac - soldul la inceputul anului 01/01/2013
* * sdpc - soldul la 30/06/2013
* *
* 
* * I. IMOBILIZARI NECORPORALE (ct. 201+203+205+2071+208+233+234-280-290-2933)
* 
* 
* * II. IMOBILIZARI CORPORALE (ct.211+212+213+214+231+232-281-291-2931)
* 
* 
* *
* * III. IMOBILIZARI FINANCIARE (ct. 261+263+265+267-296)
* *
* * Rd.03 - se completeaz cu valoarea imobilizarilor financiare reprezentnd
* * suma soldurilor conturilor de imobilizri financiare,
* * diminuat cu valoarea provizioanelor aferente.
* * Conturi de repartizat dupa natura elementelor: 267"
* *
* *
* 
* 
* * ACTIVE IMOBILIZATE - TOTAL (rd. 01 la 03)
* 
* 
* *
* * I. STOCURI (ct. 301+302+303+/-308+331+332+341+345+346+/-348+351+354+356+357+
* * 358+361+/-368+371+/-378+381+/-388-391-392-393-394-395-396-397-398+4091-4428)
* *
* * 4428 poate fi
* * - stoc       4428.mf
* * - creanta   4428.tvai.cump - daca are sold DB
* * - datorie   4428.tvai.vanz - daca are sold CR
* *  __FrTVAiCc  = TrCont(IIf(!Empty(m.FR_CT4428C), AllTrim(m.FR_CT4428C), __FrTVAiCc))
* *  __FrTVAiCv  = TrCont(IIf(!Empty(m.FR_CT4428V), AllTrim(m.FR_CT4428V), __FrTVAiCv))
* *  __FrTVAiCm  = TrCont(IIf(!Empty(m.FR_CT4428M), AllTrim(m.FR_CT4428M), __FrTVAiCm))
* 
* *
* * II. CREANTE (ct.267-296+4092+411+413+418+425+4282+431+437+4382+441+4424+4428
* *    +444+445+446+447+4482+451+453+456+4582+461+473-491-495-496+5187)
* *
* * Observatie: 267 este la rd.3
* *        296 idem
* 
* 
* 
* *
* * III. INVESTITII PE TERMEN SCURT (ct.501+505+506+508+5113+5114-591-595-596-598)
* *
* 
* 
* *
* * IV. CASA SI CONTURI LA BANCI (ct. 5112+512+531+532+541+542)
* *
* 
* *
* *ACTIVE CIRCULANTE - TOTAL (rd. 05 la 08)
* *
* 
* *
* *C. CHELTUIELI IN AVANS (ct. 471)
* *
* 
* 
* * D. DATORII: SUMELE CARE TREBUIE PLATITE INTR-O PERIOADA DE PANA LA UN AN
* *
* * (ct.161+162+166+167+168-169+269+401+403+404+405+408+419+421+423+424+426+
* * 427+4281+431+437+4381+441+4423+4428+444+446+447+4481+451+453+455+456+457+4581+
* * 462+473+509+5186+519)
* 
* *
* *OBS: In cazul in care datoriile nu sunt conduse in analitic,pe termene,la r11 si r14
* *trebuie sa completati valorile prin introducerea acestora pe coloanele 1 si 2,cu fixare.
* *
* 
* 
* 
* 
* * E.ACTIVE CIRCULANTE NETE/ DATORII CURENTE NETE (rd.09+10-11-18)
* 
* 
* * F.TOTAL ACTIVE MINUS DATORII CURENTE (rd. 04+12)
* 
* 
* 
* *G.DATORII: SUMELE CARE TREBUIE PLATITE INTR-O PERIOADA MAI MARE DE UN AN (ct.161+162+166+167+168-169+269+401+
* * 403+404+405+408+419+421+423+424+426+427+ 4281+431+437+4381+441+4423+4428+444+446+447+4481+451+453+455+456+
* * 457+4581+ 462+473+509+5186+519)
* *
* 
* * Observatie
* *  aici s-ar pune analitice, dar ele-s puse la r11
* *   cam toate merg acolo, mai putin 167 trebuei impartit manual pe termen scurt si lung
* *
* *r14c1 = scac(161+162+166+167+168)*  -sdac(169)*  +scac(269+401+403+404+405+408+419+421+423+424+426)*  +scac(427+ 4281+431+437+4381+441+4423+4428+444+446+447+4481+451+453+455+456)*  +scac(457+4581+ 462+473+509+5186+519)
* *
* *r14c2 = scpc(161+162+166+167+168)*  -sdpc(169)*  +scpc(269+401+403+404+405+408+419+421+423+424+426)*  +scpc(427+ 4281+431+437+4381+441+4423+4428+444+446+447+4481+451+453+455+456)*  +scpc(457+4581+ 462+473+509+5186+519)
* *
* *r14c1 = 0
* *r14c2 = 0
* 
* * H. PROVIZIOANE (ct. 151)
* *
* *
* * I. VENITURI IN AVANS (rd. 17+18)
* *
* *
* * - subventii pentru investitii (ct. 131+132+133+134+138)
* *
* *
* * venituri nregistrate in avans (ct. 472)
* *
* 
* 
* 
* *r20 il lasam in pace, sa-l puna fiecare cum il taie capul
* 
* 
* 
* *
* * J. CAPITAL SI REZERVE
* * I. CAPITAL (rd. 20 la 22)
* *
* 
* * din care
* *- capital subscris v9rsat (ct. 1012)
* *- capital subscris nev9rsat (ct. 1011)
* *- patrimoniul regiei (ct. 1015)
* 
* 
* 
* 
* 
* *
* * II. PRIME DE CAPITAL (ct. 104)
* *
* 
* * III.REZERVE DIN REEVALUARE (ct. 105)
* 
* 
* * IV.REZERVE (ct. 106)
* * Actiuni proprii (ct. 109)
* * Castiguri legate de instrumentele de capitaluri proprii (ct.141)
* * Pierderi legate de instrumentele de capitaluri proprii (ct.149)
* 
* 
* 
* 
* 
* 
* *  V. PROFITUL SAU PIERDEREA REPORTAT (A) (ct. 117) ------- Sold C
* * ------- Sold D
* 
* * profit
* *  pierderi
* 
* * VI.PROFITUL SAU PIERDEREA EXERCITIULUI FINANCIAR (ct. 121) ------- Sold C 31
* * ------- Sold D 32
* 
* 
* *
* 
* 
* * CAPITALURI PROPRII - TOTAL (rd. 19+23+24+25-26+27-28+29-30+31-32-33)
* 
* 
* 
* * Patrimoniul public (ct. 1016)
* 
* 
* * CAPITALURI - TOTAL (rd. 34+35)
* 
* *
* * Corelatii in cadrul formularului
* *    BILANT PRESCURTAT (cod 10)
* *
* *

 Flush && Asigur datele pe disc


Select(zl)

Return &&F10CompR()


Procedure F10CTot   && Calculeaza totaluri

*
* Functia calculeaza totaluri in rxcx
* 
* Functia se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* Mai nou (28-Iul-2003)
* Daca exista conditii totalul se calculeaza _doar_ daca este 
* indeplinita conditia, altefle este lasat nemodificat
* Pentru a nu se incurca trebuie ca mai intai sa se puna 0 in toate
* randurile de total
*


Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc




*
* Pun mai intai zero in toate randurile de total, sau in cele care sunt calcule pure
*
* Asigur zero in linie de total
Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 9
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 12
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 13
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r13c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r13c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 16
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r16c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r16c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 18
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r18c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r18c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 23
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r23c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r23c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 39
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r39c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r39c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 41
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r41c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r41c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* 
* Functia de calcul efectiv se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* 
* Iteratia 1
* 
        r4c1 =r1c1+r2c1+r3c1
        r4c2 =r1c2+r2c2+r3c2
        r9c1 =r5c1+r6c1+r7c1+r8c1
        r9c2 =r5c2+r6c2+r7c2+r8c2
        r12c1 =r9c1+r10c1-r11c1-r19c1
        r12c2 =r9c2+r10c2-r11c2-r19c2
        r13c1 =r4c1+r12c1
        r13c2 =r4c2+r12c2
        r16c1 =r17c1+r18c1+r21c1+r22c1
        r16c2 =r17c2+r18c2+r21c2+r22c2
        r18c1 =r19c1 + r20c1
        r18c2 =r19c2 + r20c2
        r23c1 =r24c1+r25c1+r26c1+r27c1
        r23c2 =r24c2+r25c2+r26c2+r27c2
        r39c1=r23c1+r28c1+r29c1+r30c1-r31c1+r32c1-r33c1+r34c1-r35c1+r36c1-r37c1-r38c1
        r39c2=r23c2+r28c2+r29c2+r30c2-r31c2+r32c2-r33c2+r34c2-r35c2+r36c2-r37c2-r38c2
        r41c1  =r39c1+r40c1
        r41c2  =r39c2+r40c2
* 
* Iteratia 2
* 
        r4c1 =r1c1+r2c1+r3c1
        r4c2 =r1c2+r2c2+r3c2
        r9c1 =r5c1+r6c1+r7c1+r8c1
        r9c2 =r5c2+r6c2+r7c2+r8c2
        r12c1 =r9c1+r10c1-r11c1-r19c1
        r12c2 =r9c2+r10c2-r11c2-r19c2
        r13c1 =r4c1+r12c1
        r13c2 =r4c2+r12c2
        r16c1 =r17c1+r18c1+r21c1+r22c1
        r16c2 =r17c2+r18c2+r21c2+r22c2
        r18c1 =r19c1 + r20c1
        r18c2 =r19c2 + r20c2
        r23c1 =r24c1+r25c1+r26c1+r27c1
        r23c2 =r24c2+r25c2+r26c2+r27c2
        r39c1=r23c1+r28c1+r29c1+r30c1-r31c1+r32c1-r33c1+r34c1-r35c1+r36c1-r37c1-r38c1
        r39c2=r23c2+r28c2+r29c2+r30c2-r31c2+r32c2-r33c2+r34c2-r35c2+r36c2-r37c2-r38c2
        r41c1  =r39c1+r40c1
        r41c2  =r39c2+r40c2
* 
* Iteratia 3
* 
        r4c1 =r1c1+r2c1+r3c1
        r4c2 =r1c2+r2c2+r3c2
        r9c1 =r5c1+r6c1+r7c1+r8c1
        r9c2 =r5c2+r6c2+r7c2+r8c2
        r12c1 =r9c1+r10c1-r11c1-r19c1
        r12c2 =r9c2+r10c2-r11c2-r19c2
        r13c1 =r4c1+r12c1
        r13c2 =r4c2+r12c2
        r16c1 =r17c1+r18c1+r21c1+r22c1
        r16c2 =r17c2+r18c2+r21c2+r22c2
        r18c1 =r19c1 + r20c1
        r18c2 =r19c2 + r20c2
        r23c1 =r24c1+r25c1+r26c1+r27c1
        r23c2 =r24c2+r25c2+r26c2+r27c2
        r39c1=r23c1+r28c1+r29c1+r30c1-r31c1+r32c1-r33c1+r34c1-r35c1+r36c1-r37c1-r38c1
        r39c2=r23c2+r28c2+r29c2+r30c2-r31c2+r32c2-r33c2+r34c2-r35c2+r36c2-r37c2-r38c2
        r41c1  =r39c1+r40c1
        r41c2  =r39c2+r40c2

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F10CTot()


Procedure F10DfTot   && Defixeaza totaluri

*
* Functia defixeaza totaluri in baza de date
* 
* 
Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc

Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 9
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 12
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 13
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 16
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 18
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 23
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 39
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 41
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F10DfTot()

