*+ F20.PRG
*
* Program generat de catre Bil41 - Contabil Profesional 4.49.331.1421
* Data: 07.08.2013 11:28:41
*
* Sursa: S:\DBFS\RAPFIN\2013\06\micro\DEF\F20.DEF
*
*
* Contine urmatoarele proceduri:
*
*   F20Get   - preia din baza de date in rxcx
*   F20Put   - completeaza rxcx in baza de date
*   F20Ver   - verifica corelatii rxcx
*   F20Comp  - completeaza din SumeP in rxcx
*   F20CompR - completeaza din alte raportari in rxcx
*   F20CTot  - Calculeaza totaluri din rxcx
*   F20DfTot - Defixeaza totaluri
*
*
*-

Procedure F20Get   && Citeste din baza de date


*
* Aceasta procedura citeste din baza de date
* si incarca variabilele rxcx
*

Private cda
Private i
Private j
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F20.DBF' Again Order Tag BI_RAND Alias xyzzzz

 Flush && Asigur datele pe disc

 For i = 1 to 68
    Seek (i)
    If Found() Then
     	For j = 1 to 2
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+"= xyzzzz.BI_C_"+AllTrim(Str(j))
        	&cda
	    EndFor
    Else
     	For j = 1 to 2
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" = 0"
        	&cda
	    EndFor
    EndIf
EndFor


Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)


Return &&F20Get()


Procedure F20Put   && Scrie in baza de date


*
* Aceasta procedura scrie in baza de date variabilele rxcx
* 

Private cda
Private i
Private j
Private l
Private c
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F20.DBF' Again Order Tag BI_RAND Alias xyzzzz


 For i = 1 to 68
	l = AllTrim(Str(i))
    Seek (i)
    If !Found() Then
		Append Blank
		cda = "Replace  BI_RAND With "+AllTrim(Str(i))
        &cda
        Seek (i) && (de siguranta)
		
    EndIf
	*	
	* Inlocuiesc in coloanele care nu sunt marcate	
	*	
	For j = 1 to 2
		c = AllTrim(Str(j))
*       	cda = "If Empty(BI_F_"+AllTrim(Str(j))+") Then  Replace BI_C_"+AllTrim(Str(j))+" With r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" EndIf"
   	   	cda = "Replace BI_C_"+c+" With IIf(Empty(BI_F_"+c+"), r"+l+"c"+c+",BI_C_"+c+")" 
   		&cda
	EndFor
EndFor

 Flush && Asigur datele pe disc

Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)

If !Empty((WOnTop())) Then
    Show Window (WOnTop()) Refresh Same
EndIf
=Suna(MLD_BRAVO)

Return &&F20Put()


Procedure F20Ver   && Verifica corelatii

Private cda
Private zl
Private numarErori

zl=Select(0)
numarErori = 0


Define Window WiVeCo From 8,20 to 16,60 Title 'Verificare corelatii' In Screen Double Shadow 
Activate Window WiVeCo


 Flush && Asigur datele pe disc


hTerm = 1
Do While hTerm = 1
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1 >= 0"
@3,1 Say " r1c1 >=0..."
        If .T. Then
           If !( r1c1 >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1 >= 0  r1c1 >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1 >= 0"
@3,1 Say " r1c2 >=0..."
        If .T. Then
           If !( r1c2 >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1 >= 0  r1c2 >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1 =r2+r3-r4+r5+r6"
@3,1 Say " r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1..."
        If .T. Then
           If !( r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1 =r2+r3-r4+r5+r6  r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1 =r2+r3-r4+r5+r6"
@3,1 Say " r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2..."
        If .T. Then
           If !( r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1 =r2+r3-r4+r5+r6  r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10 >= r11"
@3,1 Say " r10c1 >=r11c1..."
        If .T. Then
           If !( r10c1 >=r11c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10 >= r11  r10c1 >=r11c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10 >= r11"
@3,1 Say " r10c2 >=r11c2..."
        If .T. Then
           If !( r10c2 >=r11c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10 >= r11  r10c2 >=r11c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 =r1+r7-r8+r9+r10"
@3,1 Say " r12c1 =r1c1+r7c1-r8c1+r9c1+r10c1..."
        If .T. Then
           If !( r12c1 =r1c1+r7c1-r8c1+r9c1+r10c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 =r1+r7-r8+r9+r10  r12c1 =r1c1+r7c1-r8c1+r9c1+r10c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 =r1+r7-r8+r9+r10"
@3,1 Say " r12c2 =r1c2+r7c2-r8c2+r9c2+r10c2..."
        If .T. Then
           If !( r12c2 =r1c2+r7c2-r8c2+r9c2+r10c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 =r1+r7-r8+r9+r10  r12c2 =r1c2+r7c2-r8c2+r9c2+r10c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r18 =r19+r20"
@3,1 Say " r18c1 =r19c1+r20c1..."
        If .T. Then
           If !( r18c1 =r19c1+r20c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r18 =r19+r20  r18c1 =r19c1+r20c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r18 =r19+r20"
@3,1 Say " r18c2 =r19c2+r20c2..."
        If .T. Then
           If !( r18c2 =r19c2+r20c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r18 =r19+r20  r18c2 =r19c2+r20c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r21 =r22-r23"
@3,1 Say " r21c1 =r22c1-r23c1..."
        If .T. Then
           If !( r21c1 =r22c1-r23c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r21 =r22-r23  r21c1 =r22c1-r23c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r21 =r22-r23"
@3,1 Say " r21c2 =r22c2-r23c2..."
        If .T. Then
           If !( r21c2 =r22c2-r23c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r21 =r22-r23  r21c2 =r22c2-r23c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r24 =r25-r26"
@3,1 Say " r24c1 =r25c1-r26c1..."
        If .T. Then
           If !( r24c1 =r25c1-r26c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r24 =r25-r26  r24c1 =r25c1-r26c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r24 =r25-r26"
@3,1 Say " r24c2 =r25c2-r26c2..."
        If .T. Then
           If !( r24c2 =r25c2-r26c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r24 =r25-r26  r24c2 =r25c2-r26c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r27 =r28+r29+r30+r31"
@3,1 Say " r27c1 =r28c1+r29c1+r30c1+r31c1..."
        If .T. Then
           If !( r27c1 =r28c1+r29c1+r30c1+r31c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r27 =r28+r29+r30+r31  r27c1 =r28c1+r29c1+r30c1+r31c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r27 =r28+r29+r30+r31"
@3,1 Say " r27c2 =r28c2+r29c2+r30c2+r31c2..."
        If .T. Then
           If !( r27c2 =r28c2+r29c2+r30c2+r31c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r27 =r28+r29+r30+r31  r27c2 =r28c2+r29c2+r30c2+r31c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r32 =r33-r34"
@3,1 Say " r32c1 =r33c1-r34c1..."
        If .T. Then
           If !( r32c1 =r33c1-r34c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r32 =r33-r34  r32c1 =r33c1-r34c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r32 =r33-r34"
@3,1 Say " r32c2 =r33c2-r34c2..."
        If .T. Then
           If !( r32c2 =r33c2-r34c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r32 =r33-r34  r32c2 =r33c2-r34c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r35 =r13+r14+r15+r16-r17+r18+r21+r24+r27+r32"
@3,1 Say " r35c1 =r13c1+r14c1+r15c1+r16c1-r17c1+r18c1+r21c1+r24c1+r27c1+r32c1..."
        If .T. Then
           If !( r35c1 =r13c1+r14c1+r15c1+r16c1-r17c1+r18c1+r21c1+r24c1+r27c1+r32c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r35 =r13+r14+r15+r16-r17+r18+r21+r24+r27+r32  r35c1 =r13c1+r14c1+r15c1+r16c1-r17c1+r18c1+r21c1+ ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r35 =r13+r14+r15+r16-r17+r18+r21+r24+r27+r32"
@3,1 Say " r35c2 =r13c2+r14c2+r15c2+r16c2-r17c2+r18c2+r21c2+r24c2+r27c2+r32c2..."
        If .T. Then
           If !( r35c2 =r13c2+r14c2+r15c2+r16c2-r17c2+r18c2+r21c2+r24c2+r27c2+r32c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r35 =r13+r14+r15+r16-r17+r18+r21+r24+r27+r32  r35c2 =r13c2+r14c2+r15c2+r16c2-r17c2+r18c2+r21c2+ ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r36c1 =r12c1-r35c1 daca r12c1 > r35c1"
@3,1 Say " r36c1 =r12c1-r35c1 ..."
        If  r12c1 > r35c1 Then
           If !( r36c1 =r12c1-r35c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r36c1 =r12c1-r35c1 daca r12c1 > r35c1  r36c1 =r12c1-r35c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r36c2 =r12c2-r35c2 daca r12c2 > r35c2"
@3,1 Say " r36c2 =r12c2-r35c2 ..."
        If  r12c2 > r35c2 Then
           If !( r36c2 =r12c2-r35c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r36c2 =r12c2-r35c2 daca r12c2 > r35c2  r36c2 =r12c2-r35c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r37c1 =r35c1-r12c1 daca r35c1 >= r12c1"
@3,1 Say " r37c1 =r35c1-r12c1 ..."
        If  r35c1 >= r12c1 Then
           If !( r37c1 =r35c1-r12c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r37c1 =r35c1-r12c1 daca r35c1 >= r12c1  r37c1 =r35c1-r12c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r37c2 =r35c2-r12c2 daca r35c2 >= r12c2"
@3,1 Say " r37c2 =r35c2-r12c2 ..."
        If  r35c2 >= r12c2 Then
           If !( r37c2 =r35c2-r12c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r37c2 =r35c2-r12c2 daca r35c2 >= r12c2  r37c2 =r35c2-r12c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r38 >= r39"
@3,1 Say " r38c1 >=r39c1..."
        If .T. Then
           If !( r38c1 >=r39c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r38 >= r39  r38c1 >=r39c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r38 >= r39"
@3,1 Say " r38c2 >=r39c2..."
        If .T. Then
           If !( r38c2 >=r39c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r38 >= r39  r38c2 >=r39c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r40 >= r41"
@3,1 Say " r40c1 >=r41c1..."
        If .T. Then
           If !( r40c1 >=r41c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r40 >= r41  r40c1 >=r41c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r40 >= r41"
@3,1 Say " r40c2 >=r41c2..."
        If .T. Then
           If !( r40c2 >=r41c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r40 >= r41  r40c2 >=r41c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r42 >= r43"
@3,1 Say " r42c1 >=r43c1..."
        If .T. Then
           If !( r42c1 >=r43c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r42 >= r43  r42c1 >=r43c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r42 >= r43"
@3,1 Say " r42c2 >=r43c2..."
        If .T. Then
           If !( r42c2 >=r43c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r42 >= r43  r42c2 >=r43c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r45 =r38+r40+r42+r44"
@3,1 Say " r45c1 =r38c1+r40c1+r42c1+r44c1..."
        If .T. Then
           If !( r45c1 =r38c1+r40c1+r42c1+r44c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r45 =r38+r40+r42+r44  r45c1 =r38c1+r40c1+r42c1+r44c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r45 =r38+r40+r42+r44"
@3,1 Say " r45c2 =r38c2+r40c2+r42c2+r44c2..."
        If .T. Then
           If !( r45c2 =r38c2+r40c2+r42c2+r44c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r45 =r38+r40+r42+r44  r45c2 =r38c2+r40c2+r42c2+r44c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r46 =r47-r48"
@3,1 Say " r46c1 =r47c1-r48c1..."
        If .T. Then
           If !( r46c1 =r47c1-r48c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r46 =r47-r48  r46c1 =r47c1-r48c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r46 =r47-r48"
@3,1 Say " r46c2 =r47c2-r48c2..."
        If .T. Then
           If !( r46c2 =r47c2-r48c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r46 =r47-r48  r46c2 =r47c2-r48c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r49 >= r50"
@3,1 Say " r49c1 >=r50c1..."
        If .T. Then
           If !( r49c1 >=r50c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r49 >= r50  r49c1 >=r50c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r49 >= r50"
@3,1 Say " r49c2 >=r50c2..."
        If .T. Then
           If !( r49c2 >=r50c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r49 >= r50  r49c2 >=r50c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r52 =r46+r49+r51"
@3,1 Say " r52c1 =r46c1+r49c1+r51c1..."
        If .T. Then
           If !( r52c1 =r46c1+r49c1+r51c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r52 =r46+r49+r51  r52c1 =r46c1+r49c1+r51c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r52 =r46+r49+r51"
@3,1 Say " r52c2 =r46c2+r49c2+r51c2..."
        If .T. Then
           If !( r52c2 =r46c2+r49c2+r51c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r52 =r46+r49+r51  r52c2 =r46c2+r49c2+r51c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r53c1 =r45c1-r52c1 daca r45c1 > r52c1"
@3,1 Say " r53c1 =r45c1-r52c1 ..."
        If  r45c1 > r52c1 Then
           If !( r53c1 =r45c1-r52c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r53c1 =r45c1-r52c1 daca r45c1 > r52c1  r53c1 =r45c1-r52c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r53c2 =r45c2-r52c2 daca r45c2 > r52c2"
@3,1 Say " r53c2 =r45c2-r52c2 ..."
        If  r45c2 > r52c2 Then
           If !( r53c2 =r45c2-r52c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r53c2 =r45c2-r52c2 daca r45c2 > r52c2  r53c2 =r45c2-r52c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r54c1 =r52c1-r45c1 daca r52c1 >= r45c1"
@3,1 Say " r54c1 =r52c1-r45c1 ..."
        If  r52c1 >= r45c1 Then
           If !( r54c1 =r52c1-r45c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r54c1 =r52c1-r45c1 daca r52c1 >= r45c1  r54c1 =r52c1-r45c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r54c2 =r52c2-r45c2 daca r52c2 >= r45c2"
@3,1 Say " r54c2 =r52c2-r45c2 ..."
        If  r52c2 >= r45c2 Then
           If !( r54c2 =r52c2-r45c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r54c2 =r52c2-r45c2 daca r52c2 >= r45c2  r54c2 =r52c2-r45c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r55c1 =r12c1+r45c1-r35c1-r52c1 daca r12c1+r45c1 > r35c1+r52c1"
@3,1 Say " r55c1 =r12c1+r45c1-r35c1-r52c1 ..."
        If  r12c1+r45c1 > r35c1+r52c1 Then
           If !( r55c1 =r12c1+r45c1-r35c1-r52c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r55c1 =r12c1+r45c1-r35c1-r52c1 daca r12c1+r45c1 > r35c1+r52c1  r55c1 =r12c1+r45c1-r35c1-r52c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r55c2 =r12c2+r45c2-r35c2-r52c2 daca r12c2+r45c2 > r35c2+r52c2"
@3,1 Say " r55c2 =r12c2+r45c2-r35c2-r52c2 ..."
        If  r12c2+r45c2 > r35c2+r52c2 Then
           If !( r55c2 =r12c2+r45c2-r35c2-r52c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r55c2 =r12c2+r45c2-r35c2-r52c2 daca r12c2+r45c2 > r35c2+r52c2  r55c2 =r12c2+r45c2-r35c2-r52c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r56c1 =r35c1+r52c1-r12c1-r45c1 daca r35c1+r52c1 >= r12c1+r45c1"
@3,1 Say " r56c1 =r35c1+r52c1-r12c1-r45c1 ..."
        If  r35c1+r52c1 >= r12c1+r45c1 Then
           If !( r56c1 =r35c1+r52c1-r12c1-r45c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r56c1 =r35c1+r52c1-r12c1-r45c1 daca r35c1+r52c1 >= r12c1+r45c1  r56c1 =r35c1+r52c1-r12c1-r45c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r56c2 =r35c2+r52c2-r12c2-r45c2 daca r35c2+r52c2 >= r12c2+r45c2"
@3,1 Say " r56c2 =r35c2+r52c2-r12c2-r45c2 ..."
        If  r35c2+r52c2 >= r12c2+r45c2 Then
           If !( r56c2 =r35c2+r52c2-r12c2-r45c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r56c2 =r35c2+r52c2-r12c2-r45c2 daca r35c2+r52c2 >= r12c2+r45c2  r56c2 =r35c2+r52c2-r12c2-r45c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r59c1 =r57c1-r58c1 daca r57c1 > r58c1"
@3,1 Say " r59c1 =r57c1-r58c1 ..."
        If  r57c1 > r58c1 Then
           If !( r59c1 =r57c1-r58c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r59c1 =r57c1-r58c1 daca r57c1 > r58c1  r59c1 =r57c1-r58c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r59c2 =r57c2-r58c2 daca r57c2 > r58c2"
@3,1 Say " r59c2 =r57c2-r58c2 ..."
        If  r57c2 > r58c2 Then
           If !( r59c2 =r57c2-r58c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r59c2 =r57c2-r58c2 daca r57c2 > r58c2  r59c2 =r57c2-r58c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r60c1 =r58c1-r57c1 daca r58c1 >= r57c1"
@3,1 Say " r60c1 =r58c1-r57c1 ..."
        If  r58c1 >= r57c1 Then
           If !( r60c1 =r58c1-r57c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r60c1 =r58c1-r57c1 daca r58c1 >= r57c1  r60c1 =r58c1-r57c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r60c2 =r58c2-r57c2 daca r58c2 >= r57c2"
@3,1 Say " r60c2 =r58c2-r57c2 ..."
        If  r58c2 >= r57c2 Then
           If !( r60c2 =r58c2-r57c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r60c2 =r58c2-r57c2 daca r58c2 >= r57c2  r60c2 =r58c2-r57c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r61 =r12+r45+r57"
@3,1 Say " r61c1 =r12c1+r45c1+r57c1..."
        If .T. Then
           If !( r61c1 =r12c1+r45c1+r57c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r61 =r12+r45+r57  r61c1 =r12c1+r45c1+r57c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r61 =r12+r45+r57"
@3,1 Say " r61c2 =r12c2+r45c2+r57c2..."
        If .T. Then
           If !( r61c2 =r12c2+r45c2+r57c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r61 =r12+r45+r57  r61c2 =r12c2+r45c2+r57c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r62 =r35+r52+r58"
@3,1 Say " r62c1 =r35c1+r52c1+r58c1..."
        If .T. Then
           If !( r62c1 =r35c1+r52c1+r58c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r62 =r35+r52+r58  r62c1 =r35c1+r52c1+r58c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r62 =r35+r52+r58"
@3,1 Say " r62c2 =r35c2+r52c2+r58c2..."
        If .T. Then
           If !( r62c2 =r35c2+r52c2+r58c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r62 =r35+r52+r58  r62c2 =r35c2+r52c2+r58c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r63c1 =r61c1-r62c1 daca r61c1 > r62c1"
@3,1 Say " r63c1 =r61c1-r62c1 ..."
        If  r61c1 > r62c1 Then
           If !( r63c1 =r61c1-r62c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r63c1 =r61c1-r62c1 daca r61c1 > r62c1  r63c1 =r61c1-r62c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r63c2 =r61c2-r62c2 daca r61c2 > r62c2"
@3,1 Say " r63c2 =r61c2-r62c2 ..."
        If  r61c2 > r62c2 Then
           If !( r63c2 =r61c2-r62c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r63c2 =r61c2-r62c2 daca r61c2 > r62c2  r63c2 =r61c2-r62c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r64c1 =r62c1-r61c1 daca r62c1 >= r61c1"
@3,1 Say " r64c1 =r62c1-r61c1 ..."
        If  r62c1 >= r61c1 Then
           If !( r64c1 =r62c1-r61c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r64c1 =r62c1-r61c1 daca r62c1 >= r61c1  r64c1 =r62c1-r61c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r64c2 =r62c2-r61c2 daca r62c2 >= r61c2"
@3,1 Say " r64c2 =r62c2-r61c2 ..."
        If  r62c2 >= r61c2 Then
           If !( r64c2 =r62c2-r61c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r64c2 =r62c2-r61c2 daca r62c2 >= r61c2  r64c2 =r62c2-r61c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r67c1 =r63c1-r64c1-r65c1-r66c1 daca r63c1-r64c1-r65c1-r66c1 > 0"
@3,1 Say " r67c1 =r63c1-r64c1-r65c1-r66c1 ..."
        If  r63c1-r64c1-r65c1-r66c1 > 0 Then
           If !( r67c1 =r63c1-r64c1-r65c1-r66c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r67c1 =r63c1-r64c1-r65c1-r66c1 daca r63c1-r64c1-r65c1-r66c1 > 0  r67c1 =r63c1-r64c1-r65c1-r66c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r67c2 =r63c2-r64c2-r65c2-r66c2 daca r63c2-r64c2-r65c2-r66c2 > 0"
@3,1 Say " r67c2 =r63c2-r64c2-r65c2-r66c2 ..."
        If  r63c2-r64c2-r65c2-r66c2 > 0 Then
           If !( r67c2 =r63c2-r64c2-r65c2-r66c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r67c2 =r63c2-r64c2-r65c2-r66c2 daca r63c2-r64c2-r65c2-r66c2 > 0  r67c2 =r63c2-r64c2-r65c2-r66c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r68c1 =r64c1+r65c1+r66c1-r63c1 daca r64c1+r65c1+r66c1-r63c1 >= 0"
@3,1 Say " r68c1 =r64c1+r65c1+r66c1-r63c1 ..."
        If  r64c1+r65c1+r66c1-r63c1 >= 0 Then
           If !( r68c1 =r64c1+r65c1+r66c1-r63c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r68c1 =r64c1+r65c1+r66c1-r63c1 daca r64c1+r65c1+r66c1-r63c1 >= 0  r68c1 =r64c1+r65c1+r66c1-r63c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r68c2 =r64c2+r65c2+r66c2-r63c2 daca r64c2+r65c2+r66c2-r63c2 >= 0"
@3,1 Say " r68c2 =r64c2+r65c2+r66c2-r63c2 ..."
        If  r64c2+r65c2+r66c2-r63c2 >= 0 Then
           If !( r68c2 =r64c2+r65c2+r66c2-r63c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r68c2 =r64c2+r65c2+r66c2-r63c2 daca r64c2+r65c2+r66c2-r63c2 >= 0  r68c2 =r64c2+r65c2+r66c2-r63c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
hTerm = 2
EndDo

Deactivate Window WiVeCo
Release Window WiVeCo

Select(zl)


 If numarErori = 0 Then
      =Suna(MLD_BRAVO)

	msg1 = Lauda() 
	msg2 = 'La verificarea corelatiilor'
	msg3 = 'nu a fost detectata'
	msg4 = 'nici macar o singura eroare'
	Do Info With ' '+msg1,msg2,msg3,msg4
 EndIf


Return &&F20Ver()


Procedure F20Comp   && Completeaza din SumeP

Private zl
Private nrArtZl
Private cda
Private oBiLei
Private oBiRot   && Loc in care retine rotunjirea

Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
*
* Retin setarile (mod de calcul si rotunjire
*
oBiRot = __BiRot
oBiLei = __BiLei
*
* * Adaugat explicatii Camelia 26.07.2006 ora 11:44
* * Modificat Lavinia 15.07.2008
* * Modificat Lavinia 24.07.2009
* * Modificat Lavinia 16.07.2010
* * Lavinia 20.07.2011
* * Lavinia 12.07.2012
* * Lavinia 07.07.2013
* *
* * In cele ce urmeaza exista cateva indicatii suplimentare fata de manual
* * Editati acest fisier dupa cum doriti; ideea este sa stergeti toate prostiile
* *
* * -----------
* *| Definitii |
* * -----------
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* * ---------------------------------------------------------------
* *| Prima litera  | A doua litera | A treia litera| A patra litera|
* *|---------------|---------------|---------------|---------------
* *| s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *| t - Total sume|               |  p - Perioada |               |
* *| r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* * ---------------------------------------------------------------
* *
* * Introduceti in continuare definitii pentru variabilele pe care doriti
* * sa le utilizati in corelatii.
* *
* *[definitii]
* *
* *r1c1 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *r1c2 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *
* *r2c1 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *r2c2 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *
* *r4 = r1+r2+r3
* *
* * Maximul lungimii pentru o linie este 255 caractere
* * O linie foarte lunga se va desparti in linii mai scurte
* * utilizand variabile intermediare; in exemplul de mai jos x1, x2, x3
* *
* * Deasemenea se pot utiliza continuari de linii, cu ; in ultima coloana
* * Se observa in exemplul cu X2 de mai jos , ca , pentru lizibilitate:
* * s-au grupat conturile pe linii, deasemenea observati (si procedati la fel)
* * in ce priveste:
* * - alinierea (utilizati TAB-uri)
* * - semnul plus este la inceputul liniei de continuare
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* 
* *[corelatii]
* 
* *
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* 
* * ----------------------
* * Daca suntem in 2013
* * rcpp - 30/06/2012   rc = rulaj credior
* * rcpc - 30/06/2013
* * -------------------------
* 
* 
* * ------------------------------------------------------------------
* 
* 
* * Analitice utilizate in formular
* 
* 
* *a3="xxxx" && 7611 venit obt. din unit afiliate
* *a4="xxxx" && Analitic 763 veniturile din alte invest.obtinute de la entitatile afiliate
* *a5="xxxx" && Analitic 766 veniturile din alte invest.obtinute de la entitatile afiliate
* *a6="xxxx" && analitic la 666 chelt.dob. in relatia cu entitatile afiliate
* 
* 
* 
* * 1.Cifra de afaceri net (rd.02 la 05)
* 
* 
* * Productia vndut (ct.701+702+703+704+705+706+708)
* 
        r2c1 =Round((rcpp("701")+rcpp("702")+rcpp("703")+rcpp("704")+rcpp("705")+rcpp("706")+rcpp("708"))/__BiLei,__BiRot)
        r2c2 =Round((rcpc("701")+rcpc("702")+rcpc("703")+rcpc("704")+rcpc("705")+rcpc("706")+rcpc("708"))/__BiLei,__BiRot)
* 
* * Venituri din vnzarea mrfurilor (ct.707)
* 
        r3c1 =Round((rcpp("707"))/__BiLei,__BiRot)
        r3c2 =Round((rcpc("707"))/__BiLei,__BiRot)
* 
* 
* 
        r4c1 =Round((rdpp("709"))/__BiLei,__BiRot)
        r4c1 =Round((rdpc("709"))/__BiLei,__BiRot)
* *
* * Venituri din dobanzi inregistrate de entitatile al caror obiect de activitate il constituie leasingul
* *(ct. 766)
* *
        r5c1 =Round((rcpp("766_.leas"))/__BiLei,__BiRot)
        r5c2 =Round((rcpc("766_.leas"))/__BiLei,__BiRot)
* 
* 
* * Venituri din subventii de exploatare aferente cifrei de afaceri nete (ct.7411)
* *
        r6c1 =Round((rcpp("7411"))/__BiLei,__BiRot)
        r6c2 =Round((rcpc("7411"))/__BiLei,__BiRot)
* *
* * 2.Variatia stocurilor de produse finite (ct.711) Sold C
* * si a productiei in curs de executie    Sold D
* *
* * Se pune manual (suma aritmetica a soldurilor lunare a lui 711 inchise prin 121)
* *
        r7c1 =Round((scpp("711")+scpp("712"))/__BiLei,__BiRot)
        r7c2 =Round((scpc("711")+scpc("712"))/__BiLei,__BiRot)
* 
        r8c1 =Round((sdpp("711")+sdpp("712"))/__BiLei,__BiRot)
        r8c2 =Round((sdpc("711")+sdpc("712"))/__BiLei,__BiRot)
* 
* * 3.Productia realizata de entitate pentru scopurile sale proprii si capitalizata (ct.721+722)
* 
        r9c1 =Round((rcpp("721")+rcpp("722"))/__BiLei,__BiRot)
        r9c2 =Round((rcpc("721")+rcpc("722"))/__BiLei,__BiRot)
* 
* * 4. Alte venituri din exploatare (ct. 7417+758)
* 
        r10c1 =Round((rcpp("758")+rcpp("7417")+rcpp("7815"))/__BiLei,__BiRot)
        r10c2 =Round((rcpc("758")+rcpc("7417")+rcpc("7815"))/__BiLei,__BiRot)
* 
* *r11c1  se pune de mana, cine are, cine vrea, desi nu prea cred sa exista
* *r11c2 = 0
* *
* * VENITURI DIN EXPLOATARE - TOTAL (rd.01+06-07+08+09)
* *
* 
* * 5. a) Cheltuieli cu materiile prime si materialele consumabile (ct.601+602-7412)
* *
        r13c1 =Round((rdpp("601")+rdpp("602")-rcpp("7412"))/__BiLei,__BiRot)
        r13c2 =Round((rdpc("601")+rdpc("602")-rcpc("7412"))/__BiLei,__BiRot)
* 
* * Alte cheltuieli materiale (ct.603+604+606+608)
* *
        r14c1 =Round((rdpp("603")+rdpp("604")+rdpp("606")+rdpp("608"))/__BiLei,__BiRot)
        r14c2 =Round((rdpc("603")+rdpc("604")+rdpc("606")+rdpc("608"))/__BiLei,__BiRot)
* 
* *b) Alte cheltuieli externe (cu energie si apa) (ct.605-7413)
* *
        r15c1 =Round((rdpp("605")-rcpp("7413"))/__BiLei,__BiRot)
        r15c2 =Round((rdpc("605")-rcpc("7413"))/__BiLei,__BiRot)
* 
* * c) Cheltuieli privind mrfurile (ct.607)
* *
        r16c1 =Round((rdpp("607"))/__BiLei,__BiRot)
        r16c2 =Round((rdpc("607"))/__BiLei,__BiRot)
* 
        r17c1 =Round((rdpp("609"))/__BiLei,__BiRot)
        r17c2 =Round((rdpc("609"))/__BiLei,__BiRot)
* *
* *6.Cheltuieli cu personalul (rd.16+17), din care:
* *
* 
* * a) Salarii si indemnizatii (ct.641+642-7414)
* 
        r19c1 =Round((rdpp("641")+rdpp("642")+rdpp("643")+rdpp("644")-rcpp("7414"))/__BiLei,__BiRot)
        r19c2 =Round((rdpc("641")+rdpc("642")+rdpc("643")+rdpc("644")-rcpc("7414"))/__BiLei,__BiRot)
* 
* *b) Cheltuieli cu asigurrile si protectia social (ct.645-7415)
* *
        r20c1 =Round((rdpp("645")-rcpp("7415"))/__BiLei,__BiRot)
        r20c2 =Round((rdpc("645")-rcpc("7415"))/__BiLei,__BiRot)
* 
* * 7. a) Ajustari de valoare privind imobilizrile corporale si necorporale (rd.19-20)
* 
* 
* * a.1) Cheltuieli (ct.6811+6813)
* 
        r22c1 =Round((rdpp("6811")+rdpp("6813"))/__BiLei,__BiRot)
        r22c2 =Round((rdpc("6811")+rdpc("6813"))/__BiLei,__BiRot)
* 
* *a.2) Venituri (ct.7813) 20
* 
        r23c1 =Round((rcpp("7813"))/__BiLei,__BiRot)
        r23c2 =Round((rcpc("7813"))/__BiLei,__BiRot)
* 
* *b) Ajustari de valoare privind activele circulante (rd.22-23) 21
* 
* 
* *b.1) Cheltuieli (ct.654+6814) 22
* 
        r25c1 =Round((rdpp("654")+rdpp("6814"))/__BiLei,__BiRot)
        r25c2 =Round((rdpc("654")+rdpc("6814"))/__BiLei,__BiRot)
* 
* * b.2) Venituri (ct.754+7814) 23
* 
        r26c1 =Round((rcpp("754")+rcpp("7814"))/__BiLei,__BiRot)
        r26c2 =Round((rcpc("754")+rcpc("7814"))/__BiLei,__BiRot)
* 
* * 8. Alte cheltuieli de exploatare (rd.25 la 28) 24
* 
* 
* 
* *8.1 Cheluieli privind prestatiile externe (ct.611+612+613+614+621+622+623+624+625+626+627+628-7416)
* 
        r28c1 =Round((rdpp("611")+rdpp("612")+rdpp("613")+rdpp("614")+rdpp("621")+rdpp("622")+rdpp("623")+rdpp("624")+rdpp("625")+rdpp("626")+rdpp("627")+rdpp("628")-rcpp("7416"))/__BiLei,__BiRot)
        r28c2 =Round((rdpc("611")+rdpc("612")+rdpc("613")+rdpc("614")+rdpc("621")+rdpc("622")+rdpc("623")+rdpc("624")+rdpc("625")+rdpc("626")+rdpc("627")+rdpc("628")-rcpc("7416"))/__BiLei,__BiRot)
* 
* * 8.2 Cheltuieli cu alte impozite, taxe si varsaminte asimilate (ct.635)
        r29c1 =Round((rdpp("635"))/__BiLei,__BiRot)
        r29c2 =Round((rdpc("635"))/__BiLei,__BiRot)
* 
* * 8.3 Cheltuieli cu despagubiri, donatii si activele cedate (ct.658)
* 
        r30c1 =Round((rdpp("652")+rdpp("658"))/__BiLei,__BiRot)
        r30c2 =Round((rdpc("652")+rdpc("658"))/__BiLei,__BiRot)
* 
* 
* * Cheltuieli privind dobanzile de refinantare inregistrate de entitatile
* * al caror obiect de activitate il constituie leasingul (ct. 666)
* *
        r31c1 =Round((rdpp("666_.leas"))/__BiLei,__BiRot)
        r31c2 =Round((rdpc("666_.leas"))/__BiLei,__BiRot)
* 
* * Ajustari privind provizioanele (rd.30-31)
* 
* 
* * - Cheltuieli (ct.6812) 30
* 
        r33c1 =Round((rdpp("6812"))/__BiLei,__BiRot)
        r33c2 =Round((rdpc("6812"))/__BiLei,__BiRot)
* 
* * - Venituri (ct.7812)
* 
        r34c1 =Round((rcpp("7812"))/__BiLei,__BiRot)
        r34c2 =Round((rcpc("7812"))/__BiLei,__BiRot)
* 
* * CHELTUIELI DE EXPLOATARE - TOTAL (rd.11 la 15 +18+21+24+29)
* 
* 
* 
* 
* * PROFITUL SAU PIERDEREA DIN EXPLOATARE - Profit (rd.10-32)
* *
        If (r12c1 > r35c1) Then
            r36c1 =r12c1-r35c1 
        EndIf
        If (r12c2 > r35c2) Then
            r36c2 =r12c2-r35c2 
        EndIf
* 
* * Pierdere (32-10)
* *
        If (r35c1 >= r12c1) Then
            r37c1 =r35c1-r12c1 
        EndIf
        If (r35c2 >= r12c2) Then
            r37c2 =r35c2-r12c2 
        EndIf
* 
* 
* * 9. Venituri din interese de participare (ct. 7611+7613)
* *
        r38c1 =Round((rcpp("7611")+rcpp("7613"))/__BiLei,__BiRot)
        r38c2 =Round((rcpc("7611")+rcpc("7613"))/__BiLei,__BiRot)
* 
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
        r39c1 =Round((rcpp("7611.a3")+rcpp("7613.a3"))/__BiLei,__BiRot)
        r39c2 =Round((rcpc("7611.a3")+rcpc("7613.a3"))/__BiLei,__BiRot)
* 
* *10.Venituri din alte investitii si imprumuturi care fac parte din activele imobilizate (ct.763) 37
* 
        r40c1 =Round((rcpp("763"))/__BiLei,__BiRot)
        r40c2 =Round((rcpc("763"))/__BiLei,__BiRot)
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
        r41c1 =Round((rcpp("763_.a4"))/__BiLei,__BiRot)
        r41c2 =Round((rcpc("763_.a4"))/__BiLei,__BiRot)
* 
* * Venituri din dobnzi (ct.766)
* 
        r42c1 =Round((rcpp("766"))/__BiLei,__BiRot)
        r42c2 =Round((rcpc("766"))/__BiLei,__BiRot)
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
        r43c1 =Round((rcpp("766_.a5"))/__BiLei,__BiRot)
        r43c2 =Round((rcpc("766_.a5"))/__BiLei,__BiRot)
* 
* * Alte venituri financiare (ct.762+764+765+767+768)
* 
        r44c1 =Round((rcpp("762")+rcpp("764")+rcpp("765")+rcpp("767")+rcpp("768"))/__BiLei,__BiRot)
        r44c2 =Round((rcpc("762")+rcpc("764")+rcpc("765")+rcpc("767")+rcpc("768"))/__BiLei,__BiRot)
* 
* * VENITURI FINANCIARE - TOTAL (rd.35+37+39+41)
* 
* 
* * 12.Ajustari de valoare privind imobilizarile financiare si  a
* * investitiilor financiare detinute ca active circulante (rd.44-45)
* 
* 
* *
* * - Cheltuieli (ct.686) 44
* *
        r47c1 =Round((rdpp("686"))/__BiLei,__BiRot)
        r47c2 =Round((rdpc("686"))/__BiLei,__BiRot)
* 
* * - Venituri (ct.786)
* 
        r48c1 =Round((rcpp("786"))/__BiLei,__BiRot)
        r48c2 =Round((rcpc("786"))/__BiLei,__BiRot)
* 
* * 13. Cheltuieli privind dobnzile (ct.666-7418)
* 
        r49c1 =Round((rdpp("666")-rcpp("7418"))/__BiLei,__BiRot)
        r49c2 =Round((rdpc("666")-rcpc("7418"))/__BiLei,__BiRot)
* 
* * din care, cheltuielile in relatia cu entitatile afiliate
* 
        r50c1 =Round((rdpp("666_.a6")-rcpp("7418.a6"))/__BiLei,__BiRot)
        r50c2 =Round((rdpc("666_.a6")-rcpc("7418.a6"))/__BiLei,__BiRot)
* 
* 
* * Alte cheltuieli financiare (ct.663+664+665+667+668)
* 
        r51c1 =Round((rdpp("663")+rdpp("664")+rdpp("665")+rdpp("667")+rdpp("668"))/__BiLei,__BiRot)
        r51c2 =Round((rdpc("663")+rdpc("664")+rdpc("665")+rdpc("667")+rdpc("668"))/__BiLei,__BiRot)
* 
* * CHELTUIELI FINANCIARE - TOTAL (rd.43+46+48)
* 
* 
* * PROFITUL SAU PIERDEREA FINANCIAR(A) - Profit (rd.42-49)
* 
        If (r45c1 > r52c1) Then
            r53c1 =r45c1-r52c1 
        EndIf
        If (r45c2 > r52c2) Then
            r53c2 =r45c2-r52c2 
        EndIf
* 
        If (r52c1 > r45c1) Then
            r54c1 =r52c1-r45c1 
        EndIf
        If (r52c2 > r45c2) Then
            r54c2 =r52c2-r45c2 
        EndIf
* 
* * 14.PROFITUL SAU PIERDEREA CURENT(A) - Profit (rd.10+42-32-49)
* * - Pierdere (rd.32+49-10-42)
* 
        If (r12c1+r45c1 > r35c1+r52c1) Then
            r55c1 =r12c1+r45c1-r35c1-r52c1 
        EndIf
        If (r12c2+r45c2 > r35c2+r52c2) Then
            r55c2 =r12c2+r45c2-r35c2-r52c2 
        EndIf
* 
        If (r35c1+r52c1 > r12c1+r45c1) Then
            r56c1 =r35c1+r52c1-r12c1-r45c1 
        EndIf
        If (r35c2+r52c2 > r12c2+r45c2) Then
            r56c2 =r35c2+r52c2-r12c2-r45c2 
        EndIf
* 
* * 15. Venituri extraordinare (ct.771)
* 
        r57c1 =Round((rcpp("771"))/__BiLei,__BiRot)
        r57c2 =Round((rcpc("771"))/__BiLei,__BiRot)
* 
* * 16. Cheltuieli extraordinare (ct.671)
* 
        r58c1 =Round((rdpp("671"))/__BiLei,__BiRot)
        r58c2 =Round((rdpc("671"))/__BiLei,__BiRot)
* 
* * 17.PROFITUL SAU PIERDEREA DIN ACTIVITATEA EXTRAORDINARA - Profit (rd.54-55) 56
* 
        If (r57c1 > r58c1) Then
            r59c1 =r57c1-r58c1 
        EndIf
        If (r57c2 > r58c2) Then
            r59c2 =r57c2-r58c2 
        EndIf
* 
* * - Pierdere (rd.55-54) 57
* 
        If (r58c1 > r57c1) Then
            r60c1 =r58c1-r57c1 
        EndIf
        If (r58c2 > r57c2) Then
            r60c2 =r58c2-r57c2 
        EndIf
* 
* * VENITURI TOTALE (rd.10+42+54) 58
* 
* 
* * CHELTUIELI TOTALE (rd.32+49+55)
* 
* 
* *PROFITUL SAU PIERDERA BRUTA - Profit (rd.58-59) 60
* 
        If (r61c1 > r62c1) Then
            r63c1 =r61c1-r62c1 
        EndIf
        If (r61c2 > r62c2) Then
            r63c2 =r61c2-r62c2 
        EndIf
* 
* * Pierdere (rd.59-58)
* 
        If (r62c1 > r61c1) Then
            r64c1 =r62c1-r61c1 
        EndIf
        If (r62c2 > r61c2) Then
            r64c2 =r62c2-r61c2 
        EndIf
* 
* * 18.Impozitul pe profit (ct.691)
* 
        r65c1 =Round((rdpp("691"))/__BiLei,__BiRot)
        r65c2 =Round((rdpc("691"))/__BiLei,__BiRot)
* 
* *19. Alte impozite neprezentate la elementele de mai sus (ct. 698)
* 
        r66c1 =Round((rdpp("698"))/__BiLei,__BiRot)
        r66c2 =Round((rdpc("698"))/__BiLei,__BiRot)
* 
* *
* *20. PROFITUL SAU PIERDEREA NET(A) A EXERCITIULUI FINANCIAR 64
* *
* * Urmatoarele doua formule sunt bine asa, nu cum au scris tontii aia de la MF
* * - In 67 se pune daca e profit
* *  - In 68 se pune daca e pierdere
* *
* *r67c1 = r63c1-r65c1-r66c1 daca r63c1 >r65c1+r66c1
* *r67c2 = r63c2-r65c2-r66c2 daca r63c2 >r65c2+r66c2
* *
* 
* *r68c1 = Abs(r63c1-r65c1-r66c1) daca r63c1 <= r65c1+r66c1
* *r68c2 = Abs(r63c2-r65c2-r66c2) daca r63c2 <= r65c2+r66c2
* 
* *
* * Sau alt fel (pt.linistea noastra)
* *
* *r67c1 =r63c1-r65c1-r66c1 daca r63c1 > 0
* *r67c2 =r63c2-r65c2-r66c2 daca r63c2 > 0
* 
* *r68c1 = r64c1+r65c1+r66c1 daca r64c1 >0
* *r68c2 = r64c2+r65c2+r66c2 daca r64c2 >0
* 
* * Sau, mai nou: 11/05/2012 (Lavinia din MF)
* 
        If (r63c1 > r64c1+r65c1+r66c1) Then
            r67c1 =r63c1-r64c1-r65c1-r66c1 
        EndIf
        If (r63c2 > r64c2+r65c2+r66c2) Then
            r67c2 =r63c2-r64c2-r65c2-r66c2 
        EndIf
* 
        If (r64c1+r65c1+r66c1 > r63c1) Then
            r68c1 =r64c1+r65c1+r66c1 - r63c1 
        EndIf
        If (r64c2+r65c2+r66c2 > r63c2) Then
            r68c2 =r64c2+r65c2+r66c2 - r63c2 
        EndIf
* 
* 
* *
* * Corelatii pentru  CONTUL DE PROFIT SI PIERDERE (cod 20) 2010
* *
* 
* 
* 
* 
* 
* 
* 
* *
* *     Rd. 46 >= 47   (col. 1 si 2)
* *
* *     Rd. 49  = rd. 43 + 46 + 48                                   (col. 1 si 2)
* *
* *     Rd. 50 = rd. 42 - 49,  daca  rd. 42 - 49 > 0                 (col. 1 si 2)
* *     Rd. 51 = rd. 49 - 42,  daca  rd. 42 - 49 <= 0                (col. 1 si 2)
* *
* *     Rd. 52 = rd. 10 + 42 - 32 - 49,
* *                               daca rd. 10 + 42 - 32 - 49 > 0     (col. 1 si 2)
* *     Rd. 53 = rd. 32 + 49 - 10 - 42,
* *                               daca rd. 10 + 42 - 32 - 49 <= 0    (col. 1 si 2)
* *
* *     Rd. 56 = rd. 54 - 55,  daca rd. 54  - 55 > 0                 (col. 1 si 2)
* *     Rd. 57 = rd. 55 - 54,  daca rd. 54  - 55 <= 0                (col. 1 si 2)
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *
* *     Rd. 58 = rd. 10 + 42 + 54                                    (col. 1 si 2)
* *     Rd. 59 = rd. 32 + 49 + 55                                    (col. 1 si 2)
* *
* *     Rd. 60 = rd. 58 - 59,  daca rd. 58 - 59 > 0                  (col. 1 si 2)
* *     Rd. 61 = rd. 59 - 58,  daca rd. 58 - 59 <= 0                 (col. 1 si 2)
* *
* *     Rd. 64 = rd.60 - 61 - 62 - 63,
* *                                   daca rd.60 - 61 - 62 - 63 > 0  (col. 1 si 2)
* *     Rd. 65 = rd.61 + 62 + 63 - 60,
* *                                   daca rd.60 - 61 - 62 - 63 <= 0 (col. 1 si 2)
* *
* 
* 
* 
* 
* 
* 
* 
* 

Flush && Asigur datele pe disc

*
* Refac in ce se calculeaza , precum si rotunjirea care se aplica 
*
__BiRot = oBiRot
__BiLei = oBiLei

Select(zl)

Return &&F20Comp()


Procedure F20CompR   && Completeaza din alte si raportari

Private cda
Private zl
Private nrArtZl


 Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
* * Adaugat explicatii Camelia 26.07.2006 ora 11:44
* * Modificat Lavinia 15.07.2008
* * Modificat Lavinia 24.07.2009
* * Modificat Lavinia 16.07.2010
* * Lavinia 20.07.2011
* * Lavinia 12.07.2012
* * Lavinia 07.07.2013
* *
* * In cele ce urmeaza exista cateva indicatii suplimentare fata de manual
* * Editati acest fisier dupa cum doriti; ideea este sa stergeti toate prostiile
* *
* * -----------
* *| Definitii |
* * -----------
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* * ---------------------------------------------------------------
* *| Prima litera  | A doua litera | A treia litera| A patra litera|
* *|---------------|---------------|---------------|---------------
* *| s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *| t - Total sume|               |  p - Perioada |               |
* *| r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* * ---------------------------------------------------------------
* *
* * Introduceti in continuare definitii pentru variabilele pe care doriti
* * sa le utilizati in corelatii.
* *
* *[definitii]
* *
* *r1c1 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *r1c2 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *
* *r2c1 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *r2c2 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *
* *r4 = r1+r2+r3
* *
* * Maximul lungimii pentru o linie este 255 caractere
* * O linie foarte lunga se va desparti in linii mai scurte
* * utilizand variabile intermediare; in exemplul de mai jos x1, x2, x3
* *
* * Deasemenea se pot utiliza continuari de linii, cu ; in ultima coloana
* * Se observa in exemplul cu X2 de mai jos , ca , pentru lizibilitate:
* * s-au grupat conturile pe linii, deasemenea observati (si procedati la fel)
* * in ce priveste:
* * - alinierea (utilizati TAB-uri)
* * - semnul plus este la inceputul liniei de continuare
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* 
* *[corelatii]
* 
* *
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* 
* * ----------------------
* * Daca suntem in 2013
* * rcpp - 30/06/2012   rc = rulaj credior
* * rcpc - 30/06/2013
* * -------------------------
* 
* 
* * ------------------------------------------------------------------
* 
* 
* * Analitice utilizate in formular
* 
* 
* *a3="xxxx" && 7611 venit obt. din unit afiliate
* *a4="xxxx" && Analitic 763 veniturile din alte invest.obtinute de la entitatile afiliate
* *a5="xxxx" && Analitic 766 veniturile din alte invest.obtinute de la entitatile afiliate
* *a6="xxxx" && analitic la 666 chelt.dob. in relatia cu entitatile afiliate
* 
* 
* 
* * 1.Cifra de afaceri net (rd.02 la 05)
* 
* 
* * Productia vndut (ct.701+702+703+704+705+706+708)
* 
* 
* * Venituri din vnzarea mrfurilor (ct.707)
* 
* 
* 
* 
* *
* * Venituri din dobanzi inregistrate de entitatile al caror obiect de activitate il constituie leasingul
* *(ct. 766)
* *
* 
* 
* * Venituri din subventii de exploatare aferente cifrei de afaceri nete (ct.7411)
* *
* *
* * 2.Variatia stocurilor de produse finite (ct.711) Sold C
* * si a productiei in curs de executie    Sold D
* *
* * Se pune manual (suma aritmetica a soldurilor lunare a lui 711 inchise prin 121)
* *
* 
* 
* * 3.Productia realizata de entitate pentru scopurile sale proprii si capitalizata (ct.721+722)
* 
* 
* * 4. Alte venituri din exploatare (ct. 7417+758)
* 
* 
* *r11c1  se pune de mana, cine are, cine vrea, desi nu prea cred sa exista
* *r11c2 = 0
* *
* * VENITURI DIN EXPLOATARE - TOTAL (rd.01+06-07+08+09)
* *
* 
* * 5. a) Cheltuieli cu materiile prime si materialele consumabile (ct.601+602-7412)
* *
* 
* * Alte cheltuieli materiale (ct.603+604+606+608)
* *
* 
* *b) Alte cheltuieli externe (cu energie si apa) (ct.605-7413)
* *
* 
* * c) Cheltuieli privind mrfurile (ct.607)
* *
* 
* *
* *6.Cheltuieli cu personalul (rd.16+17), din care:
* *
* 
* * a) Salarii si indemnizatii (ct.641+642-7414)
* 
* 
* *b) Cheltuieli cu asigurrile si protectia social (ct.645-7415)
* *
* 
* * 7. a) Ajustari de valoare privind imobilizrile corporale si necorporale (rd.19-20)
* 
* 
* * a.1) Cheltuieli (ct.6811+6813)
* 
* 
* *a.2) Venituri (ct.7813) 20
* 
* 
* *b) Ajustari de valoare privind activele circulante (rd.22-23) 21
* 
* 
* *b.1) Cheltuieli (ct.654+6814) 22
* 
* 
* * b.2) Venituri (ct.754+7814) 23
* 
* 
* * 8. Alte cheltuieli de exploatare (rd.25 la 28) 24
* 
* 
* 
* *8.1 Cheluieli privind prestatiile externe (ct.611+612+613+614+621+622+623+624+625+626+627+628-7416)
* 
* 
* * 8.2 Cheltuieli cu alte impozite, taxe si varsaminte asimilate (ct.635)
* 
* * 8.3 Cheltuieli cu despagubiri, donatii si activele cedate (ct.658)
* 
* 
* 
* * Cheltuieli privind dobanzile de refinantare inregistrate de entitatile
* * al caror obiect de activitate il constituie leasingul (ct. 666)
* *
* 
* * Ajustari privind provizioanele (rd.30-31)
* 
* 
* * - Cheltuieli (ct.6812) 30
* 
* 
* * - Venituri (ct.7812)
* 
* 
* * CHELTUIELI DE EXPLOATARE - TOTAL (rd.11 la 15 +18+21+24+29)
* 
* 
* 
* 
* * PROFITUL SAU PIERDEREA DIN EXPLOATARE - Profit (rd.10-32)
* *
* 
* * Pierdere (32-10)
* *
* 
* 
* * 9. Venituri din interese de participare (ct. 7611+7613)
* *
* 
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
* 
* *10.Venituri din alte investitii si imprumuturi care fac parte din activele imobilizate (ct.763) 37
* 
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
* 
* * Venituri din dobnzi (ct.766)
* 
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
* 
* * Alte venituri financiare (ct.762+764+765+767+768)
* 
* 
* * VENITURI FINANCIARE - TOTAL (rd.35+37+39+41)
* 
* 
* * 12.Ajustari de valoare privind imobilizarile financiare si  a
* * investitiilor financiare detinute ca active circulante (rd.44-45)
* 
* 
* *
* * - Cheltuieli (ct.686) 44
* *
* 
* * - Venituri (ct.786)
* 
* 
* * 13. Cheltuieli privind dobnzile (ct.666-7418)
* 
* 
* * din care, cheltuielile in relatia cu entitatile afiliate
* 
* 
* 
* * Alte cheltuieli financiare (ct.663+664+665+667+668)
* 
* 
* * CHELTUIELI FINANCIARE - TOTAL (rd.43+46+48)
* 
* 
* * PROFITUL SAU PIERDEREA FINANCIAR(A) - Profit (rd.42-49)
* 
* 
* 
* * 14.PROFITUL SAU PIERDEREA CURENT(A) - Profit (rd.10+42-32-49)
* * - Pierdere (rd.32+49-10-42)
* 
* 
* 
* * 15. Venituri extraordinare (ct.771)
* 
* 
* * 16. Cheltuieli extraordinare (ct.671)
* 
* 
* * 17.PROFITUL SAU PIERDEREA DIN ACTIVITATEA EXTRAORDINARA - Profit (rd.54-55) 56
* 
* 
* * - Pierdere (rd.55-54) 57
* 
* 
* * VENITURI TOTALE (rd.10+42+54) 58
* 
* 
* * CHELTUIELI TOTALE (rd.32+49+55)
* 
* 
* *PROFITUL SAU PIERDERA BRUTA - Profit (rd.58-59) 60
* 
* 
* * Pierdere (rd.59-58)
* 
* 
* * 18.Impozitul pe profit (ct.691)
* 
* 
* *19. Alte impozite neprezentate la elementele de mai sus (ct. 698)
* 
* 
* *
* *20. PROFITUL SAU PIERDEREA NET(A) A EXERCITIULUI FINANCIAR 64
* *
* * Urmatoarele doua formule sunt bine asa, nu cum au scris tontii aia de la MF
* * - In 67 se pune daca e profit
* *  - In 68 se pune daca e pierdere
* *
* *r67c1 = r63c1-r65c1-r66c1 daca r63c1 >r65c1+r66c1
* *r67c2 = r63c2-r65c2-r66c2 daca r63c2 >r65c2+r66c2
* *
* 
* *r68c1 = Abs(r63c1-r65c1-r66c1) daca r63c1 <= r65c1+r66c1
* *r68c2 = Abs(r63c2-r65c2-r66c2) daca r63c2 <= r65c2+r66c2
* 
* *
* * Sau alt fel (pt.linistea noastra)
* *
* *r67c1 =r63c1-r65c1-r66c1 daca r63c1 > 0
* *r67c2 =r63c2-r65c2-r66c2 daca r63c2 > 0
* 
* *r68c1 = r64c1+r65c1+r66c1 daca r64c1 >0
* *r68c2 = r64c2+r65c2+r66c2 daca r64c2 >0
* 
* * Sau, mai nou: 11/05/2012 (Lavinia din MF)
* 
* 
* 
* 
* *
* * Corelatii pentru  CONTUL DE PROFIT SI PIERDERE (cod 20) 2010
* *
* 
* 
* 
* 
* 
* 
* 
* *
* *     Rd. 46 >= 47   (col. 1 si 2)
* *
* *     Rd. 49  = rd. 43 + 46 + 48                                   (col. 1 si 2)
* *
* *     Rd. 50 = rd. 42 - 49,  daca  rd. 42 - 49 > 0                 (col. 1 si 2)
* *     Rd. 51 = rd. 49 - 42,  daca  rd. 42 - 49 <= 0                (col. 1 si 2)
* *
* *     Rd. 52 = rd. 10 + 42 - 32 - 49,
* *                               daca rd. 10 + 42 - 32 - 49 > 0     (col. 1 si 2)
* *     Rd. 53 = rd. 32 + 49 - 10 - 42,
* *                               daca rd. 10 + 42 - 32 - 49 <= 0    (col. 1 si 2)
* *
* *     Rd. 56 = rd. 54 - 55,  daca rd. 54  - 55 > 0                 (col. 1 si 2)
* *     Rd. 57 = rd. 55 - 54,  daca rd. 54  - 55 <= 0                (col. 1 si 2)
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *
* *     Rd. 58 = rd. 10 + 42 + 54                                    (col. 1 si 2)
* *     Rd. 59 = rd. 32 + 49 + 55                                    (col. 1 si 2)
* *
* *     Rd. 60 = rd. 58 - 59,  daca rd. 58 - 59 > 0                  (col. 1 si 2)
* *     Rd. 61 = rd. 59 - 58,  daca rd. 58 - 59 <= 0                 (col. 1 si 2)
* *
* *     Rd. 64 = rd.60 - 61 - 62 - 63,
* *                                   daca rd.60 - 61 - 62 - 63 > 0  (col. 1 si 2)
* *     Rd. 65 = rd.61 + 62 + 63 - 60,
* *                                   daca rd.60 - 61 - 62 - 63 <= 0 (col. 1 si 2)
* *
* 
* 
* 
* 
* 
* 
* 
* 

 Flush && Asigur datele pe disc


Select(zl)

Return &&F20CompR()


Procedure F20CTot   && Calculeaza totaluri

*
* Functia calculeaza totaluri in rxcx
* 
* Functia se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* Mai nou (28-Iul-2003)
* Daca exista conditii totalul se calculeaza _doar_ daca este 
* indeplinita conditia, altefle este lasat nemodificat
* Pentru a nu se incurca trebuie ca mai intai sa se puna 0 in toate
* randurile de total
*


Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc




*
* Pun mai intai zero in toate randurile de total, sau in cele care sunt calcule pure
*
* Asigur zero in linie de total
Seek 1
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r1c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r1c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 12
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 18
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r18c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r18c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 21
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 24
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r24c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r24c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 27
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r27c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r27c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 32
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r32c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r32c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 35
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r35c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r35c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 36
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r36c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 36
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r36c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 37
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r37c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 37
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r37c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 45
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r45c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r45c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 46
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r46c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r46c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 52
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r52c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r52c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 53
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r53c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 53
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r53c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 54
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r54c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 54
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r54c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 55
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r55c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 55
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r55c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 56
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r56c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 56
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r56c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 59
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r59c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 59
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r59c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 60
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r60c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 60
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r60c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 61
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r61c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r61c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 62
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r62c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r62c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 63
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r63c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 63
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r63c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 64
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r64c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 64
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r64c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 67
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r67c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 67
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r67c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 68
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r68c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 68
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r68c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* 
* Functia de calcul efectiv se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* 
* Iteratia 1
* 
        r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1
        r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2
        r12c1 =r1c1+r7c1-r8c1+r9c1+r10c1
        r12c2 =r1c2+r7c2-r8c2+r9c2+r10c2
        r18c1 =r19c1+r20c1
        r18c2 =r19c2+r20c2
        r21c1 =r22c1-r23c1
        r21c2 =r22c2-r23c2
        r24c1 =r25c1-r26c1
        r24c2 =r25c2-r26c2
        r27c1 =r28c1+r29c1+r30c1+r31c1
        r27c2 =r28c2+r29c2+r30c2+r31c2
        r32c1 =r33c1-r34c1
        r32c2 =r33c2-r34c2
        r35c1 =r13c1+r14c1+r15c1+r16c1-r17c1+r18c1+r21c1+r24c1+r27c1+r32c1
        r35c2 =r13c2+r14c2+r15c2+r16c2-r17c2+r18c2+r21c2+r24c2+r27c2+r32c2
        If ( r12c1 > r35c1) Then
            r36c1 =r12c1-r35c1 
        EndIf
        If ( r12c2 > r35c2) Then
            r36c2 =r12c2-r35c2 
        EndIf
        If ( r35c1 >= r12c1) Then
            r37c1 =r35c1-r12c1 
        EndIf
        If ( r35c2 >= r12c2) Then
            r37c2 =r35c2-r12c2 
        EndIf
        r45c1 =r38c1+r40c1+r42c1+r44c1
        r45c2 =r38c2+r40c2+r42c2+r44c2
        r46c1 =r47c1-r48c1
        r46c2 =r47c2-r48c2
        r52c1 =r46c1+r49c1+r51c1
        r52c2 =r46c2+r49c2+r51c2
        If ( r45c1 > r52c1) Then
            r53c1 =r45c1-r52c1 
        EndIf
        If ( r45c2 > r52c2) Then
            r53c2 =r45c2-r52c2 
        EndIf
        If ( r52c1 > r45c1) Then
            r54c1 =r52c1-r45c1 
        EndIf
        If ( r52c2 > r45c2) Then
            r54c2 =r52c2-r45c2 
        EndIf
        If ( r12c1+r45c1 > r35c1+r52c1) Then
            r55c1 =r12c1+r45c1-r35c1-r52c1 
        EndIf
        If ( r12c2+r45c2 > r35c2+r52c2) Then
            r55c2 =r12c2+r45c2-r35c2-r52c2 
        EndIf
        If ( r35c1+r52c1 > r12c1+r45c1) Then
            r56c1 =r35c1+r52c1-r12c1-r45c1 
        EndIf
        If ( r35c2+r52c2 > r12c2+r45c2) Then
            r56c2 =r35c2+r52c2-r12c2-r45c2 
        EndIf
        If ( r57c1 > r58c1) Then
            r59c1 =r57c1-r58c1 
        EndIf
        If ( r57c2 > r58c2) Then
            r59c2 =r57c2-r58c2 
        EndIf
        If ( r58c1 > r57c1) Then
            r60c1 =r58c1-r57c1 
        EndIf
        If ( r58c2 > r57c2) Then
            r60c2 =r58c2-r57c2 
        EndIf
        r61c1 =r12c1+r45c1+r57c1
        r61c2 =r12c2+r45c2+r57c2
        r62c1 =r35c1+r52c1+r58c1
        r62c2 =r35c2+r52c2+r58c2
        If ( r61c1 > r62c1) Then
            r63c1 =r61c1-r62c1 
        EndIf
        If ( r61c2 > r62c2) Then
            r63c2 =r61c2-r62c2 
        EndIf
        If ( r62c1 > r61c1) Then
            r64c1 =r62c1-r61c1 
        EndIf
        If ( r62c2 > r61c2) Then
            r64c2 =r62c2-r61c2 
        EndIf
        If ( r63c1 > r64c1+r65c1+r66c1) Then
            r67c1 =r63c1-r64c1-r65c1-r66c1 
        EndIf
        If ( r63c2 > r64c2+r65c2+r66c2) Then
            r67c2 =r63c2-r64c2-r65c2-r66c2 
        EndIf
        If ( r64c1+r65c1+r66c1 > r63c1) Then
            r68c1 = r64c1+r65c1+r66c1 - r63c1 
        EndIf
        If ( r64c2+r65c2+r66c2 > r63c2) Then
            r68c2 = r64c2+r65c2+r66c2 - r63c2 
        EndIf
* 
* Iteratia 2
* 
        r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1
        r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2
        r12c1 =r1c1+r7c1-r8c1+r9c1+r10c1
        r12c2 =r1c2+r7c2-r8c2+r9c2+r10c2
        r18c1 =r19c1+r20c1
        r18c2 =r19c2+r20c2
        r21c1 =r22c1-r23c1
        r21c2 =r22c2-r23c2
        r24c1 =r25c1-r26c1
        r24c2 =r25c2-r26c2
        r27c1 =r28c1+r29c1+r30c1+r31c1
        r27c2 =r28c2+r29c2+r30c2+r31c2
        r32c1 =r33c1-r34c1
        r32c2 =r33c2-r34c2
        r35c1 =r13c1+r14c1+r15c1+r16c1-r17c1+r18c1+r21c1+r24c1+r27c1+r32c1
        r35c2 =r13c2+r14c2+r15c2+r16c2-r17c2+r18c2+r21c2+r24c2+r27c2+r32c2
        If ( r12c1 > r35c1) Then
            r36c1 =r12c1-r35c1 
        EndIf
        If ( r12c2 > r35c2) Then
            r36c2 =r12c2-r35c2 
        EndIf
        If ( r35c1 >= r12c1) Then
            r37c1 =r35c1-r12c1 
        EndIf
        If ( r35c2 >= r12c2) Then
            r37c2 =r35c2-r12c2 
        EndIf
        r45c1 =r38c1+r40c1+r42c1+r44c1
        r45c2 =r38c2+r40c2+r42c2+r44c2
        r46c1 =r47c1-r48c1
        r46c2 =r47c2-r48c2
        r52c1 =r46c1+r49c1+r51c1
        r52c2 =r46c2+r49c2+r51c2
        If ( r45c1 > r52c1) Then
            r53c1 =r45c1-r52c1 
        EndIf
        If ( r45c2 > r52c2) Then
            r53c2 =r45c2-r52c2 
        EndIf
        If ( r52c1 > r45c1) Then
            r54c1 =r52c1-r45c1 
        EndIf
        If ( r52c2 > r45c2) Then
            r54c2 =r52c2-r45c2 
        EndIf
        If ( r12c1+r45c1 > r35c1+r52c1) Then
            r55c1 =r12c1+r45c1-r35c1-r52c1 
        EndIf
        If ( r12c2+r45c2 > r35c2+r52c2) Then
            r55c2 =r12c2+r45c2-r35c2-r52c2 
        EndIf
        If ( r35c1+r52c1 > r12c1+r45c1) Then
            r56c1 =r35c1+r52c1-r12c1-r45c1 
        EndIf
        If ( r35c2+r52c2 > r12c2+r45c2) Then
            r56c2 =r35c2+r52c2-r12c2-r45c2 
        EndIf
        If ( r57c1 > r58c1) Then
            r59c1 =r57c1-r58c1 
        EndIf
        If ( r57c2 > r58c2) Then
            r59c2 =r57c2-r58c2 
        EndIf
        If ( r58c1 > r57c1) Then
            r60c1 =r58c1-r57c1 
        EndIf
        If ( r58c2 > r57c2) Then
            r60c2 =r58c2-r57c2 
        EndIf
        r61c1 =r12c1+r45c1+r57c1
        r61c2 =r12c2+r45c2+r57c2
        r62c1 =r35c1+r52c1+r58c1
        r62c2 =r35c2+r52c2+r58c2
        If ( r61c1 > r62c1) Then
            r63c1 =r61c1-r62c1 
        EndIf
        If ( r61c2 > r62c2) Then
            r63c2 =r61c2-r62c2 
        EndIf
        If ( r62c1 > r61c1) Then
            r64c1 =r62c1-r61c1 
        EndIf
        If ( r62c2 > r61c2) Then
            r64c2 =r62c2-r61c2 
        EndIf
        If ( r63c1 > r64c1+r65c1+r66c1) Then
            r67c1 =r63c1-r64c1-r65c1-r66c1 
        EndIf
        If ( r63c2 > r64c2+r65c2+r66c2) Then
            r67c2 =r63c2-r64c2-r65c2-r66c2 
        EndIf
        If ( r64c1+r65c1+r66c1 > r63c1) Then
            r68c1 = r64c1+r65c1+r66c1 - r63c1 
        EndIf
        If ( r64c2+r65c2+r66c2 > r63c2) Then
            r68c2 = r64c2+r65c2+r66c2 - r63c2 
        EndIf
* 
* Iteratia 3
* 
        r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1
        r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2
        r12c1 =r1c1+r7c1-r8c1+r9c1+r10c1
        r12c2 =r1c2+r7c2-r8c2+r9c2+r10c2
        r18c1 =r19c1+r20c1
        r18c2 =r19c2+r20c2
        r21c1 =r22c1-r23c1
        r21c2 =r22c2-r23c2
        r24c1 =r25c1-r26c1
        r24c2 =r25c2-r26c2
        r27c1 =r28c1+r29c1+r30c1+r31c1
        r27c2 =r28c2+r29c2+r30c2+r31c2
        r32c1 =r33c1-r34c1
        r32c2 =r33c2-r34c2
        r35c1 =r13c1+r14c1+r15c1+r16c1-r17c1+r18c1+r21c1+r24c1+r27c1+r32c1
        r35c2 =r13c2+r14c2+r15c2+r16c2-r17c2+r18c2+r21c2+r24c2+r27c2+r32c2
        If ( r12c1 > r35c1) Then
            r36c1 =r12c1-r35c1 
        EndIf
        If ( r12c2 > r35c2) Then
            r36c2 =r12c2-r35c2 
        EndIf
        If ( r35c1 >= r12c1) Then
            r37c1 =r35c1-r12c1 
        EndIf
        If ( r35c2 >= r12c2) Then
            r37c2 =r35c2-r12c2 
        EndIf
        r45c1 =r38c1+r40c1+r42c1+r44c1
        r45c2 =r38c2+r40c2+r42c2+r44c2
        r46c1 =r47c1-r48c1
        r46c2 =r47c2-r48c2
        r52c1 =r46c1+r49c1+r51c1
        r52c2 =r46c2+r49c2+r51c2
        If ( r45c1 > r52c1) Then
            r53c1 =r45c1-r52c1 
        EndIf
        If ( r45c2 > r52c2) Then
            r53c2 =r45c2-r52c2 
        EndIf
        If ( r52c1 > r45c1) Then
            r54c1 =r52c1-r45c1 
        EndIf
        If ( r52c2 > r45c2) Then
            r54c2 =r52c2-r45c2 
        EndIf
        If ( r12c1+r45c1 > r35c1+r52c1) Then
            r55c1 =r12c1+r45c1-r35c1-r52c1 
        EndIf
        If ( r12c2+r45c2 > r35c2+r52c2) Then
            r55c2 =r12c2+r45c2-r35c2-r52c2 
        EndIf
        If ( r35c1+r52c1 > r12c1+r45c1) Then
            r56c1 =r35c1+r52c1-r12c1-r45c1 
        EndIf
        If ( r35c2+r52c2 > r12c2+r45c2) Then
            r56c2 =r35c2+r52c2-r12c2-r45c2 
        EndIf
        If ( r57c1 > r58c1) Then
            r59c1 =r57c1-r58c1 
        EndIf
        If ( r57c2 > r58c2) Then
            r59c2 =r57c2-r58c2 
        EndIf
        If ( r58c1 > r57c1) Then
            r60c1 =r58c1-r57c1 
        EndIf
        If ( r58c2 > r57c2) Then
            r60c2 =r58c2-r57c2 
        EndIf
        r61c1 =r12c1+r45c1+r57c1
        r61c2 =r12c2+r45c2+r57c2
        r62c1 =r35c1+r52c1+r58c1
        r62c2 =r35c2+r52c2+r58c2
        If ( r61c1 > r62c1) Then
            r63c1 =r61c1-r62c1 
        EndIf
        If ( r61c2 > r62c2) Then
            r63c2 =r61c2-r62c2 
        EndIf
        If ( r62c1 > r61c1) Then
            r64c1 =r62c1-r61c1 
        EndIf
        If ( r62c2 > r61c2) Then
            r64c2 =r62c2-r61c2 
        EndIf
        If ( r63c1 > r64c1+r65c1+r66c1) Then
            r67c1 =r63c1-r64c1-r65c1-r66c1 
        EndIf
        If ( r63c2 > r64c2+r65c2+r66c2) Then
            r67c2 =r63c2-r64c2-r65c2-r66c2 
        EndIf
        If ( r64c1+r65c1+r66c1 > r63c1) Then
            r68c1 = r64c1+r65c1+r66c1 - r63c1 
        EndIf
        If ( r64c2+r65c2+r66c2 > r63c2) Then
            r68c2 = r64c2+r65c2+r66c2 - r63c2 
        EndIf

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F20CTot()


Procedure F20DfTot   && Defixeaza totaluri

*
* Functia defixeaza totaluri in baza de date
* 
* 
Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc

Seek 1
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 12
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 18
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 21
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 24
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 27
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 32
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 35
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 45
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 46
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 52
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 61
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 62
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F20DfTot()

