*+ F40.PRG
*
* Program generat de catre Bil41 - Contabil Profesional 4.49.282.1362
* Data: 27.04.2013 21:44:45
*
* Sursa: S:\DBFS\RAPFIN\2012\12\micro\DEF\F40.DEF
*
*
* Contine urmatoarele proceduri:
*
*   F40Get   - preia din baza de date in rxcx
*   F40Put   - completeaza rxcx in baza de date
*   F40Ver   - verifica corelatii rxcx
*   F40Comp  - completeaza din SumeP in rxcx
*   F40CompR - completeaza din alte raportari in rxcx
*   F40CTot  - Calculeaza totaluri din rxcx
*   F40DfTot - Defixeaza totaluri
*
*
*-

Procedure F40Get   && Citeste din baza de date


*
* Aceasta procedura citeste din baza de date
* si incarca variabilele rxcx
*

Private cda
Private i
Private j
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F40.DBF' Again Order Tag BI_RAND Alias xyzzzz

 Flush && Asigur datele pe disc

 For i = 1 to 33
    Seek (i)
    If Found() Then
     	For j = 1 to 5
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+"= xyzzzz.BI_C_"+AllTrim(Str(j))
        	&cda
	    EndFor
    Else
     	For j = 1 to 5
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" = 0"
        	&cda
	    EndFor
    EndIf
EndFor


Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)


Return &&F40Get()


Procedure F40Put   && Scrie in baza de date


*
* Aceasta procedura scrie in baza de date variabilele rxcx
* 

Private cda
Private i
Private j
Private l
Private c
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F40.DBF' Again Order Tag BI_RAND Alias xyzzzz


 For i = 1 to 33
	l = AllTrim(Str(i))
    Seek (i)
    If !Found() Then
		Append Blank
		cda = "Replace  BI_RAND With "+AllTrim(Str(i))
        &cda
        Seek (i) && (de siguranta)
		
    EndIf
	*	
	* Inlocuiesc in coloanele care nu sunt marcate	
	*	
	For j = 1 to 5
		c = AllTrim(Str(j))
*       	cda = "If Empty(BI_F_"+AllTrim(Str(j))+") Then  Replace BI_C_"+AllTrim(Str(j))+" With r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" EndIf"
   	   	cda = "Replace BI_C_"+c+" With IIf(Empty(BI_F_"+c+"), r"+l+"c"+c+",BI_C_"+c+")" 
   		&cda
	EndFor
EndFor

 Flush && Asigur datele pe disc

Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)

If !Empty((WOnTop())) Then
    Show Window (WOnTop()) Refresh Same
EndIf
=Suna(MLD_BRAVO)

Return &&F40Put()


Procedure F40Ver   && Verifica corelatii

Private cda
Private zl
Private numarErori

zl=Select(0)
numarErori = 0


Define Window WiVeCo From 8,20 to 16,60 Title 'Verificare corelatii' In Screen Double Shadow 
Activate Window WiVeCo


 Flush && Asigur datele pe disc


hTerm = 1
Do While hTerm = 1
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r4 =r1+r2+r3"
@3,1 Say " r4c1 =r1c1+r2c1+r3c1..."
        If .T. Then
           If !( r4c1 =r1c1+r2c1+r3c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r4 =r1+r2+r3  r4c1 =r1c1+r2c1+r3c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r4 =r1+r2+r3"
@3,1 Say " r4c2 =r1c2+r2c2+r3c2..."
        If .T. Then
           If !( r4c2 =r1c2+r2c2+r3c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r4 =r1+r2+r3  r4c2 =r1c2+r2c2+r3c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r4 =r1+r2+r3"
@3,1 Say " r4c3 =r1c3+r2c3+r3c3..."
        If .T. Then
           If !( r4c3 =r1c3+r2c3+r3c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r4 =r1+r2+r3  r4c3 =r1c3+r2c3+r3c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r4 =r1+r2+r3"
@3,1 Say " r4c4 =r1c4+r2c4+r3c4..."
        If .T. Then
           If !( r4c4 =r1c4+r2c4+r3c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r4 =r1+r2+r3  r4c4 =r1c4+r2c4+r3c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r4 =r1+r2+r3"
@3,1 Say " r4c5 =r1c5+r2c5+r3c5..."
        If .T. Then
           If !( r4c5 =r1c5+r2c5+r3c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r4 =r1+r2+r3  r4c5 =r1c5+r2c5+r3c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10 =r5+r6+r7+r8+r9"
@3,1 Say " r10c1 =r5c1+r6c1+r7c1+r8c1+r9c1..."
        If .T. Then
           If !( r10c1 =r5c1+r6c1+r7c1+r8c1+r9c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10 =r5+r6+r7+r8+r9  r10c1 =r5c1+r6c1+r7c1+r8c1+r9c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10 =r5+r6+r7+r8+r9"
@3,1 Say " r10c2 =r5c2+r6c2+r7c2+r8c2+r9c2..."
        If .T. Then
           If !( r10c2 =r5c2+r6c2+r7c2+r8c2+r9c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10 =r5+r6+r7+r8+r9  r10c2 =r5c2+r6c2+r7c2+r8c2+r9c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10 =r5+r6+r7+r8+r9"
@3,1 Say " r10c3 =r5c3+r6c3+r7c3+r8c3+r9c3..."
        If .T. Then
           If !( r10c3 =r5c3+r6c3+r7c3+r8c3+r9c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10 =r5+r6+r7+r8+r9  r10c3 =r5c3+r6c3+r7c3+r8c3+r9c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10 =r5+r6+r7+r8+r9"
@3,1 Say " r10c4 =r5c4+r6c4+r7c4+r8c4+r9c4..."
        If .T. Then
           If !( r10c4 =r5c4+r6c4+r7c4+r8c4+r9c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10 =r5+r6+r7+r8+r9  r10c4 =r5c4+r6c4+r7c4+r8c4+r9c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10 =r5+r6+r7+r8+r9"
@3,1 Say " r10c5 =r5c5+r6c5+r7c5+r8c5+r9c5..."
        If .T. Then
           If !( r10c5 =r5c5+r6c5+r7c5+r8c5+r9c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10 =r5+r6+r7+r8+r9  r10c5 =r5c5+r6c5+r7c5+r8c5+r9c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10c4 =r6c4+r7c4+r8c4"
@3,1 Say " r10c4 =r6c4+r7c4+r8c4..."
        If .T. Then
           If !( r10c4 =r6c4+r7c4+r8c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10c4 =r6c4+r7c4+r8c4  r10c4 =r6c4+r7c4+r8c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 =r4+r10+r11"
@3,1 Say " r12c1 =r4c1+r10c1+r11c1..."
        If .T. Then
           If !( r12c1 =r4c1+r10c1+r11c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 =r4+r10+r11  r12c1 =r4c1+r10c1+r11c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 =r4+r10+r11"
@3,1 Say " r12c2 =r4c2+r10c2+r11c2..."
        If .T. Then
           If !( r12c2 =r4c2+r10c2+r11c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 =r4+r10+r11  r12c2 =r4c2+r10c2+r11c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 =r4+r10+r11"
@3,1 Say " r12c3 =r4c3+r10c3+r11c3..."
        If .T. Then
           If !( r12c3 =r4c3+r10c3+r11c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 =r4+r10+r11  r12c3 =r4c3+r10c3+r11c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 =r4+r10+r11"
@3,1 Say " r12c4 =r4c4+r10c4+r11c4..."
        If .T. Then
           If !( r12c4 =r4c4+r10c4+r11c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 =r4+r10+r11  r12c4 =r4c4+r10c4+r11c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12 =r4+r10+r11"
@3,1 Say " r12c5 =r4c5+r10c5+r11c5..."
        If .T. Then
           If !( r12c5 =r4c5+r10c5+r11c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12 =r4+r10+r11  r12c5 =r4c5+r10c5+r11c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12c4=r10c4"
@3,1 Say " r12c4=r10c4..."
        If .T. Then
           If !( r12c4=r10c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12c4=r10c4  r12c4=r10c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1c5 =r1c1+r1c2-r1c3"
@3,1 Say " r1c5 =r1c1+r1c2-r1c3..."
        If .T. Then
           If !( r1c5 =r1c1+r1c2-r1c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1c5 =r1c1+r1c2-r1c3  r1c5 =r1c1+r1c2-r1c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r2c5 =r2c1+r2c2-r2c3"
@3,1 Say " r2c5 =r2c1+r2c2-r2c3..."
        If .T. Then
           If !( r2c5 =r2c1+r2c2-r2c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r2c5 =r2c1+r2c2-r2c3  r2c5 =r2c1+r2c2-r2c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r3c5 =r3c1+r3c2-r3c3"
@3,1 Say " r3c5 =r3c1+r3c2-r3c3..."
        If .T. Then
           If !( r3c5 =r3c1+r3c2-r3c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r3c5 =r3c1+r3c2-r3c3  r3c5 =r3c1+r3c2-r3c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r4c5 =r4c1+r4c2-r4c3"
@3,1 Say " r4c5 =r4c1+r4c2-r4c3..."
        If .T. Then
           If !( r4c5 =r4c1+r4c2-r4c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r4c5 =r4c1+r4c2-r4c3  r4c5 =r4c1+r4c2-r4c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r5c5 =r5c1+r5c2-r5c3"
@3,1 Say " r5c5 =r5c1+r5c2-r5c3..."
        If .T. Then
           If !( r5c5 =r5c1+r5c2-r5c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r5c5 =r5c1+r5c2-r5c3  r5c5 =r5c1+r5c2-r5c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r6c5 =r6c1+r6c2-r6c3"
@3,1 Say " r6c5 =r6c1+r6c2-r6c3..."
        If .T. Then
           If !( r6c5 =r6c1+r6c2-r6c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r6c5 =r6c1+r6c2-r6c3  r6c5 =r6c1+r6c2-r6c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r7c5 =r7c1+r7c2-r7c3"
@3,1 Say " r7c5 =r7c1+r7c2-r7c3..."
        If .T. Then
           If !( r7c5 =r7c1+r7c2-r7c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r7c5 =r7c1+r7c2-r7c3  r7c5 =r7c1+r7c2-r7c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r8c5 =r8c1+r8c2-r8c3"
@3,1 Say " r8c5 =r8c1+r8c2-r8c3..."
        If .T. Then
           If !( r8c5 =r8c1+r8c2-r8c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r8c5 =r8c1+r8c2-r8c3  r8c5 =r8c1+r8c2-r8c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r9c5 =r9c1+r9c2-r9c3"
@3,1 Say " r9c5 =r9c1+r9c2-r9c3..."
        If .T. Then
           If !( r9c5 =r9c1+r9c2-r9c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r9c5 =r9c1+r9c2-r9c3  r9c5 =r9c1+r9c2-r9c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r10c5 =r10c1+r10c2-r10c3"
@3,1 Say " r10c5 =r10c1+r10c2-r10c3..."
        If .T. Then
           If !( r10c5 =r10c1+r10c2-r10c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r10c5 =r10c1+r10c2-r10c3  r10c5 =r10c1+r10c2-r10c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r11c5 =r11c1+r11c2-r11c3"
@3,1 Say " r11c5 =r11c1+r11c2-r11c3..."
        If .T. Then
           If !( r11c5 =r11c1+r11c2-r11c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r11c5 =r11c1+r11c2-r11c3  r11c5 =r11c1+r11c2-r11c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r12c5 =r12c1+r12c2-r12c3"
@3,1 Say " r12c5 =r12c1+r12c2-r12c3..."
        If .T. Then
           If !( r12c5 =r12c1+r12c2-r12c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r12c5 =r12c1+r12c2-r12c3  r12c5 =r12c1+r12c2-r12c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r13c4 =r13c1+r13c2-r13c3"
@3,1 Say " r13c4 =r13c1+r13c2-r13c3..."
        If .T. Then
           If !( r13c4 =r13c1+r13c2-r13c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r13c4 =r13c1+r13c2-r13c3  r13c4 =r13c1+r13c2-r13c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r14c4 =r14c1+r14c2-r14c3"
@3,1 Say " r14c4 =r14c1+r14c2-r14c3..."
        If .T. Then
           If !( r14c4 =r14c1+r14c2-r14c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r14c4 =r14c1+r14c2-r14c3  r14c4 =r14c1+r14c2-r14c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r15c4 =r15c1+r15c2-r15c3"
@3,1 Say " r15c4 =r15c1+r15c2-r15c3..."
        If .T. Then
           If !( r15c4 =r15c1+r15c2-r15c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r15c4 =r15c1+r15c2-r15c3  r15c4 =r15c1+r15c2-r15c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r16c4 =r16c1+r16c2-r16c3"
@3,1 Say " r16c4 =r16c1+r16c2-r16c3..."
        If .T. Then
           If !( r16c4 =r16c1+r16c2-r16c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r16c4 =r16c1+r16c2-r16c3  r16c4 =r16c1+r16c2-r16c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r17c4 =r17c1+r17c2-r17c3"
@3,1 Say " r17c4 =r17c1+r17c2-r17c3..."
        If .T. Then
           If !( r17c4 =r17c1+r17c2-r17c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r17c4 =r17c1+r17c2-r17c3  r17c4 =r17c1+r17c2-r17c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r18c4 =r18c1+r18c2-r18c3"
@3,1 Say " r18c4 =r18c1+r18c2-r18c3..."
        If .T. Then
           If !( r18c4 =r18c1+r18c2-r18c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r18c4 =r18c1+r18c2-r18c3  r18c4 =r18c1+r18c2-r18c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r19c4 =r19c1+r19c2-r19c3"
@3,1 Say " r19c4 =r19c1+r19c2-r19c3..."
        If .T. Then
           If !( r19c4 =r19c1+r19c2-r19c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r19c4 =r19c1+r19c2-r19c3  r19c4 =r19c1+r19c2-r19c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r20c4 =r20c1+r20c2-r20c3"
@3,1 Say " r20c4 =r20c1+r20c2-r20c3..."
        If .T. Then
           If !( r20c4 =r20c1+r20c2-r20c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r20c4 =r20c1+r20c2-r20c3  r20c4 =r20c1+r20c2-r20c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r21c4 =r21c1+r21c2-r21c3"
@3,1 Say " r21c4 =r21c1+r21c2-r21c3..."
        If .T. Then
           If !( r21c4 =r21c1+r21c2-r21c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r21c4 =r21c1+r21c2-r21c3  r21c4 =r21c1+r21c2-r21c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r22c4 =r22c1+r22c2-r22c3"
@3,1 Say " r22c4 =r22c1+r22c2-r22c3..."
        If .T. Then
           If !( r22c4 =r22c1+r22c2-r22c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r22c4 =r22c1+r22c2-r22c3  r22c4 =r22c1+r22c2-r22c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r23c4 =r23c1+r23c2-r23c3"
@3,1 Say " r23c4 =r23c1+r23c2-r23c3..."
        If .T. Then
           If !( r23c4 =r23c1+r23c2-r23c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r23c4 =r23c1+r23c2-r23c3  r23c4 =r23c1+r23c2-r23c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r24c4 =r24c1+r24c2-r24c3"
@3,1 Say " r24c4 =r24c1+r24c2-r24c3..."
        If .T. Then
           If !( r24c4 =r24c1+r24c2-r24c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r24c4 =r24c1+r24c2-r24c3  r24c4 =r24c1+r24c2-r24c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r25c4 =r25c1+r25c2-r25c3"
@3,1 Say " r25c4 =r25c1+r25c2-r25c3..."
        If .T. Then
           If !( r25c4 =r25c1+r25c2-r25c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r25c4 =r25c1+r25c2-r25c3  r25c4 =r25c1+r25c2-r25c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r26c4 =r26c1+r26c2-r26c3"
@3,1 Say " r26c4 =r26c1+r26c2-r26c3..."
        If .T. Then
           If !( r26c4 =r26c1+r26c2-r26c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r26c4 =r26c1+r26c2-r26c3  r26c4 =r26c1+r26c2-r26c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r27c4 =r27c1+r27c2-r27c3"
@3,1 Say " r27c4 =r27c1+r27c2-r27c3..."
        If .T. Then
           If !( r27c4 =r27c1+r27c2-r27c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r27c4 =r27c1+r27c2-r27c3  r27c4 =r27c1+r27c2-r27c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r28c4 =r28c1+r28c2-r28c3"
@3,1 Say " r28c4 =r28c1+r28c2-r28c3..."
        If .T. Then
           If !( r28c4 =r28c1+r28c2-r28c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r28c4 =r28c1+r28c2-r28c3  r28c4 =r28c1+r28c2-r28c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r29c4 =r29c1+r29c2-r29c3"
@3,1 Say " r29c4 =r29c1+r29c2-r29c3..."
        If .T. Then
           If !( r29c4 =r29c1+r29c2-r29c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r29c4 =r29c1+r29c2-r29c3  r29c4 =r29c1+r29c2-r29c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r30c4 =r30c1+r30c2-r30c3"
@3,1 Say " r30c4 =r30c1+r30c2-r30c3..."
        If .T. Then
           If !( r30c4 =r30c1+r30c2-r30c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r30c4 =r30c1+r30c2-r30c3  r30c4 =r30c1+r30c2-r30c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r31c4 =r31c1+r31c2-r31c3"
@3,1 Say " r31c4 =r31c1+r31c2-r31c3..."
        If .T. Then
           If !( r31c4 =r31c1+r31c2-r31c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r31c4 =r31c1+r31c2-r31c3  r31c4 =r31c1+r31c2-r31c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r32c4 =r32c1+r32c2-r32c3"
@3,1 Say " r32c4 =r32c1+r32c2-r32c3..."
        If .T. Then
           If !( r32c4 =r32c1+r32c2-r32c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r32c4 =r32c1+r32c2-r32c3  r32c4 =r32c1+r32c2-r32c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r33c4 =r33c1+r33c2-r33c3"
@3,1 Say " r33c4 =r33c1+r33c2-r33c3..."
        If .T. Then
           If !( r33c4 =r33c1+r33c2-r33c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r33c4 =r33c1+r33c2-r33c3  r33c4 =r33c1+r33c2-r33c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r15 =r13+r14"
@3,1 Say " r15c1 =r13c1+r14c1..."
        If .T. Then
           If !( r15c1 =r13c1+r14c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r15 =r13+r14  r15c1 =r13c1+r14c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r15 =r13+r14"
@3,1 Say " r15c2 =r13c2+r14c2..."
        If .T. Then
           If !( r15c2 =r13c2+r14c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r15 =r13+r14  r15c2 =r13c2+r14c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r15 =r13+r14"
@3,1 Say " r15c3 =r13c3+r14c3..."
        If .T. Then
           If !( r15c3 =r13c3+r14c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r15 =r13+r14  r15c3 =r13c3+r14c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r15 =r13+r14"
@3,1 Say " r15c4 =r13c4+r14c4..."
        If .T. Then
           If !( r15c4 =r13c4+r14c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r15 =r13+r14  r15c4 =r13c4+r14c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r15 =r13+r14"
@3,1 Say " r15c5 =r13c5+r14c5..."
        If .T. Then
           If !( r15c5 =r13c5+r14c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r15 =r13+r14  r15c5 =r13c5+r14c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r20 =r16+r17+r18+r19"
@3,1 Say " r20c1 =r16c1+r17c1+r18c1+r19c1..."
        If .T. Then
           If !( r20c1 =r16c1+r17c1+r18c1+r19c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r20 =r16+r17+r18+r19  r20c1 =r16c1+r17c1+r18c1+r19c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r20 =r16+r17+r18+r19"
@3,1 Say " r20c2 =r16c2+r17c2+r18c2+r19c2..."
        If .T. Then
           If !( r20c2 =r16c2+r17c2+r18c2+r19c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r20 =r16+r17+r18+r19  r20c2 =r16c2+r17c2+r18c2+r19c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r20 =r16+r17+r18+r19"
@3,1 Say " r20c3 =r16c3+r17c3+r18c3+r19c3..."
        If .T. Then
           If !( r20c3 =r16c3+r17c3+r18c3+r19c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r20 =r16+r17+r18+r19  r20c3 =r16c3+r17c3+r18c3+r19c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r20 =r16+r17+r18+r19"
@3,1 Say " r20c4 =r16c4+r17c4+r18c4+r19c4..."
        If .T. Then
           If !( r20c4 =r16c4+r17c4+r18c4+r19c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r20 =r16+r17+r18+r19  r20c4 =r16c4+r17c4+r18c4+r19c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r20 =r16+r17+r18+r19"
@3,1 Say " r20c5 =r16c5+r17c5+r18c5+r19c5..."
        If .T. Then
           If !( r20c5 =r16c5+r17c5+r18c5+r19c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r20 =r16+r17+r18+r19  r20c5 =r16c5+r17c5+r18c5+r19c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r21 =r15+r20"
@3,1 Say " r21c1 =r15c1+r20c1..."
        If .T. Then
           If !( r21c1 =r15c1+r20c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r21 =r15+r20  r21c1 =r15c1+r20c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r21 =r15+r20"
@3,1 Say " r21c2 =r15c2+r20c2..."
        If .T. Then
           If !( r21c2 =r15c2+r20c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r21 =r15+r20  r21c2 =r15c2+r20c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r21 =r15+r20"
@3,1 Say " r21c3 =r15c3+r20c3..."
        If .T. Then
           If !( r21c3 =r15c3+r20c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r21 =r15+r20  r21c3 =r15c3+r20c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r21 =r15+r20"
@3,1 Say " r21c4 =r15c4+r20c4..."
        If .T. Then
           If !( r21c4 =r15c4+r20c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r21 =r15+r20  r21c4 =r15c4+r20c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r21 =r15+r20"
@3,1 Say " r21c5 =r15c5+r20c5..."
        If .T. Then
           If !( r21c5 =r15c5+r20c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r21 =r15+r20  r21c5 =r15c5+r20c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r25 =r22+r23+r24"
@3,1 Say " r25c1 =r22c1+r23c1+r24c1..."
        If .T. Then
           If !( r25c1 =r22c1+r23c1+r24c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r25 =r22+r23+r24  r25c1 =r22c1+r23c1+r24c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r25 =r22+r23+r24"
@3,1 Say " r25c2 =r22c2+r23c2+r24c2..."
        If .T. Then
           If !( r25c2 =r22c2+r23c2+r24c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r25 =r22+r23+r24  r25c2 =r22c2+r23c2+r24c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r25 =r22+r23+r24"
@3,1 Say " r25c3 =r22c3+r23c3+r24c3..."
        If .T. Then
           If !( r25c3 =r22c3+r23c3+r24c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r25 =r22+r23+r24  r25c3 =r22c3+r23c3+r24c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r25 =r22+r23+r24"
@3,1 Say " r25c4 =r22c4+r23c4+r24c4..."
        If .T. Then
           If !( r25c4 =r22c4+r23c4+r24c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r25 =r22+r23+r24  r25c4 =r22c4+r23c4+r24c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r25 =r22+r23+r24"
@3,1 Say " r25c5 =r22c5+r23c5+r24c5..."
        If .T. Then
           If !( r25c5 =r22c5+r23c5+r24c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r25 =r22+r23+r24  r25c5 =r22c5+r23c5+r24c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r31 =r26+r27+r28+r29+r30"
@3,1 Say " r31c1 =r26c1+r27c1+r28c1+r29c1+r30c1..."
        If .T. Then
           If !( r31c1 =r26c1+r27c1+r28c1+r29c1+r30c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r31 =r26+r27+r28+r29+r30  r31c1 =r26c1+r27c1+r28c1+r29c1+r30c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r31 =r26+r27+r28+r29+r30"
@3,1 Say " r31c2 =r26c2+r27c2+r28c2+r29c2+r30c2..."
        If .T. Then
           If !( r31c2 =r26c2+r27c2+r28c2+r29c2+r30c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r31 =r26+r27+r28+r29+r30  r31c2 =r26c2+r27c2+r28c2+r29c2+r30c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r31 =r26+r27+r28+r29+r30"
@3,1 Say " r31c3 =r26c3+r27c3+r28c3+r29c3+r30c3..."
        If .T. Then
           If !( r31c3 =r26c3+r27c3+r28c3+r29c3+r30c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r31 =r26+r27+r28+r29+r30  r31c3 =r26c3+r27c3+r28c3+r29c3+r30c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r31 =r26+r27+r28+r29+r30"
@3,1 Say " r31c4 =r26c4+r27c4+r28c4+r29c4+r30c4..."
        If .T. Then
           If !( r31c4 =r26c4+r27c4+r28c4+r29c4+r30c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r31 =r26+r27+r28+r29+r30  r31c4 =r26c4+r27c4+r28c4+r29c4+r30c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r31 =r26+r27+r28+r29+r30"
@3,1 Say " r31c5 =r26c5+r27c5+r28c5+r29c5+r30c5..."
        If .T. Then
           If !( r31c5 =r26c5+r27c5+r28c5+r29c5+r30c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r31 =r26+r27+r28+r29+r30  r31c5 =r26c5+r27c5+r28c5+r29c5+r30c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r33 =r25+r31+r32"
@3,1 Say " r33c1 =r25c1+r31c1+r32c1..."
        If .T. Then
           If !( r33c1 =r25c1+r31c1+r32c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r33 =r25+r31+r32  r33c1 =r25c1+r31c1+r32c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r33 =r25+r31+r32"
@3,1 Say " r33c2 =r25c2+r31c2+r32c2..."
        If .T. Then
           If !( r33c2 =r25c2+r31c2+r32c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r33 =r25+r31+r32  r33c2 =r25c2+r31c2+r32c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r33 =r25+r31+r32"
@3,1 Say " r33c3 =r25c3+r31c3+r32c3..."
        If .T. Then
           If !( r33c3 =r25c3+r31c3+r32c3) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r33 =r25+r31+r32  r33c3 =r25c3+r31c3+r32c3 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r33 =r25+r31+r32"
@3,1 Say " r33c4 =r25c4+r31c4+r32c4..."
        If .T. Then
           If !( r33c4 =r25c4+r31c4+r32c4) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r33 =r25+r31+r32  r33c4 =r25c4+r31c4+r32c4 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r33 =r25+r31+r32"
@3,1 Say " r33c5 =r25c5+r31c5+r32c5..."
        If .T. Then
           If !( r33c5 =r25c5+r31c5+r32c5) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r33 =r25+r31+r32  r33c5 =r25c5+r31c5+r32c5 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
hTerm = 2
EndDo

Deactivate Window WiVeCo
Release Window WiVeCo

Select(zl)


 If numarErori = 0 Then
      =Suna(MLD_BRAVO)

	msg1 = Lauda() 
	msg2 = 'La verificarea corelatiilor'
	msg3 = 'nu a fost detectata'
	msg4 = 'nici macar o singura eroare'
	Do Info With ' '+msg1,msg2,msg3,msg4
 EndIf


Return &&F40Ver()


Procedure F40Comp   && Completeaza din SumeP

Private zl
Private nrArtZl
Private cda
Private oBiLei
Private oBiRot   && Loc in care retine rotunjirea

Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
*
* Retin setarile (mod de calcul si rotunjire
*
oBiRot = __BiRot
oBiLei = __BiLei
*
* * Lavinia 27/04/2013
* * Lavinia 09/03/2012
* * Lavinia 27/02/2011
* 
* 
* 
        r1c1 =Round((sdap("201")+sdap("203"))/__BiLei,__BiRot)
        r1c2 =Round((rdac("201")+rdac("203"))/__BiLei,__BiRot)
        r1c3 =Round((rcac("201")+rcac("203"))/__BiLei,__BiRot)
        r1c5 =r1c1+r1c2-r1c3
* 
        r2c1 =Round((sdap("205")+sdap("207")+sdap("208"))/__BiLei,__BiRot)
        r2c2 =Round((rdac("205")+rdac("207")+rdac("208"))/__BiLei,__BiRot)
        r2c3 =Round((rcac("205")+rcac("207")+rcac("208"))/__BiLei,__BiRot)
        r2c5 =r2c1+r2c2-r2c3
* 
        r3c1 =Round((sdap("233")+sdap("234"))/__BiLei,__BiRot)
        r3c2 =Round((rdac("233")+rdac("234"))/__BiLei,__BiRot)
        r3c3 =Round((rcac("233")+rcac("234"))/__BiLei,__BiRot)
        r3c5 =r3c1+r3c2-r3c3
* 
        r4c5 =r4c1+r4c2-r4c3
* 
        r5c1 =Round((sdap("2111")+sdap("2112"))/__BiLei,__BiRot)
        r5c2 =Round((rdac("2111")+rdac("2112"))/__BiLei,__BiRot)
        r5c3 =Round((rcac("2111")+rcac("2112"))/__BiLei,__BiRot)
        r5c5 =r5c1+r5c2-r5c3
* 
* 
        r6c1 =Round((sdap("212"))/__BiLei,__BiRot)
        r6c2 =Round((rdac("212"))/__BiLei,__BiRot)
        r6c3 =Round((rcac("212"))/__BiLei,__BiRot)
        r6c5 =r6c1+r6c2-r6c3
* 
* 
        r7c1 =Round((sdap("213")+sdap("223"))/__BiLei,__BiRot)
        r7c2 =Round((rdac("213")+rdac("223"))/__BiLei,__BiRot)
        r7c3 =Round((rcac("213")+rcac("223"))/__BiLei,__BiRot)
        r7c5 =r7c1+r7c2-r7c3
* 
        r8c1 =Round((sdap("214")+sdap("224"))/__BiLei,__BiRot)
        r8c2 =Round((rdac("214")+rdac("224"))/__BiLei,__BiRot)
        r8c3 =Round((rcac("214")+rcac("224"))/__BiLei,__BiRot)
        r8c5 =r8c1+r8c2-r8c3
* 
* 
        r9c1 =Round((sdap("231")+sdap("232"))/__BiLei,__BiRot)
        r9c2 =Round((rdac("231")+rdac("232"))/__BiLei,__BiRot)
        r9c3 =Round((rcac("231")+rcac("232"))/__BiLei,__BiRot)
        r9c5 =r9c1+r9c2-r9c3
* 
        r10c4 =r6c4+r7c4+r8c4
        r10c5 =r10c1+r10c2-r10c3
* 
* 
        r11c1 =Round((sdap("261")+sdap("263")+sdap("264")+sdap("265")+sdap("267"))/__BiLei,__BiRot)
        r11c2 =Round((rdac("261")+rdac("263")+rdac("264")+rdac("265")+rdac("267"))/__BiLei,__BiRot)
        r11c3 =Round((rcac("261")+rcac("263")+rcac("264")+rcac("265")+rcac("267"))/__BiLei,__BiRot)
        r11c5 =r11c1+r11c2-r11c3
* 
        r12c4 =r10c4
        r12c5 =r12c1+r12c2-r12c3
* 
        r13c1 =Round((scap("2801")+scap("2803"))/__BiLei,__BiRot)
        r13c2 =Round((rcac("2801")+rcac("2803"))/__BiLei,__BiRot)
        r13c3 =Round((rdac("2801")+rdac("2803"))/__BiLei,__BiRot)
        r13c4 =r13c1+r13c2-r13c3
* 
* 
        r14c1 =Round((scap("2805")+scap("2808"))/__BiLei,__BiRot)
        r14c2 =Round((rcac("2805")+rcac("2808"))/__BiLei,__BiRot)
        r14c3 =Round((rdac("2805")+rdac("2808"))/__BiLei,__BiRot)
        r14c4 =r14c1+r14c2-r14c3
* 
* 
        r15c4 =r15c1+r15c2-r15c3
* 
* 
        r16c1 =Round((scap("2811"))/__BiLei,__BiRot)
        r16c2 =Round((rcac("2811"))/__BiLei,__BiRot)
        r16c3 =Round((rdac("2811"))/__BiLei,__BiRot)
        r16c4 =r16c1+r16c2-r16c3
* 
* 
        r17c1 =Round((scap("2812"))/__BiLei,__BiRot)
        r17c2 =Round((rcac("2812"))/__BiLei,__BiRot)
        r17c3 =Round((rdac("2812"))/__BiLei,__BiRot)
        r17c4 =r17c1+r17c2-r17c3
* 
* 
        r18c1 =Round((scap("2813"))/__BiLei,__BiRot)
        r18c2 =Round((rcac("2813"))/__BiLei,__BiRot)
        r18c3 =Round((rdac("2813"))/__BiLei,__BiRot)
        r18c4 =r18c1+r18c2-r18c3
* 
* 
        r19c1 =Round((scap("2814"))/__BiLei,__BiRot)
        r19c2 =Round((rcac("2814"))/__BiLei,__BiRot)
        r19c3 =Round((rdac("2814"))/__BiLei,__BiRot)
        r19c4 =r19c1+r19c2-r19c3
* 
* 
        r20c4 =r20c1+r20c2-r20c3
* 
* 
        r21c4 =r21c1+r21c2-r21c3
* 
        r22c1 =Round((scap("2903"))/__BiLei,__BiRot)
        r22c2 =Round((rcac("2903"))/__BiLei,__BiRot)
        r22c3 =Round((rdac("2903"))/__BiLei,__BiRot)
        r22c4 =r22c1+r22c2-r22c3
* 
        r23c1 =Round((scap("2905")+scap("2907")+scap("2908"))/__BiLei,__BiRot)
        r23c2 =Round((rcac("2905")+rcac("2907")+rcac("2908"))/__BiLei,__BiRot)
        r23c3 =Round((rdac("2905")+rdac("2907")+rdac("2908"))/__BiLei,__BiRot)
        r23c4 =r23c1+r23c2-r23c3
* 
* 
        r24c1 =Round((scap("2933"))/__BiLei,__BiRot)
        r24c2 =Round((rcac("2933"))/__BiLei,__BiRot)
        r24c3 =Round((rdac("2933"))/__BiLei,__BiRot)
        r24c4 =r24c1+r24c2-r24c3
* 
        r25c4 =r25c1+r25c2-r25c3
* 
* 
        r26c1 =Round((scap("2911"))/__BiLei,__BiRot)
        r26c2 =Round((rcac("2911"))/__BiLei,__BiRot)
        r26c3 =Round((rdac("2911"))/__BiLei,__BiRot)
        r26c4 =r26c1+r26c2-r26c3
* 
* 
        r27c1 =Round((scap("2912"))/__BiLei,__BiRot)
        r27c2 =Round((rcac("2912"))/__BiLei,__BiRot)
        r27c3 =Round((rdac("2912"))/__BiLei,__BiRot)
        r27c4 =r27c1+r27c2-r27c3
* 
* 
        r28c1 =Round((scap("2913"))/__BiLei,__BiRot)
        r28c2 =Round((rcac("2913"))/__BiLei,__BiRot)
        r28c3 =Round((rdac("2913"))/__BiLei,__BiRot)
        r28c4 =r28c1+r28c2-r28c3
* 
        r29c1 =Round((scap("2914"))/__BiLei,__BiRot)
        r29c2 =Round((rcac("2914"))/__BiLei,__BiRot)
        r29c3 =Round((rdac("2914"))/__BiLei,__BiRot)
        r29c4 =r29c1+r29c2-r29c3
* 
        r30c1 =Round((scap("2931"))/__BiLei,__BiRot)
        r30c2 =Round((rcac("2931"))/__BiLei,__BiRot)
        r30c3 =Round((rdac("2931"))/__BiLei,__BiRot)
        r30c4 =r30c1+r30c2-r30c3
* 
        r31c4 =r31c1+r31c2-r31c3
* 
        r32c1 =Round((scap("296"))/__BiLei,__BiRot)
        r32c2 =Round((rcac("296"))/__BiLei,__BiRot)
        r32c3 =Round((rdac("296"))/__BiLei,__BiRot)
        r32c4 =r32c1+r32c2-r32c3
* 
* 
        r33c4 =r33c1+r33c2-r33c3
* 
* 
* 
* 
* 
* 
* *
* * --------------------------------------------------------------------------------------
* *
* *     SITUATIA ACTIVELOR IMOBILIZATE (cod 40)
* *
* *
* *     Totaluri pe orizontala:
* *     Col. 5 = col. 1 +  2 -  3 (se repeta de la rd.01 la 12)
* *     Col. 9 = col. 6 +  7 -  8 (se repeta de la rd.13 la 21)
* *     Col.13 = col.10 + 11 - 12 (se repeta de la rd.22 la 33)
* *
* *     Totaluri pe verticala:
* *     Rd. 04 = rd. 01 la 03                                  (col. 1, 2, 3 si 5)
* *     Rd. 10 = rd. 05 la 09                                  (col. 1, 2, 3 si 5)
* *     Rd. 10 = rd. 06 la 08 + 10                                   (col. 4)
* *     Rd. 12 = rd. 04 + 10 + 11                           (col. 1, 2, 3, 4 si 5)
* *
* *     Rd. 20 = rd. 16 la 19                                  (col. 6, 7, 8 si 9)
* *     Rd. 21 = rd. 15 + 20                                   (col. 6, 7, 8 si 9)
* *
* *     Rd. 25 = rd. 22 la 24                              (col. 10, 11, 12 si 13)
* *     Rd. 31 = rd. 26 la 30                              (col. 10, 11, 12 si 13)
* *     Rd. 33 = rd. 25 + 31 + 32                          (col. 10, 11, 12 si 13)
* *
* * --------------------------------------------------------------------------------------
* 
* 
* 
* 
* * Col 5 de la 1 la 12
* 
* 
* * ---------------------------------------------------
* * Atentie , pe formular coloana 4 este numerotata 9  !
* * ---------------------------------------------------
* 
* 
* * Col 9 de la 13 la 21 (care e la mine col 4)
* 
* 
* 
* * Col 13 de la 22 la 33 (care la mine e 4)
* 
* 
* 
* 
* 
* 
* 
* 

Flush && Asigur datele pe disc

*
* Refac in ce se calculeaza , precum si rotunjirea care se aplica 
*
__BiRot = oBiRot
__BiLei = oBiLei

Select(zl)

Return &&F40Comp()


Procedure F40CompR   && Completeaza din alte si raportari

Private cda
Private zl
Private nrArtZl


 Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
* * Lavinia 27/04/2013
* * Lavinia 09/03/2012
* * Lavinia 27/02/2011
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *
* * --------------------------------------------------------------------------------------
* *
* *     SITUATIA ACTIVELOR IMOBILIZATE (cod 40)
* *
* *
* *     Totaluri pe orizontala:
* *     Col. 5 = col. 1 +  2 -  3 (se repeta de la rd.01 la 12)
* *     Col. 9 = col. 6 +  7 -  8 (se repeta de la rd.13 la 21)
* *     Col.13 = col.10 + 11 - 12 (se repeta de la rd.22 la 33)
* *
* *     Totaluri pe verticala:
* *     Rd. 04 = rd. 01 la 03                                  (col. 1, 2, 3 si 5)
* *     Rd. 10 = rd. 05 la 09                                  (col. 1, 2, 3 si 5)
* *     Rd. 10 = rd. 06 la 08 + 10                                   (col. 4)
* *     Rd. 12 = rd. 04 + 10 + 11                           (col. 1, 2, 3, 4 si 5)
* *
* *     Rd. 20 = rd. 16 la 19                                  (col. 6, 7, 8 si 9)
* *     Rd. 21 = rd. 15 + 20                                   (col. 6, 7, 8 si 9)
* *
* *     Rd. 25 = rd. 22 la 24                              (col. 10, 11, 12 si 13)
* *     Rd. 31 = rd. 26 la 30                              (col. 10, 11, 12 si 13)
* *     Rd. 33 = rd. 25 + 31 + 32                          (col. 10, 11, 12 si 13)
* *
* * --------------------------------------------------------------------------------------
* 
* 
* 
* 
* * Col 5 de la 1 la 12
* 
* 
* * ---------------------------------------------------
* * Atentie , pe formular coloana 4 este numerotata 9  !
* * ---------------------------------------------------
* 
* 
* * Col 9 de la 13 la 21 (care e la mine col 4)
* 
* 
* 
* * Col 13 de la 22 la 33 (care la mine e 4)
* 
* 
* 
* 
* 
* 
* 
* 

 Flush && Asigur datele pe disc


Select(zl)

Return &&F40CompR()


Procedure F40CTot   && Calculeaza totaluri

*
* Functia calculeaza totaluri in rxcx
* 
* Functia se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* Mai nou (28-Iul-2003)
* Daca exista conditii totalul se calculeaza _doar_ daca este 
* indeplinita conditia, altefle este lasat nemodificat
* Pentru a nu se incurca trebuie ca mai intai sa se puna 0 in toate
* randurile de total
*


Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc




*
* Pun mai intai zero in toate randurile de total, sau in cele care sunt calcule pure
*
* Asigur zero in linie de calcul
Seek 1
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r1c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 2
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r2c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 3
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r3c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 4
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 5
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r5c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 6
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r6c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 7
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r7c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 8
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r8c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 9
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 10
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 10
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 10
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 11
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r11c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 12
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 12
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 12
If Found() Then 
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 13
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r13c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 14
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r14c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 15
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r15c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r15c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r15c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r15c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r15c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 15
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r15c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 16
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r16c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 17
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r17c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 18
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r18c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 19
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r19c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 20
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r20c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r20c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r20c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r20c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r20c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 20
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r20c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 21
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 21
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r21c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 22
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r22c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 23
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r23c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 24
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r24c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 25
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r25c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r25c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r25c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r25c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r25c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 25
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r25c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 26
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r26c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 27
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r27c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 28
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r28c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 29
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r29c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 30
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r30c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 31
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r31c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r31c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r31c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r31c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r31c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 31
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r31c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 32
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r32c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 33
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r33c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r33c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r33c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r33c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r33c5 = 0
    
    Replace BI_F_5 With ' '
    Replace BI_C_5 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 33
If Found() Then 
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r33c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* 
* Functia de calcul efectiv se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* 
* Iteratia 1
* 
        r1c5 =r1c1+r1c2-r1c3
        r2c5 =r2c1+r2c2-r2c3
        r3c5 =r3c1+r3c2-r3c3
        r4c1 =r1c1+r2c1+r3c1
        r4c2 =r1c2+r2c2+r3c2
        r4c3 =r1c3+r2c3+r3c3
        r4c4 =r1c4+r2c4+r3c4
        r4c5 =r1c5+r2c5+r3c5
        r4c5 =r4c1+r4c2-r4c3
        r5c5 =r5c1+r5c2-r5c3
        r6c5 =r6c1+r6c2-r6c3
        r7c5 =r7c1+r7c2-r7c3
        r8c5 =r8c1+r8c2-r8c3
        r9c5 =r9c1+r9c2-r9c3
        r10c1 =r5c1+r6c1+r7c1+r8c1+r9c1
        r10c2 =r5c2+r6c2+r7c2+r8c2+r9c2
        r10c3 =r5c3+r6c3+r7c3+r8c3+r9c3
        r10c4 =r5c4+r6c4+r7c4+r8c4+r9c4
        r10c5 =r5c5+r6c5+r7c5+r8c5+r9c5
        r10c4 =r6c4+r7c4+r8c4
        r10c5 =r10c1+r10c2-r10c3
        r11c5 =r11c1+r11c2-r11c3
        r12c1 =r4c1+r10c1+r11c1
        r12c2 =r4c2+r10c2+r11c2
        r12c3 =r4c3+r10c3+r11c3
        r12c4 =r4c4+r10c4+r11c4
        r12c5 =r4c5+r10c5+r11c5
        r12c4 =r10c4
        r12c5 =r12c1+r12c2-r12c3
        r13c4 =r13c1+r13c2-r13c3
        r14c4 =r14c1+r14c2-r14c3
        r15c1 =r13c1+r14c1
        r15c2 =r13c2+r14c2
        r15c3 =r13c3+r14c3
        r15c4 =r13c4+r14c4
        r15c5 =r13c5+r14c5
        r15c4 =r15c1+r15c2-r15c3
        r16c4 =r16c1+r16c2-r16c3
        r17c4 =r17c1+r17c2-r17c3
        r18c4 =r18c1+r18c2-r18c3
        r19c4 =r19c1+r19c2-r19c3
        r20c1 =r16c1+r17c1+r18c1+r19c1
        r20c2 =r16c2+r17c2+r18c2+r19c2
        r20c3 =r16c3+r17c3+r18c3+r19c3
        r20c4 =r16c4+r17c4+r18c4+r19c4
        r20c5 =r16c5+r17c5+r18c5+r19c5
        r20c4 =r20c1+r20c2-r20c3
        r21c1 =r15c1+r20c1
        r21c2 =r15c2+r20c2
        r21c3 =r15c3+r20c3
        r21c4 =r15c4+r20c4
        r21c5 =r15c5+r20c5
        r21c4 =r21c1+r21c2-r21c3
        r22c4 =r22c1+r22c2-r22c3
        r23c4 =r23c1+r23c2-r23c3
        r24c4 =r24c1+r24c2-r24c3
        r25c1 =r22c1+r23c1+r24c1
        r25c2 =r22c2+r23c2+r24c2
        r25c3 =r22c3+r23c3+r24c3
        r25c4 =r22c4+r23c4+r24c4
        r25c5 =r22c5+r23c5+r24c5
        r25c4 =r25c1+r25c2-r25c3
        r26c4 =r26c1+r26c2-r26c3
        r27c4 =r27c1+r27c2-r27c3
        r28c4 =r28c1+r28c2-r28c3
        r29c4 =r29c1+r29c2-r29c3
        r30c4 =r30c1+r30c2-r30c3
        r31c1 =r26c1+r27c1+r28c1+r29c1+r30c1
        r31c2 =r26c2+r27c2+r28c2+r29c2+r30c2
        r31c3 =r26c3+r27c3+r28c3+r29c3+r30c3
        r31c4 =r26c4+r27c4+r28c4+r29c4+r30c4
        r31c5 =r26c5+r27c5+r28c5+r29c5+r30c5
        r31c4 =r31c1+r31c2-r31c3
        r32c4 =r32c1+r32c2-r32c3
        r33c1 =r25c1+r31c1+r32c1
        r33c2 =r25c2+r31c2+r32c2
        r33c3 =r25c3+r31c3+r32c3
        r33c4 =r25c4+r31c4+r32c4
        r33c5 =r25c5+r31c5+r32c5
        r33c4 =r33c1+r33c2-r33c3
* 
* Iteratia 2
* 
        r1c5 =r1c1+r1c2-r1c3
        r2c5 =r2c1+r2c2-r2c3
        r3c5 =r3c1+r3c2-r3c3
        r4c1 =r1c1+r2c1+r3c1
        r4c2 =r1c2+r2c2+r3c2
        r4c3 =r1c3+r2c3+r3c3
        r4c4 =r1c4+r2c4+r3c4
        r4c5 =r1c5+r2c5+r3c5
        r4c5 =r4c1+r4c2-r4c3
        r5c5 =r5c1+r5c2-r5c3
        r6c5 =r6c1+r6c2-r6c3
        r7c5 =r7c1+r7c2-r7c3
        r8c5 =r8c1+r8c2-r8c3
        r9c5 =r9c1+r9c2-r9c3
        r10c1 =r5c1+r6c1+r7c1+r8c1+r9c1
        r10c2 =r5c2+r6c2+r7c2+r8c2+r9c2
        r10c3 =r5c3+r6c3+r7c3+r8c3+r9c3
        r10c4 =r5c4+r6c4+r7c4+r8c4+r9c4
        r10c5 =r5c5+r6c5+r7c5+r8c5+r9c5
        r10c4 =r6c4+r7c4+r8c4
        r10c5 =r10c1+r10c2-r10c3
        r11c5 =r11c1+r11c2-r11c3
        r12c1 =r4c1+r10c1+r11c1
        r12c2 =r4c2+r10c2+r11c2
        r12c3 =r4c3+r10c3+r11c3
        r12c4 =r4c4+r10c4+r11c4
        r12c5 =r4c5+r10c5+r11c5
        r12c4 =r10c4
        r12c5 =r12c1+r12c2-r12c3
        r13c4 =r13c1+r13c2-r13c3
        r14c4 =r14c1+r14c2-r14c3
        r15c1 =r13c1+r14c1
        r15c2 =r13c2+r14c2
        r15c3 =r13c3+r14c3
        r15c4 =r13c4+r14c4
        r15c5 =r13c5+r14c5
        r15c4 =r15c1+r15c2-r15c3
        r16c4 =r16c1+r16c2-r16c3
        r17c4 =r17c1+r17c2-r17c3
        r18c4 =r18c1+r18c2-r18c3
        r19c4 =r19c1+r19c2-r19c3
        r20c1 =r16c1+r17c1+r18c1+r19c1
        r20c2 =r16c2+r17c2+r18c2+r19c2
        r20c3 =r16c3+r17c3+r18c3+r19c3
        r20c4 =r16c4+r17c4+r18c4+r19c4
        r20c5 =r16c5+r17c5+r18c5+r19c5
        r20c4 =r20c1+r20c2-r20c3
        r21c1 =r15c1+r20c1
        r21c2 =r15c2+r20c2
        r21c3 =r15c3+r20c3
        r21c4 =r15c4+r20c4
        r21c5 =r15c5+r20c5
        r21c4 =r21c1+r21c2-r21c3
        r22c4 =r22c1+r22c2-r22c3
        r23c4 =r23c1+r23c2-r23c3
        r24c4 =r24c1+r24c2-r24c3
        r25c1 =r22c1+r23c1+r24c1
        r25c2 =r22c2+r23c2+r24c2
        r25c3 =r22c3+r23c3+r24c3
        r25c4 =r22c4+r23c4+r24c4
        r25c5 =r22c5+r23c5+r24c5
        r25c4 =r25c1+r25c2-r25c3
        r26c4 =r26c1+r26c2-r26c3
        r27c4 =r27c1+r27c2-r27c3
        r28c4 =r28c1+r28c2-r28c3
        r29c4 =r29c1+r29c2-r29c3
        r30c4 =r30c1+r30c2-r30c3
        r31c1 =r26c1+r27c1+r28c1+r29c1+r30c1
        r31c2 =r26c2+r27c2+r28c2+r29c2+r30c2
        r31c3 =r26c3+r27c3+r28c3+r29c3+r30c3
        r31c4 =r26c4+r27c4+r28c4+r29c4+r30c4
        r31c5 =r26c5+r27c5+r28c5+r29c5+r30c5
        r31c4 =r31c1+r31c2-r31c3
        r32c4 =r32c1+r32c2-r32c3
        r33c1 =r25c1+r31c1+r32c1
        r33c2 =r25c2+r31c2+r32c2
        r33c3 =r25c3+r31c3+r32c3
        r33c4 =r25c4+r31c4+r32c4
        r33c5 =r25c5+r31c5+r32c5
        r33c4 =r33c1+r33c2-r33c3
* 
* Iteratia 3
* 
        r1c5 =r1c1+r1c2-r1c3
        r2c5 =r2c1+r2c2-r2c3
        r3c5 =r3c1+r3c2-r3c3
        r4c1 =r1c1+r2c1+r3c1
        r4c2 =r1c2+r2c2+r3c2
        r4c3 =r1c3+r2c3+r3c3
        r4c4 =r1c4+r2c4+r3c4
        r4c5 =r1c5+r2c5+r3c5
        r4c5 =r4c1+r4c2-r4c3
        r5c5 =r5c1+r5c2-r5c3
        r6c5 =r6c1+r6c2-r6c3
        r7c5 =r7c1+r7c2-r7c3
        r8c5 =r8c1+r8c2-r8c3
        r9c5 =r9c1+r9c2-r9c3
        r10c1 =r5c1+r6c1+r7c1+r8c1+r9c1
        r10c2 =r5c2+r6c2+r7c2+r8c2+r9c2
        r10c3 =r5c3+r6c3+r7c3+r8c3+r9c3
        r10c4 =r5c4+r6c4+r7c4+r8c4+r9c4
        r10c5 =r5c5+r6c5+r7c5+r8c5+r9c5
        r10c4 =r6c4+r7c4+r8c4
        r10c5 =r10c1+r10c2-r10c3
        r11c5 =r11c1+r11c2-r11c3
        r12c1 =r4c1+r10c1+r11c1
        r12c2 =r4c2+r10c2+r11c2
        r12c3 =r4c3+r10c3+r11c3
        r12c4 =r4c4+r10c4+r11c4
        r12c5 =r4c5+r10c5+r11c5
        r12c4 =r10c4
        r12c5 =r12c1+r12c2-r12c3
        r13c4 =r13c1+r13c2-r13c3
        r14c4 =r14c1+r14c2-r14c3
        r15c1 =r13c1+r14c1
        r15c2 =r13c2+r14c2
        r15c3 =r13c3+r14c3
        r15c4 =r13c4+r14c4
        r15c5 =r13c5+r14c5
        r15c4 =r15c1+r15c2-r15c3
        r16c4 =r16c1+r16c2-r16c3
        r17c4 =r17c1+r17c2-r17c3
        r18c4 =r18c1+r18c2-r18c3
        r19c4 =r19c1+r19c2-r19c3
        r20c1 =r16c1+r17c1+r18c1+r19c1
        r20c2 =r16c2+r17c2+r18c2+r19c2
        r20c3 =r16c3+r17c3+r18c3+r19c3
        r20c4 =r16c4+r17c4+r18c4+r19c4
        r20c5 =r16c5+r17c5+r18c5+r19c5
        r20c4 =r20c1+r20c2-r20c3
        r21c1 =r15c1+r20c1
        r21c2 =r15c2+r20c2
        r21c3 =r15c3+r20c3
        r21c4 =r15c4+r20c4
        r21c5 =r15c5+r20c5
        r21c4 =r21c1+r21c2-r21c3
        r22c4 =r22c1+r22c2-r22c3
        r23c4 =r23c1+r23c2-r23c3
        r24c4 =r24c1+r24c2-r24c3
        r25c1 =r22c1+r23c1+r24c1
        r25c2 =r22c2+r23c2+r24c2
        r25c3 =r22c3+r23c3+r24c3
        r25c4 =r22c4+r23c4+r24c4
        r25c5 =r22c5+r23c5+r24c5
        r25c4 =r25c1+r25c2-r25c3
        r26c4 =r26c1+r26c2-r26c3
        r27c4 =r27c1+r27c2-r27c3
        r28c4 =r28c1+r28c2-r28c3
        r29c4 =r29c1+r29c2-r29c3
        r30c4 =r30c1+r30c2-r30c3
        r31c1 =r26c1+r27c1+r28c1+r29c1+r30c1
        r31c2 =r26c2+r27c2+r28c2+r29c2+r30c2
        r31c3 =r26c3+r27c3+r28c3+r29c3+r30c3
        r31c4 =r26c4+r27c4+r28c4+r29c4+r30c4
        r31c5 =r26c5+r27c5+r28c5+r29c5+r30c5
        r31c4 =r31c1+r31c2-r31c3
        r32c4 =r32c1+r32c2-r32c3
        r33c1 =r25c1+r31c1+r32c1
        r33c2 =r25c2+r31c2+r32c2
        r33c3 =r25c3+r31c3+r32c3
        r33c4 =r25c4+r31c4+r32c4
        r33c5 =r25c5+r31c5+r32c5
        r33c4 =r33c1+r33c2-r33c3

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F40CTot()


Procedure F40DfTot   && Defixeaza totaluri

*
* Functia defixeaza totaluri in baza de date
* 
* 
Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc

Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf
Seek 10
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf
Seek 12
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf
Seek 15
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf
Seek 20
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf
Seek 21
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf
Seek 25
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf
Seek 31
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf
Seek 33
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
  If BI_F_5 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_5 With ' '
  EndIf
EndIf

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F40DfTot()

